/**
 * Created by chenyikun on 2015/9/22.
 */
/*
 * 定义全局变量公共方法
 * */
var dc = {};
/*
 * ajax post请求
 * */
dc.postData = function (options, callback){
	if (!options.values) {
		options.values = {};
	}
	options.values = $.extend(options.values, {
		SID: api.deviceId,
		PlatformID: com.device.getName().toLocaleLowerCase()
	});
	dc.log('ajaxPOST请求数据：' + options.url, {
		url: options.url,
		files: options.files,
		values: options.values
	});
	$api.post(conf.url.appBaseURL + conf.url.appBaseVersion + options.url, {
		body: options.body,
		files: options.files,
		values: options.values
	}, function (ret, err){
		dc.log('ajaxPOST获取数据：' + options.url, ret);
		dc.log('错误：' + err);
		if (ret.status.code == 9) {
			com.alert({
				msg: '账号异常，请重新登录'
			}, function (){
				com.signOut();
			});
			return;
		}
		/*else if (ret.status.code != 1) {
		 api.toast({
		 msg: ret.status.message,
		 duration: 2000,
		 location: 'middle'
		 });
		 }*/
		callback && callback(ret, err);
	}, options.dataType || 'json');
};

/*
 * ajax get请求
 * */
dc.getData = function (options, callback){
	var str = '?SID=' + api.deviceId + '&PlatformID=' + com.device.getName().toLocaleLowerCase();
	for (var o in options.values) {
		str += '&' + o + '=' + options.values[o];
	}
	var requestUrl = options.url.indexOf('http://') > -1 ? options.url : conf.url.appBaseURL + conf.url.appBaseVersion + options.url;
	requestUrl += str;
	dc.log('ajaxGET请求数据：' + options.url, requestUrl);
	console.log(requestUrl)
	$api.get(encodeURI(requestUrl), function (ret, err){
		dc.log('ajaxGET获取数据：' + options.url, ret);
		if (ret.status.code == 9) {
			com.alert({
				msg: '账号异常，请重新登录'
			}, function (){
				com.signOut();
			});
			return;
		} else if (ret.status.code != 1) {
			api.toast({
				msg: ret.status.message,
				duration: 2000,
				location: 'middle'
			});
		}
		callback(ret, err);
	}, options.dataType || 'json');
};
/*
 * 日志记录
 * */
dc.log = function (description, data){
	return false;
	//return isDevelopment;
	//if (isDevelopment) {
	var username, memberID;
	try {
		username = com.userInfo.member.sName;
		memberID = com.userInfo.member.ID;
	} catch (e) {
		username = '';
		memberID = '';
	}
	var postData = {
		description: description,
		mobile: com.device.getName(),
		username: username,
		memberID: memberID,
		SID: api.deviceId,
		data: data
	};
	var values = {
		time: username,
		desc: description,
		content: JSON.stringify(postData),
		SID: api.deviceId
	};
	$api.post(conf.url.appBaseURL + conf.url.appBaseVersion + '/log/yklog', {
		values: values
	}, function (ret, err){
	}, 'json');
	//}
};

/*
 * 话题相关
 * */
dc.topic = {};
/*
 * 首页获取话题列表
 * */
dc.topic.indexList = function (callback){
	dc.postData({
		url: '/topic/home',
		values: {}
	}, callback);
};
/*
 * 一键助考
 * */
dc.demand = {};
/*
 * 获取人数
 * */
dc.demand.home = function (options, callback){
	dc.getData({
		url: '/demand/home',
		values: options
	}, callback);
};
dc.demand.publish = function (options, callback){
	dc.postData({
		url: '/demand/publish',
		values: options
	}, callback);
};
/*
 * 用户相关
 * */

dc.user = {};
/*
 * 登录请求
 * */
dc.user.login = function (options, callback){
	dc.postData({
		url: '/member/login',
		values: options
	}, callback);
};

/*
 * 注册请求
 * */
dc.user.register = function (options, callback){
	dc.postData({
		url: '/member/register',
		values: options
	}, callback);
};
/*
 * 注册的发送短信验证码
 * */
dc.user.sendRegsms = function (options, callback){
	dc.postData({
		url: '/member/sendregsms',
		values: options
	}, callback);
};
/*
 * 忘记密码的发送短信验证码
 * */
dc.user.sendForgotsms = function (options, callback){
	dc.postData({
		url: '/member/sendforgotsms',
		values: options
	}, callback);
};
/*
 * 忘记密码找回
 * */
dc.user.forgotPass = function (options, callback){
	dc.postData({
		url: '/member/forgotpass',
		values: options
	}, callback);
};
/*
 *用户个人中心
 **/
dc.user.center = function (options, callback){
	dc.getData({
		url: '/memberinfo/center',
		values: options
	}, callback);
};
/*
 *个人主页
 * */
dc.user.userHome = function (options, callback){
	dc.getData({
		url: '/memberinfo/home',
		values: options
	}, callback);
};
/*
 * 编辑个人信息
 * */
dc.user.editProfile = function (options, callback){
	dc.postData({
		url: '/member/editprofile',
		values: options
	}, callback);
};
/*
 *申请研究生认证
 * */
dc.user.applySenior = function (options, callback){
	dc.postData({
		url: '/member/applysenior',
		values: options
	}, callback);
};
/*
 * 密码修改
 * */
dc.user.setPassWord = function (options, callback){
	dc.postData({
		url: '/member/editpass',
		values: options
	}, callback);
};
/*
 * 版本更新
 * */
dc.user.Update = function (options, callback){
	dc.getData({
		url: '/version/check',
		values: options
	}, callback);
};
/*
 * 个人话题
 * */
dc.user.myTopic = function (options, callback){
	dc.getData({
		url: '/memberinfo/find',
		values: options
	}, callback);
};
/*
 * 获取话题
 * */
dc.getTopicIndexData = function (callback){
	dc.getData({
		url: '/find/getindex',
		values: {}
	}, callback);
};

/*
 * 学长相关
 * */
dc.senior = {};
/*
 * 找学长
 * */
dc.senior.list = function (options, callback){
	dc.getData({
		url: '/senior/list',
		values: options
	}, callback);
};
/*
 * 学长主页
 * */
dc.senior.home = function (options, callback){
	dc.getData({
		url: '/senior/home',
		values: options
	}, callback);
};
/*
 * 图文咨询聊天页
 * */
dc.senior.getList = function (options, callback){
	dc.getData({
		url: '/guide/home',
		values: options
	}, callback);
};
/*
 * 图文咨询聊天页聊天
 * */
dc.senior.chat = function (options, callback){
	dc.postData({
		url: '/guide/ask',
		values: options
	}, callback);
};
/*
 * 图文咨询评价
 * */
dc.senior.comment = function (options, callback){
	dc.postData({
		url: '/guide/assess',
		values: options
	}, callback);
};
/*
 * 获取优惠券
 * */
dc.senior.getCoupon = function (callback){
	dc.getData({
		url: '/guide/coupon',
		values: {}
	}, callback);
};
/*
 * 获取优惠券
 * */
dc.senior.getZixunlist = function (callback){
	dc.getData({
		url: '/guide/list',
		values: {}
	}, callback);
};
/*
 * 关闭咨询
 * */
dc.senior.close = function (options, callback){
	dc.getData({
		url: '/guide/close',
		values: options
	}, callback);
};
/*
 * 获取红包
 * */
dc.senior.getRedBag = function (options, callback){
	dc.getData({
		url: '/guide/openhongbao',
		values: options
	}, callback);
};
/*
 * 系统消息相关
 * */
dc.systemMessage = {};
/*
 * 获取系统消息列表
 * */
dc.systemMessage.getList = function (callback){
	dc.getData({
		url: '/systemmessage/message',
		values: {}
	}, callback);
};
/*
 * 设置系统消息已读
 * */
dc.systemMessage.setRead = function (callback){
	dc.getData({
		url: '/systemmessage/read',
		values: {}
	}, callback);
};
/*
 * 基础信息相关
 * */
dc.baseData = {};
/*
 * 获取省份
 * */
dc.baseData.getProvince = function (callback){
	dc.getData({
		url: '/fieldenum/province',
		values: {}
	}, callback);
};
/*
 * 根据省份获取学校
 * */
dc.baseData.getSchoolByProvinceById = function (options, callback){
	dc.getData({
		url: '/university/university',
		values: options
	}, callback);
};
/*
 * 根据学校获取学院
 * */
dc.baseData.getCollegeBySchoolID = function (options, callback){
	dc.getData({
		url: '/college/college',
		values: options
	}, callback);
};
/*
 * 根据学院获取专业
 * */
dc.baseData.getSpecialByCollegeID = function (options, callback){
	dc.getData({
		url: '/speciality/specialitybycollege',
		values: options
	}, callback);
};
/*
 * 根据学校获取专业
 * */
dc.baseData.getSpecialBySchoolID = function (options, callback){
	dc.getData({
		url: '/speciality/specialitybyuniversity',
		values: options
	}, callback);
};

/*
 * 编辑学校
 * */
dc.baseData.editUniversity = function (options, callback){
	dc.postData({
		url: '/member/edituniversity',
		values: options
	}, callback);
};

/*
 * 主模块相关
 * */
dc.main = {};
/*
 * 获取主页面轮播图
 * */
dc.main.getScrollPhotos = function (options, callback){
	dc.getData({
		url: '/app/page',
		values: options
	}, callback);
};


/*
 * vip 相关
 * */
dc.vip = {};
dc.vip.home = function (options, callback){
	dc.getData({
		url: '/vip/home',
		values: options
	}, callback);
};
//视频
dc.vip.lecture = function (options, callback){
	dc.getData({
		url: '/vip/lecture',
		values: options
	}, callback);
};
//资料
dc.vip.ziliao = function (options, callback){
	dc.getData({
		url: '/vip/ziliao',
		values: options
	}, callback);
};

/*
 * VIP订单
 * */
dc.vip.order = function (options, callback){
	dc.getData({
		url: '/vip/order',
		values: options
	}, callback);
};
/*
 * 辅导班相关
 * */
dc.fudao = {};
//获取辅导班列表
dc.fudao.list = function (options, callback){
	dc.getData({
		url: conf.url.appMallURL + '/fudao/list',
		values: options
	}, callback);
};
//复试调剂
dc.fushi = {};
dc.fushi.list = function (options, callback){
	dc.getData({
		url: conf.url.node + '/fstj/zxlist',
		values: options
	}, callback);
};
dc.fushi.tjlist = function (options, callback){
	dc.getData({
		url: conf.url.node + '/fstj/tjlist',
		values: options
	}, callback);
};

//复试调剂详情页
dc.fushi.zxdetail = function (options, callback){
	dc.getData({
		url: conf.url.node + '/fstj/zxdetail',
		values: options
	}, callback);
};
dc.fushi.tjdetail = function (options, callback){
	dc.getData({
		url: conf.url.node + '/fstj/tjdetail',
		values: options
	}, callback);
};
/*
 * 群组相关
 * */
dc.memberGroup = {};
/*
 * 获取通讯录列表
 * */
dc.memberGroup.getContactList = function (callback){
	dc.getData({
		url: '/membergroup/getgrouplist'
	}, callback);
};
/*
 * 获取群成员列表
 * */
dc.memberGroup.getGroupMemberList = function (options, callback){
	dc.postData({
		url: '/membergroup/groupmemberlist',
		values: options
	}, callback);
};
/*
 * 添加群成员
 * */
dc.memberGroup.addGroupMembers = function (options, callback){
	dc.postData({
		url: '/membergroup/addmember',
		values: options
	}, callback);
};
/*
 * 删除群成员
 * */
dc.memberGroup.removeGroupMember = function (options, callback){
	dc.postData({
		url: '/membergroup/delmember',
		values: options
	}, callback);
};
/*
 * 置顶
 * */
dc.memberGroup.setGroupTop = function (options, callback){
	dc.postData({
		url: '/membergroup/settop',
		values: options
	}, callback);
};
/*
 * 消息提醒
 * */
dc.memberGroup.setGroupRemind = function (options, callback){
	dc.postData({
		url: '/membergroup/setremind',
		values: options
	}, callback);
};
/*
 * 删除群组并推出
 * */
dc.memberGroup.quitGroup = function (options, callback){
	dc.postData({
		url: '/membergroup/delgroup',
		values: options
	}, callback);
};
/*
 * 求解答相关
 * */
dc.ask = {};
/*
 * 发布求解答
 * */
dc.ask.publishAsk = function (options, callback){
	dc.postData({
		url: '/ask/ask',
		values: options.values,
		files: options.files
	}, callback);
};
/*
 * 求解答列表
 * */
dc.ask.getAskList = function (options, callback){
	dc.getData({
		url: '/ask/asklist',
		values: options
	}, callback);
};

/*
 * 我的（用户）提问列表
 * */
dc.ask.myAsk = function (options, callback){
	dc.getData({
		url: '/ask/myask',
		values: options
	}, callback);
};
/*
 * 我的（用户）回答列表
 * */
dc.ask.myAnswer = function (options, callback){
	dc.getData({
		url: '/ask/myanswer',
		values: options
	}, callback);
};
/*
 * 回答列表
 * */
dc.ask.answerList = function (options, callback){
	dc.getData({
		url: '/ask/answerlist',
		values: options
	}, callback);
};
/*
 * 提问详情
 * */
dc.ask.getAskInfo = function (options, callback){
	dc.getData({
		url: '/ask/askinfo',
		values: options
	}, callback);
};
/*
 * 提问详情
 * */
dc.ask.getAskDetailMsg = function (options, callback){
	dc.getData({
		url: '/ask/qdanswerlist',
		values: options
	}, callback);
};
/*
 * 评价（采纳OR不采纳）
 * */
dc.ask.comment = function (options, callback){
	dc.postData({
		url: '/ask/qdcomment',
		values: options
	}, callback);
};
/*
 * 评价（采纳OR不采纳）
 * */
dc.ask.answer = function (options, callback){
	dc.postData({
		url: '/ask/qddiscuss',
		values: options.values,
		files: options.files
	}, callback);
};
/*
 * 评价（采纳OR不采纳）
 * */
dc.ask.requestAdopt = function (options, callback){
	dc.postData({
		url: '/ask/requestadopt',
		values: options
	}, callback);
};
/*
 * 抢答
 * */
dc.ask.qiangDa = function (options, callback){
	dc.postData({
		url: '/ask/qiangda',
		values: options
	}, callback);
};
/*
 * 追加悬赏
 * */
dc.ask.addReward = function (options, callback){
	dc.postData({
		url: '/ask/setprize',
		values: options
	}, callback);
};
/*
 * 追加悬赏
 * */
dc.ask.delThisQuestion = function (options, callback){
	dc.postData({
		url: '/ask/deleteask',
		values: options
	}, callback);
};
/*
 * 发红包
 * */
dc.ask.postRedBag = function (options, callback){
	dc.postData({
		url: '/ask/posthongbao',
		values: options
	}, callback);
};
/*
 * 拆开红包
 * */
dc.ask.getRedBag = function (options, callback){
	dc.postData({
		url: '/ask/gethongbao',
		values: options
	}, callback);
};
/*
 * 拆开红包
 * */
dc.ask.getAskCoupon = function (callback){
	dc.postData({
		url: '/ask/askcoupon',
		values: {}
	}, callback);
};
/*
 * 话题相关
 * */
dc.find = {};
dc.find.topic = function (option, callback){
	dc.getData({
		url: '/topic/list',
		values: option
	}, callback);
};
//话题详情
dc.find.detail = function (option, callback){
	dc.getData({
		url: '/topic/detail',
		values: option
	}, callback);
};
//举报
dc.find.illegal = function (option, callback){
	dc.getData({
		url: '/topic/illegal',
		values: option
	}, callback);
};
//收藏
dc.find.collect = function (option, callback){
	dc.getData({
		url: '/topic/collect',
		values: option
	}, callback);
};
//话题回复
dc.find.reply = function (option, callback){
	dc.postData({
		url: '/topic/reply',
		values: option
	}, callback);
};
//点赞
dc.find.praise = function (option, callback){
	dc.getData({
		url: '/topic/praise',
		values: option
	}, callback);
};
dc.find.publish = function (option, callback){
	dc.postData({
		url: '/topic/publish',
		values: option
	}, callback);
};


/*
 * 钱包相关
 * */
dc.wallet = {};
/*
 * 下单
 * */
dc.wallet.order = function (option, callback){
	dc.postData({
		url: '/wallet/order',
		values: option
	}, callback);
};
/*
 * 我的钱包-现金
 * */
dc.wallet.cashdetail = function (option, callback){
	dc.postData({
		url: '/wallet/cashdetail',
		values: option
	}, callback);
};
/*
 * 提现
 * */
dc.wallet.withdraw = function (option, callback){
	dc.postData({
		url: '/wallet/withdraw',
		values: option
	}, callback);
};
/*
 * 好友相关
 * */
dc.myFriend = {};
/*
 * 添加好友
 * */
dc.myFriend.add = function (option, callback){
	dc.postData({
		url: '/myfriend/add',
		values: option
	}, callback);
};
/*
 * 删除好友
 * */
dc.myFriend.delete = function (option, callback){
	dc.postData({
		url: '/myfriend/deletefriend',
		values: option
	}, callback);
};

/*
 * 资料相关
 * */
dc.ziliao = {};
/*
 * 获取资料列表
 * */
dc.ziliao.getList = function (option, callback){
	dc.getData({
		url: '/ziliao/list',
		values: option
	}, callback);
};
/*
 * 获取资料下载地址
 * */
dc.ziliao.download = function (option, callback){
	dc.postData({
		url: '/ziliao/download',
		values: option
	}, callback);
};
/*
 * 收藏资料
 * */
dc.ziliao.collect = function (option, callback){
	dc.postData({
		url: '/memberaction/collectziliao',
		values: option
	}, callback);
};
/*
 * 取消收藏资料
 * */
dc.ziliao.cancelCollect = function (option, callback){
	dc.postData({
		url: '/memberaction/cancelcollectziliao',
		values: option
	}, callback);
};
/*
 * 获取资料收藏列表
 * */
dc.ziliao.getCollectionList = function (option, callback){
	dc.getData({
		url: '/memberaction/collectziliaolist',
		values: option
	}, callback);
};
/*
 * 设置浏览
 * */
dc.ziliao.setObjectViewed = function (option, callback){
	dc.postData({
		url: '/ziliao/doview',
		values: option
	}, callback);
};
/*
 * 判断资源是否收藏
 * */
dc.ziliao.isCollect = function (option, callback){
	dc.postData({
		url: '/memberaction/checkcollect',
		values: option
	}, callback);
};
/*
 * 视频相关
 * */
dc.video = {};
/*
 * 微课首页
 * */
dc.video.list = function (callback){
	dc.getData({
		url: '/lecture/home',
		values: {}
	}, callback);
};

/**
 * 微课列表
 */
dc.video.lecture = function (options, callback){
	dc.getData({
		url: '/lecture/list',
		values: options
	}, callback);
};
/*
 * 视频详情
 * */
dc.video.detail = function (options, callback){
	dc.getData({
		url: '/lecture/detail',
		values: options
	}, callback);
};
/*
 * 收藏视频
 * */
dc.video.collect = function (option, callback){
	dc.postData({
		url: '/memberaction/collectvideo',
		values: option
	}, callback);
};
/*
 * 收藏视频
 * */
dc.video.cancelCollect = function (option, callback){
	dc.postData({
		url: '/memberaction/cancelcollectvideo',
		values: option
	}, callback);
};
/*
 * 获取视频的订单号
 * */
dc.video.order = function (option, callback){
	dc.getData({
		url: '/lecture/order',
		values: option
	}, callback);
};
/*
 * 择校择专业相关
 * */
dc.selectSchool = {};
/*
 * 获取择校人数
 * */
dc.selectSchool.getInfo = function (callback){
	dc.getData({
		url: '/universityselection/info',
		values: {}
	}, callback);
};
/*
 * 发布择校
 * */
dc.selectSchool.publish = function (options, callback){
	dc.postData({
		url: '/universityselection/add',
		values: options
	}, callback);
};
/*
 * 报考指南相关
 * */
dc.zhinan = {};
/*
 * 报考指南列表页面
 * */
dc.zhinan.list = function (options, callback){
	dc.getData({
		url: '/zhinan/list',
		values: options
	}, callback);
};

/*
 * 本地数据库操作
 * */
dc.db = {};
/*
 * 打开数据库
 * */
dc.db.openDB = function (callback){
	var db = api.require('db');
	db.openDatabase({
		name: 'message',
		path: 'fs://database/message.db'
	}, function (ret, err){
		if (ret.status) {
			if (typeof callback == 'function') {
				callback();
			}
			db.executeSql({
				name: 'message',
				sql: conf.sql.createTableConversationList
			});
			db.executeSql({
				name: 'message',
				sql: conf.sql.createTableConversationDetail
			});
		} else {
			dc.log('打开数据库错误', err);
		}
	});
};

/*
 * 消息会话的数据库操作
 * */
dc.db.message = {};
/*
 * 操作更新数据库
 * */
dc.db.message.updateList = function (listData, detailData){
	dc.log('获取列表数据listData：', listData);
	dc.log('获取详情数据detailData：', detailData);
	var arrtask = $api.getStorage('arrtask');//获取数据库操作数组
	if ($api.getStorage('arrtaskfinish') == false) {
		arrtask.push({
			listData: listData,
			detailData: detailData
		});
		$api.setStorage('arrtask', arrtask);
		return;
	}
	$api.setStorage('arrtaskfinish', false);
	//查询列表页面是否已经存在该条记录
	//var sqlList = 'select id from ConversationList WHERE senderUserId = \'' + (listData.senderUserId) + '\' AND memberId=\'' + com.userInfo.member.ID + '\'';
	var sqlList = 'select id from ConversationList where id in (select max(id) from ConversationList group by [senderUserId]) and memberId=\'' + com.userInfo.member.ID + '\' and senderUserId=\'' + listData.senderUserId + '\' order by isTop desc,sentTime desc;',
		sqlDetail = 'insert into ConversationDetail' +
			'(' +
			'content_text,' +
			'content_extra,' +
			'content_duration,' +
			'content_imageUri,' +
			'content_title,' +
			'conversationType,' +
			'groupId,' +
			'objectName,' +
			'senderUserId,' +
			'senderUserName,' +
			'senderUserAvatar,' +
			'sentTime,' +
			'memberId,' +
			'isRead)' +
			' values(' +
			'\'' + detailData.content_text + '\',' +
			'\'' + detailData.content_extra + '\',' +
			'\'' + detailData.content_duration + '\',' +
			'\'' + detailData.content_imageUri + '\',' +
			'\'' + detailData.content_title + '\',' +
			'\'' + detailData.conversationType + '\',' +
			'\'' + detailData.groupId + '\',' +
			'\'' + detailData.objectName + '\',' +
			'\'' + detailData.senderUserId + '\',' +
			'\'' + detailData.senderUserName + '\',' +
			'\'' + detailData.senderUserAvatar + '\',' +
			'\'' + detailData.sentTime + '\',' +
			'\'' + detailData.memberId + '\',' +
			detailData.isRead +
			')';
	dc.log('数据库详情操作语句：', sqlDetail);
	var db = api.require('db');
	db.executeSql({//数据插入详情表
		name: 'message',
		sql: sqlDetail
	}, function (detailRet, detailErr){
		if (detailRet) {
			dc.log('插入数据库详情成功', detailRet);
		} else {
			dc.log('插入数据库详情失败', detailErr);
			//com.alert({msg: detailErr.msg});
		}
		db.selectSql({//查询会话是否存在
			name: 'message',
			sql: sqlList
		}, function (listRet, listErr){
			if (listRet) {
				var sqlListAction;
				if (listRet.data.length == 0) {//该会话不存在,插入新数据
					sqlListAction = 'insert into ConversationList' +
						'(' +
						'senderUserId,' +
						'senderUserName,' +
						'senderUserAvatar,' +
						'latestMessage_text,' +
						'conversationType,' +
						'notificationStatus,' +
						'unreadMessageCount,' +
						'sentTime,' +
						'isTop,' +
						'memberId' +
						')' +
						'values' +
						'(' +
						'\'' + listData.senderUserId + '\',' +
						'\'' + listData.senderUserName + '\',' +
						'\'' + listData.senderUserAvatar + '\',' +
						'\'' + listData.latestMessage_text + '\',' +
						'\'' + listData.conversationType + '\',' +
						'\'' + (listData.notificationStatus || 'NOTIFY') + '\',' +
						'(select count(*) from ConversationDetail where isRead=0 and groupId=\'' + listData.senderUserId + '\' and memberId=\'' + com.userInfo.member.ID + '\')' + ',' +
						listData.sentTime + ',' +
						listData.isTop + ',' +
						'\'' + listData.memberId + '\'' +
						')';
				} else {//该会话已经存在
					sqlListAction = 'update ConversationList set ' +
						'latestMessage_text=' + '\'' + listData.latestMessage_text + '\',' +
						'notificationStatus=' + '\'' + (listData.notificationStatus || 'NOTIFY') + '\',' +
						'unreadMessageCount=(select count(*) from ConversationDetail where isRead=0 and groupId=\'' + listData.senderUserId + '\' and memberId=\'' + com.userInfo.member.ID + '\')' + ',' +
						'sentTime=' + '\'' + listData.sentTime + '\',' +
						'senderUserAvatar=' + '\'' + listData.senderUserAvatar + '\',' +
						'senderUserName=' + '\'' + listData.senderUserName + '\',' +
						'isTop=' + '\'' + listData.isTop + '\'' +
						' where id=' + listRet.data[0].id + ' AND memberId=\'' + com.userInfo.member.ID + '\'';
				}
				db.executeSql({
					name: 'message',
					sql: sqlListAction
				}, function (listRet, listErr){
					if (listRet) {
						dc.log('更新数据库列表成功', listRet);
					} else {
						dc.log('更新数据库列表失败', listErr);
						//com.alert({msg: JSON.stringify(listErr)});
					}
					if ($api.getStorage('arrtask').length > 0) {//还有待执行的任务
						var arrtask = $api.getStorage('arrtask');
						dc.log('待执行的数据操作任务', arrtask);
						var data = arrtask[0];
						dc.db.message.updateList(data.listData, data.detailData);
						arrtask = arrtask.baoremove(0);
						dc.log('待执行的数据操作任务删除一个任务', arrtask);
						$api.setStorage('arrtask', arrtask);
					} else {
						$api.setStorage('arrtaskfinish', true);
					}
					api.sendEvent({ name: 'messageListReload' });
				});
			} else {
				dc.log('更新数据库列表失败', listErr);
				//com.alert({msg: JSON.stringify(listErr)});
			}
		});
	});
};
/*
 * 获取消息详情页数据
 * */
dc.db.message.getDetail = function (options, callback){
	var start = (options.currentPage - 1) * options.limit;
	var sql = 'SELECT * FROM ConversationDetail ' +
		'WHERE groupId = \'' + options.targetId + '\'' +
		' AND memberId=\'' + com.userInfo.member.ID + '\' ' +
		' ORDER BY sentTime desc LIMIT ' + start + ',' + options.limit + ';';

	var db = api.require('db');
	db.selectSql({//查询数据库是否有相对应的会话列表
		name: 'message',
		sql: sql
	}, callback);
};
/*
 * 本地数据库标记为已读
 * */
dc.db.message.remarkRead = function (options){
	var sqlDetail;
	if (options.type == 'PRIVATE') {
		sqlDetail = 'update ConversationDetail set isRead=1 ' +
			'WHERE senderUserId = \'' + options.targetId + '\'  ' +
			'AND memberId=\'' + com.userInfo.member.ID + '\';';
	} else if (options.type == 'GROUP' || options.type == 'SYSTEM') {
		sqlDetail = 'update ConversationDetail set isRead=1' +
			' WHERE groupId = \'' + options.targetId + '\'' +
			' AND memberId=\'' + com.userInfo.member.ID + '\';';
	}
	var db = api.require('db');
	db.executeSql({//查询数据库是否有相对应的会话列表
		name: 'message',
		sql: sqlDetail
	}, function (retDetail, errDetail){
		if (retDetail) {
			var sqlList = 'update ConversationList set unreadMessageCount=0 ' +
				'WHERE senderUserId = \'' + options.targetId + '\' ' +
				'AND memberId=\'' + com.userInfo.member.ID + '\';';
			db.executeSql({//查询数据库是否有相对应的会话列表
				name: 'message',
				sql: sqlList
			}, function (retList, errList){
				if (errList) {
					dc.log('标记为已读失败', errList);
					//com.alert({msg: JSON.stringify(errList)});
				} else {
					api.addEventListener({ name: 'messageListReload' });//发送广播，通知列表页刷新
				}
			});
		}
		if (errDetail) {
			dc.log('标记为已读失败11', errDetail);
			//com.alert({msg: JSON.stringify(errDetail)});
		}
	});
};

/*
 //获取本地表情包对象
 dc.getLocalExpression = function(callback){
 $.get( 'widget://image/UIChatBox/emotion/emotion.json',callback);
 /!* dc.getData({
 url: 'widget://image/UIChatBox/emotion/emotion.json',
 values: {}
 }, callback);*!/
 }*/

//vip 的ajax请求
var newVip = {};
newVip.HomeUrl = '/vip/home';
newVip.ziliao = '/vip/ziliao';
newVip.lecture = '/vip/lecture';
newVip.Version = '/v4';
newVip.ajax = function (url, data, success){
	var vipStr = '?SID=' + api.deviceId + '&PlatformID=' + com.device.getName().toLocaleLowerCase();
	for (var i in data) {
		vipStr += '&' + i + '=' + data[i];
	}
	var vipUrl = conf.url.appBaseURL + newVip.Version + url + vipStr;
	dc.log('vip页面请求数据：' + vipUrl, data);
	api.ajax({
		url: vipUrl,
		method: 'get',
		timeout: 30,
		dataType: 'json'
	}, function (ret, err){
		if (ret) {
			dc.log('vip页面接收数据：' + ret);
			success(ret);
		} else {
			com.hideProgress();
			api.toast({ msg: '请求出错', duration: 2000, location: 'middle' });
		}
	});
};


//我的微课的ajax请求；

var weike = {};
weike.mylecture = '/lecture/mylecture';//我的微课
weike.history = '/lecture/history';//播放历史

weike.collection = '/memberaction/collectvideo';//视频收藏

weike.cancelcollectvieo = '/memberaction/cancelcollectvideo';//取消收藏

weike.Mycollect = '/lecture/collectionlist';//我的收藏视频
weike.checkcollect = '/lecture/checkcollect';//检查是否已经收藏
weike.Version = '/v4';//版本
weike.ajax = function (url, data, success){
	var vipStr = '?SID=' + api.deviceId + '&PlatformID=' + com.device.getName().toLocaleLowerCase();
	for (var i in data) {
		vipStr += '&' + i + '=' + data[i];
	}
	var vipUrl = conf.url.appBaseURL + weike.Version + url + vipStr;
	dc.log('weike页面请求数据：' + vipUrl, data);
	console.log('weike页面请求数据：' + vipUrl, data);
	api.ajax({
		url: vipUrl,
		method: 'get',
		timeout: 30,
		dataType: 'json'
	}, function (ret, err){
		if (ret) {
			dc.log('weike页面接收数据：' + ret);
			success(ret);
		} else {
			com.hideProgress();
			api.toast({ msg: '请求出错', duration: 2000, location: 'middle' });
		}
	});
};

weike.action = function (options, callback){
	dc.getData({
		url: '/lecture/action',
		values: options
	}, callback);
};


dc.zxwk = {};
dc.zxwk.Index = function (options, callback){
	dc.getData({
		url: 'http://www.yantubao.com/v3/zxwk/index',
		values: options
	}, callback);
};

dc.zxwk.list = function (options, callback){
	dc.getData({
		url: 'http://www.yantubao.com/v3/zxwk/list',
		values: options
	}, callback);
};

dc.zxwk.ggk = function (options, callback){
	dc.getData({
		url: 'http://www.yantubao.com/v3/zxwk/ggkdetail',
		values: options
	}, callback);
};


dc.zxzzy = function (options, callback){
	dc.getData({
		url: '/universityselection/getprice',
		values: options
	}, callback);
};

dc.zxwk.buy = function (options, callback){
	dc.getData({
		url: conf.url.appMallURL + '/www/cart/buywk',
		values: options
	}, callback);
};















