/**
 * Created by chenyikun on 2015/10/10.
 *
 * api.pageParam，传递参数的对象
 *      type:跳转形式，href：正常跳转，RabAnswer：抢答的跳转，
 *      askID:提问问题的id，
 *      header：标题，
 *      askMemberID：提问人的id
 */
var PaginationID = 0;//分页id
var listRactive;//ractive对象
var listData = [];//回答列表数据
var getList = false;//是否已经获取到列表数据
var askMemberID = null;//提问人的id
var askID;//提问的ID
var askInfoData = null;//提问数据
var pFirstTime = true;//第一次进入本页面
apiready = function () {
    dc.log('进入问题详情页面的数据', api.pageParam);
    var type = api.pageParam.type;
    com.pageGetData(pGetAskData);//获取问题详情
    //pGetAskData();
    if (type == 'href') {//正常跳转
        pGetAnswerData();//获取页面数据
        dc.log('上一个页面传递数据',api.pageParam.info);
        var lastPageInfo = api.pageParam.info;
        if(lastPageInfo&&lastPageInfo!=null){
            //var headerSpan = lastPageInfo.MemberID == com.userInfo.member.ID?'我':lastPageInfo.sName;
            //headerSpan += '的提问';
            var ractive = new Ractive({
                el: '#askInfoContainer',
                template: '#askInfoTemplate',
                data: {
                    askInfo: lastPageInfo
                }
            });
            $('#askInfoContainer').show();
        }
        //return;
        listRactive = new Ractive({
            el: '#listContainer',
            template: '#listTemplate',
            data: {
                listData: listData
            }
        });
        //添加页面刷新
        api.setRefreshHeaderInfo({
            visible: true,
            loadingImg: 'widget://image/refresh.png',
            bgColor: '#f8f8f8',
            textColor: '#666',
            textDown: '下拉刷新...',
            textUp: '松开刷新...',
            showTime: true
        }, function (ret, err) {
            pPageRefresh();
            //从服务器加载数据，完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        });
    } else if (type == 'RabAnswer') {//抢答跳转
        dc.ask.getAskDetailMsg({
            AskID: api.pageParam.askID
        }, function (ret, err) {
            com.hideProgress();
            $('.p-bottom-rab').show();
            if (ret.status.code == 1) {//获取数据成功
                var data = ret.info;
                if (data.arrAnswer.length > 0) {//已经被抢答
                    $('#userimg').attr('src', data.sAvatar);
                    //$('#userimg').attr('src',data.MemberID);
                    $('#username').html(data.sName);
                    //$('.p-bottom-solving').show().css('height',);
                } else {
                    $('.p-bottom-rab').show();
                }
            }
            com.hideAPPLoadingAction();
        });
    }
    //监听追加悬赏的返回值
    api.addEventListener({name: 'askForHelpAddReward'}, pGetDataFromThisAddReward);

};
//刷新页面
function pPageRefresh() {
    PaginationID = 0;
    listData = [];
    listRactive = new Ractive({
        el: '#listContainer',
        template: '#listTemplate',
        data: {
            listData: listData
        }
    });
    pGetAskData();
    pGetAnswerData();
}
//监听追加悬赏的返回值
function pGetDataFromThisAddReward(ret) {
    var status = ret.value.status;
    if (status) {
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            title: '',
            text: '追加悬赏中...',
            modal: false
        });
        pGetAskData();
    }
}
//站位
function pAddRewardEndSucceed(){

}
//获取提问详情
function pGetAskData() {
    dc.ask.getAskInfo({
        AskID: api.pageParam.askID
    }, function (ret, err) {
        com.hideProgress();
        if (ret.status.code == 1) {//获取数据成功
            var data = ret.info;
            askInfoData = data;
            askID = data.ID;
            api.sendEvent({
                name: 'askForHelpGetAskInfo',
                extra: {
                    data: data
                }
            });
            var ractive = new Ractive({
                el: '#askInfoContainer',
                template: '#askInfoTemplate',
                data: {
                    askInfo: data
                }
            });
            if (askMemberID == null) {
                askMemberID = data.MemberID;
            }
            if (getList && listData.length == 0) {//已经获取到列表数据，并且数据为空
                pDataNull();
            }
            if (com.userInfo.member.ID == askMemberID) {
                //alert(123344)
                $('.p-bottom-adopt').show();
            }
            try{
                if(askInfoData.bAnswered != 1 &&com.userInfo.member.ID == askMemberID){
                    //alert(123)
                    $('.p-bottom-adopt').show()
                }else{
                    $('.p-bottom-adopt').hide()
                }
            }catch(e){}
            $('.p-top').show();
        } else if (ret.status.code == 3) {
            com.alert({
                msg: ret.status.message
            }, function () {
                com.closeThisWindow();
            });
        }
        com.hideAPPLoadingAction();
    });
}
//获取页面数据
function pGetAnswerData() {
    dc.ask.answerList({
        AskID: api.pageParam.askID,
        PaginationID: PaginationID
    }, function (ret, err) {
        com.hideProgress();
        if (ret.status.code == 1) {//成功获取数据
            var data = ret.info.arrAnswer;
            $.each(data,function(i,item){
                var txt = item.sDescription;
                if (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
                    while (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
                        $.each(conf.app.expressionDetail, function (j, vars){
                            txt = txt.replace(vars.text, '<img class="chat-expression" src="../../image/UIChatBox/emotion/'+vars.name+'.png"/>');
                        });
                    }
                    item.sDescription = txt;
                }
            });
            listData = $.merge(listData, data);
            getList = true;
            if (data.length == 0) {//没有数据了
                if (PaginationID == 0) {//无人回答
                    var noAnswerObj = $('.p-bottom-noanswer');
                    noAnswerObj.show();
                    if (askMemberID != null) {//已经获取到提问数据
                        pDataNull();
                    }
                } else {//没有更多数据了
                    api.toast({msg: '没有更多数据了'});
                }
            } else {
                $('.p-bottom-noanswer').hide().find('.p-bottom-noanswer-content').hide();
                $('#noclose').hide();
                $('#close').hide();
                if (pFirstTime) {
                    pFirstTime = false;
                    //alert(JSON.stringify(listData).indexOf('a'))
                    /* if(JSON.stringify(listData).indexOf(com.userInfo.member.ID)>-1){//本人有回答
                     api.execScript({
                     script:''
                     });
                     }*/
                }
                PaginationID = ret.info.PaginationID;
                listRactive.update('listData');
                if (com.userInfo.member.ID == askMemberID) {
                    $('.p-bottom-adopt').show();
                }
                try{
                    if(askInfoData.bAnswered != 1 &&com.userInfo.member.ID == askMemberID){
                        $('.p-bottom-adopt').show()
                    }else{
                        $('.p-bottom-adopt').hide()
                    }
                }catch(e){}
                $('.p-bottom').show();
            }
        }
        try {
            api.refreshHeaderLoadDone();
        } catch (e) {
        }
        com.hideAPPLoadingAction();
    });
}
//抢答
function pRabAnswer() {
    com.showProgress();
    dc.ask.qiangDa({
        AskID: api.pageParam.askID
    }, function (ret, err) {
        com.hideProgress();
        if (ret.status.code == 1) {//获取数据成功
            var data = ret.info;
            if (data.bGot == 1) {//已经被抢答
                $('#userimg').attr('src', data.sAvatar);
                //$('#userimg').attr('src',data.MemberID);
                $('#username').html(data.sName);
                $('.p-bottom-rab').hide();
                $('.p-bottom-solving').show();
            } else {
                api.toast({msg: '抢答成功'});
                api.openWin({
                    name: 'askForHelpAnswerDetail' + new Date().getTime(),
                    url: conf.appHrefURL + 'html/askForHelp/detail_window.html',
                    pageParam: {
                        type: 'RabAnswer',
                        header: '' + askInfoData.sName + '的提问',
                        askID: askInfoData.ID,
                        answerMemberID: com.userInfo.member.ID,
                        chat: true,
                        askMemberID: askInfoData.MemberID,
                        winName: api.winName
                    }
                });
                setTimeout(function () {
                    com.closeThisWindow();
                }, 1000);
            }
        }
    });
}
var isClick = true;
//采纳为最佳答案
function pAdoptAsBestAnswer(type, memberID,obj) {
    if (isClick) {
        isClick = false;
    } else {
        api.toast({msg:'您已采纳答案，数据正在提交中'});
        return;
    }
    pCheckHref();
    if (askMemberID != com.userInfo.member.ID) {
        api.toast({msg: '您不是问题的提问者，不能操作'});
        return;
    }
    $('.p-inviteAdopt-content').hide();
    //if (api.pageParam.type == 'href') {
    $(obj).html('<span class="s-loadingcircle"><span class="s-loadingcirclespan"></span></span>');
    dc.ask.comment({
        AskID: api.pageParam.askID,
        MemberID: memberID,
        bAdopt: type
    }, function (ret, err) {
        com.hideProgress();
        if (ret.status.code == 1) {
            api.toast({msg: '操作成功'});
            pPageRefresh();
        }
    });
    //}
}
//数据为空的
function pDataNull() {
    var noAnswerObj = $('.p-bottom-noanswer');
    noAnswerObj.show();
    if (askMemberID == com.userInfo.member.ID) {//本人查看
        noAnswerObj.find('.p-own').show().siblings().hide();
        if (askInfoData.bClosed == 1) {//回答已经关闭
            $('#close').show();
            $('#noclose').hide();
        } else {
            $('#noclose').show();
            $('#close').hide();
        }
    } else {
        noAnswerObj.find('.p-others').show().siblings().hide();
    }
}

//跳转到回答详情
function pGoToAskDetail(obj) {
    if (isHref) {
        var chat = false;
        var thisobj = $(obj);
        var askID = thisobj.attr('data-askID');
        var answerID = thisobj.attr('data-answerID');
        var answerName = thisobj.attr('data-answerName');
        var answerMemberID = thisobj.attr('data-answerMemberID');
        if (com.userInfo.member.ID == answerMemberID || com.userInfo.member.ID == askMemberID) {
            chat = true;
        }
        api.openWin({
            name: 'askForHelpAnswerDetail',
            url: conf.appHrefURL + 'html/askForHelp/detail_window.html',
            pageParam: {
                type: 'href',
                header: com.userInfo.member.ID == askMemberID ? '' + answerName + '的回答' : api.pageParam.header,
                askID: askID,
                answerID: answerID,
                answerMemberID: answerMemberID,
                chat: chat,
                askMemberID: askMemberID,
                bAnswered: askInfoData.bAnswered == 1 ? true : false
            }
        });
    }
}