/**
 * Created by yangjiahua on 2015/12/14.
 */
//
(function (doc, win){
	var docEl = doc.documentElement,
		resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
		recalc = function (){
			var clientWidth = docEl.clientWidth;
			if (!clientWidth) return;
			docEl.style.fontSize = 50 * (clientWidth / 320) + 'px';
		};

	if (!doc.addEventListener) return;
	win.addEventListener(resizeEvt, recalc, false);
	doc.addEventListener('DOMContentLoaded', recalc, false);
})(document, window);

var pageID;//分页ID
var ractive;//ractive对象
var moreLoad;//控制开关
var listData;
var hotData = [];
var ractiveHot;
function init(){//初始化
	pageID = 1;
	moreLoad = false;
	listData = [];
}
apiready = function (){
	init();
	getFindData();
	ractive = new Ractive({
		el: '#content',
		template: '#temple',
		data: {
			listData: listData
		}
	});
	//
	api.setRefreshHeaderInfo({
		visible: true,
		bgColor: '#f2f2f2',
		textColor: '#666',
		textDown: '下拉刷新...',
		textUp: '松开刷新...',
		showTime: true
	}, function (ret, err){
		Refresh();
	});
	//上拉加载
	api.addEventListener({
		name: 'scrolltobottom',
		extra: {
			threshold: 30
		}
	}, function (ret, err){
		if (moreLoad) {
			moreLoad = false;
			getFindData();
		}
	});


};


//获取数据
function getFindData(callback){
	dc.find.topic({
		PageID: pageID
	}, function (ret, err){
		if (ret.status.code == 1) {
			var data = ret.info.arrTopic;
			listData = $.merge(listData, ret.info.arrTopic);
			hotData = ret.info.arrTopictop;
			ractive.update('listData');
			ractiveHot = new Ractive({
				el: '#head',
				template: '#templeHot',
				data: {
					hotData: hotData
				}
			});
			if (listData.length == 0) {
				api.toast({
					msg: '暂无话题',
					duration: 2000,
					location: 'bottom'
				});
				//return false;
			}
			if (data.length < 10) {
				moreLoad = false;
				$("#loadingMore").hide();
			} else {
				moreLoad = true;
				pageID++;
				$("#loadingMore").show();
			}
		}
		api.refreshHeaderLoadDone();
		try {
			callback();
		} catch (e) {

		}
	})
}

//下拉刷新

function Refresh(){
	init();
	getFindData(function (){
		ractive = new Ractive({
			el: '#content',
			template: '#temple',
			data: {
				listData: listData
			}
		});

	})
}

function goToTopicDetail(index){
	var data = listData[index];
	gtl.openWebH5.ziliao.index();
}
//跳转热点话题
//function openHotDetail(id){
//	gtl.openWebH5.topic.detail(id);
//}
//话题详情本地
function openHotDetail(index){
	api.openWin({
		name: 'detail_win',
		url: conf.appHrefURL+'html/find/detail_win.html',
		pageParam: {
			id: index
		}
	});
}
//分享话题
function shareTopicDeatil(id,title,content){
	api.openFrame({
		name: 'shareFrame',
		url: conf.appHrefURL + 'html/modules/share.html',
		pageParam: {
			title: title,//标题
			description: '研途宝，考研必备APP',//描述
			content: content,//内容
			imgUrl: 'widget://image/web/app-icon.png',//图片地址
			url: conf.url.discover.share + '?SID=' + api.deviceId+'&id='+id,//网页地址
			sms: content//短信分享内容
		},
		rect: {
			x: 0,
			y: 0,
			h: 'auto',
			w: 'auto'
		},
		bgColor: 'rgba(0,0,0,0)'
	});
}
//进入主页
function goToHomePage(MemberID){
	api.openWin({
		name: 'PersonHome',
		url: conf.appHrefURL+'html/personHomePage/homeContainer.html',
		pageParam: {
			memberID: MemberID
		}
	});
}


//点赞
function praise(id, obj){
	dc.find.praise({
		id: id
	}, function (ret, err){
		if (ret.status.code == 1) {
			var Praise = ret.info.lPraise;
			$(obj).find('span').text(Praise);
			$(obj).find('i').addClass('current');
		}
	})
}

//跳转发布话题页面
function goToPublish(){
	api.openWin({
		name: 'publish',
		url: conf.appHrefURL + 'html/find/publish_win.html',
		pageParam: {}
	});
}









































