/**
 * Created by chenyikun on 2015/9/22.
 */

apiready = function (){
	if (isDev && api.systemType == 'android') {
		try {
			/*var chromeDebug = api.require('chromeDebug');
			chromeDebug.openDebug();*/
		} catch (e) {

		}
	}

	setTimeout(function (){//2秒后去除闪屏
		api.removeLaunchView();
	}, 2000);
	var imgDiv = $api.byId('imgDiv');
	com.pageStatusDel(imgDiv);
	//记录是否第一次打开app
	if ($api.getStorage('isFirstLoad') == null) {//第一次登陆app，显示引导页
		$('.p-launch').hide();
		$api.setStorage('isFirstLoad', false);
		var fs = api.require('fs');
		//第一次安装应用时检测是否有上个版本遗留的数据库文件，有则删除
		fs.exist({
			path: 'fs://database'
		}, function (ret, err){
			if (ret.exist) {
				fs.remove({ path: 'fs://database' });
			}
		});
	} else {//frame方式打开研途宝H5
		var top = getTop();
		var sMobileUrl = conf.url.sMobileUrl;
		api.openFrame({
				name: 'main',
				url: sMobileUrl + '/www?SID=' + api.deviceId + '&systemType=' + api.systemType,
				bounces: true,
				rect: { // 推荐使用Margin布局，用于适配屏幕的动态变化
						marginTop: top, // main页面距离win顶部的高度
						marginBottom: 0, // main页面距离win底部的高度
						w: 'auto' // main页面的宽度 自适应屏幕宽度
				}
		});
	}
	com.exitApp();
	api.addEventListener({
		name: 'appLoginOut'
	}, function (){
		$('.p-launch').hide();
	});
	//监听这个页面显示到前端的时候，绑定事件：双击隐藏APP
	api.addEventListener({ name: 'viewappear' }, function (){
		com.exitApp();
		com.refresh();
	});
};

function openConfig(){
	if (isDevelopment) {
		var configObj = $('#config');
		configObj.addClass('animated bounceInDown').show().on('click', function (){
			com.confirm({
				title: '提示',
				msg: '此按钮仅供开发调试使用（正式环境不显示），慎点',
				buttons: ['确定', '取消']
			}, function (ret, err){
				if (ret.buttonIndex == 1) {
					api.openWin({
						name: 'appConfig',
						url: 'widget://html/appconfig.html',
						animation: {
							type: 'cube',
							subType: 'from_top'
						}
					});
				}
			});
		});
		setTimeout(function (){
			configObj.removeClass('animated bounceInDown');
		}, 2000);
	}
}

//点击切换是否显示密码
function pShowPassword(obj){
	//获取输入框对象
	var inputObj = $(obj).siblings('input');
	if (inputObj.attr('type') == 'text') {//切换为密码状态
		inputObj.attr('type', 'password');
		$(obj).attr('src', '../../image/launch/login/eye_off.png');
	} else {//切换为正常状态
		inputObj.attr('type', 'text');
		$(obj).attr('src', '../../image/launch/login/eye_on.png');
	}
}

//切换到注册页面
function pRegister(){
	api.openWin({
		name: 'register',
		url: conf.appHrefURL + 'html/register/container.html',
		pageParam: {
			header: '注册',
			url: 'register.html'
		}
	});
}
//切换到找回密码页面
function pForgetPassword(){
	api.openWin({
		name: 'register',
		url: conf.appHrefURL + 'html/register/container.html',
		pageParam: {
			header: '忘记密码',
			url: 'getPassword.html'
		}
	});
}

//登录按钮点击
function pBtnLogin(){
	var loginname = $('#loginname').val();
	var password = $('#password').val();
	if (loginname == '') {
		api.toast({ msg: '请输入账户名', location: 'middle' });
		return;
	}
	if (password == '') {
		api.toast({ msg: '请输入密码', location: 'middle' });
		return;
	}
	//显示加载动画
	com.showProgress();
	dc.user.login({
		sPass: password,
		sMobile: loginname
	}, function (ret, err){
		//隐藏加载动画
		com.hideProgress();
		//dc.
		if (ret.status) {
			if (ret.status.code == 1) {//登录成功
				console.log('isLogin');
				$api.setStorage('isLogin', true);
				$api.setStorage('userInfo', ret.info);
				//dc.log('登录返回数据：'+ret.info)
				api.toast({ msg: '登录成功' });
				//var ajpushRegistrationId = $api.setStorage('ajpushRegistrationId');
				/* var ajpush = api.require('ajpush');
				 ajpush.bindAliasAndTags({
				 alias:ret.info.member.ID
				 },function(ret) {
				 var statusCode = ret.statusCode;
				 dc.log('极光推送绑定别名',ret);
				 });*/
				setTimeout(function(){
					api.openWin({
						name: 'main',
						url: conf.appHrefURL + 'html/main/container.html',
						slidBackEnabled: false,
						delay: 1000,
						pageParam: {
							userInfo: ret.info,
							appBaseURL: conf.url.appBaseURL,
							appHrefURL: conf.appHrefURL
						}
					});
				},300);
				$('#password').val('')
			} else {//登录失败
				api.toast({ msg: ret.status.message });
			}
		}
	});
}
