/**
 * Created by chenyikun on 2015/9/24.
 */
var noticeMessage = null;
apiready = function (){
	//最后一条系统提示数据数据
	var noticeMessage = $api.getStorage('noticeMessage');
	if (noticeMessage != undefined && noticeMessage.length > 0) {//如果系统消息有缓存
		$('#lastNotice').html(noticeMessage[noticeMessage.length - 1].sContent);
	}
	com.pageGetData(pGetData);
	//获取系统消息
	getNoticeMessage();
	api.addEventListener({ name: 'messageListReload' }, function (){
		pGetData();
	});
};
//获取系统消息
function getNoticeMessage(){
	dc.systemMessage.getList(function (ret){
		if (ret.status.code == 1) {//获取数据成功
			noticeMessage = ret.info.arrSystemMessage;
			try {
				$('#lastNotice').html(noticeMessage[noticeMessage.length - 1].sContent);
			} catch (e) {
			}
			console.log(JSON.stringify(ret));
			$api.setStorage('noticeMessage', noticeMessage);
			$api.setStorage('noticeMessageUnread', ret.info.lUnread || 0);
		}
		setTimeout(getNoticeMessage, 3000);
	});
}
//页面获取数据
function pGetData(){
	dc.senior.getZixunlist(function (ret){
		if (ret.status.code == 1) {
			var ractive = new Ractive({
				el: '#zixunListContainer',
				template: '#zixunListTemplate',
				data: {
					data: ret.info.arrGuide,
					expressParse: function (txt){
						//如果为空就返回图片
						if (txt == '') {
							return '[图片]';
						}
						//转化表情
						if (txt.indexOf('[红包]') == -1 && txt.indexOf('[图片]') == -1 && txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
							while (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
								$.each(conf.app.expressionDetail, function (j, vars){
									txt = txt.replace(vars.text, '<img class="chat-expression" src="../../image/UIChatBox/emotion/' + vars.name + '.png"/>');
								});
							}
						}
						return txt;
					}
				}
			});
		}
	});
	api.require('db').selectSql({
		name: 'message',
		//sql: 'select * from ConversationList where memberId=\'' + com.userInfo.member.ID + '\' order by isTop desc,sentTime desc;',
		sql: 'select * from ConversationList where id in (select max(id) from ConversationList group by [senderUserId]) and memberId=\'' + com.userInfo.member.ID + '\' order by isTop desc,sentTime desc;'
	}, function (ret, err){
		if (ret) {
			var data = ret.data;
			var unread = 0;
			$.each(data, function (i, item){
				unread += parseInt(item.unreadMessageCount);
				item.time = com.date.messageDateFormat(item.sentTime);
				var txt = item.latestMessage_text;
				if (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
					while (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
						$.each(conf.app.expressionDetail, function (j, vars){
							txt = txt.replace(vars.text, '<img class="chat-expression" src="../../image/UIChatBox/emotion/' + vars.name + '.png"/>');
						});
					}
					item.latestMessage_text = txt;
				}
			});
			api.setAppIconBadge({
				badge: unread
			});
			api.sendEvent({
				name: 'mainMessageUnread',
				extra: {
					count: unread
				}
			});
			var ractive = new Ractive({
				el: '#messageContainer',
				template: '#messageTemplate',
				data: {
					data: ret.data
				}
			});
			dc.log('消息界面数据查询语句', 'select * from ConversationList where memberId=\'' + com.userInfo.member.ID + '\' order by isTop desc,sentTime desc;')
		} else {
			//com.alert(JSON.stringify(err))
		}
	});
}
//进入详情页
function pGoToDetail(targetId, targetName, targetAvatar, targetType){
	api.openWin({
		name: 'messageDetail',
		url: conf.appHrefURL + 'html/message/detail.html',
		pageParam: {
			targetId: targetId,
			targetName: targetName,
			targetAvatar: targetAvatar,
			targetType: targetType//PRIVATE or GROUP,SYSTEM
		},
		delay: 500
	});
}
//接入客服
function pConenectMeChat(){
	com.meiQia();
}
