/**
 * Created by chenyikun on 2015/9/29.
 */
var schooleType;
var provinceDatas = [];
apiready = function () {
    com.pageGetData();
    //绑定点击空白页面关闭frame
    $('#pMessageBackdrop').on('click', function () {
        api.sendEvent({name: 'closeMessageModal'});
    }).find('.p-backdrop-content').on('click', function (event) {
        event.stopPropagation();
    });
}
$(function () {
    var currentYear = parseInt(new Date().getFullYear());
    for (var i = 1; i < 4; i++) {
        $('#selectTime').append('<option value="{{year}}">' + (currentYear + i) + '</option>');
    }
});
//选择本科院校
function pSelectMySchool(type) {
    schooleType = type;
    $('#pMessageBackdrop').hide();
    $('#pSubBackDrop').show().on('click', function () {
        //api.sendEvent({name:'closeMessageModal'});
        pCancel();
    }).find('.p-backdrop-content').on('click', function (event) {
        event.stopPropagation();
    });
    if (provinceDatas.length == 0) {
        dc.baseData.getProvince(function (ret, err) {
            if (ret.status.code == 1) {
                provinceDatas = ret.info.arrProvince;
                var ractive = new Ractive({
                    el: '#listContainer',
                    template: '#provinceList',
                    data: {
                        listData: provinceDatas
                    }
                });
            }
        });
    } else {
        var ractive = new Ractive({
            el: '#listContainer',
            template: '#provinceList',
            data: {
                listData: provinceDatas
            }
        });
    }
}
//取消按钮
function pCancel() {
    $('#pSubBackDrop').hide();
    $('#pMessageBackdrop').show();
    $('#school').html('&nbsp;');
    $('#province').html('请选择省份');
}
//确认按钮，提交
function pConfirm() {
    var schoolName = $('#school').html();
    if (schoolName == '&nbsp;' || schoolName == '请选择学校') {
        api.toast({msg: '请选择学校'});
        return;
    }
    pCancel();
    $(schooleType).html(schoolName).attr('data-id', $('#school').attr('data-id'));
}
//选取省份
function pChangeProvince(obj) {
    var thisObj = $(obj);
    var ProvinceID = thisObj.attr('data-id');
    $('#province').html(thisObj.html()).attr('data-id', thisObj.attr('data-id'));
    $('#school').html('请选择学校');
    dc.baseData.getSchoolByProvinceById({
        ProvinceID: ProvinceID
    }, function (ret, err) {
        if (ret.status.code == 1) {
            var schoolDatas = ret.info.arrUniversity;
            var ractive = new Ractive({
                el: '#listContainer',
                template: '#schoolList',
                data: {
                    listData: schoolDatas
                }
            });
        }
    });
}
//选取学校
function pChangeSchool(obj) {
    var thisObj = $(obj);
    $('#school').html(thisObj.html()).attr('data-id', thisObj.attr('data-id'));
    //$('#school').html('请选择学校');
}
//修改时间
function pChangeTime() {
    $('#lKaoYanYear').html($('#selectTime option:checked').html());
}
//按钮点击
function pBtnConfirm() {
    var lKaoYanYear = $('#lKaoYanYear').html();
    var UniversityID = $('#targetSchool').attr('data-id');
    var UniversityName = $('#targetSchool').html();
    var NowUniversityID = $('#currentSchool').attr('data-id');
    var NowUniversityName = $('#currentSchool').html();
    if (NowUniversityID == 'null') {
        api.toast({msg: '请选择本科院校'});
        return;
    }
    if (UniversityID == 'null') {
        api.toast({msg: '请选择目标研校'});
        return;
    }
    if (lKaoYanYear == '选择考研时间') {
        api.toast({msg: '请选择考研时间'});
        return;
    }
    dc.baseData.editUniversity({
        NowUniversityID: NowUniversityID,
        UniversityID: UniversityID,
        lKaoYanYear: lKaoYanYear
    }, function (ret, err) {
        com.userInfo.NowUniversityID = NowUniversityID;
        com.userInfo.UniversityID = UniversityID;
        com.userInfo.lKaoYanYear = lKaoYanYear;
        com.userInfo.sUniversity = UniversityName;
        com.userInfo.sNowUniversity = NowUniversityName;
        $api.setStorage('userInfo', com.userInfo);
        api.sendEvent({name: 'closeMessageModal'});
        api.toast({msg: ret.status.message});
    });
}