/**
 * Created by chenyikun on 2015/9/25.
 */
apiready = function () {
    //页面初始化
    pInit();
    com.pageGetData();
    pGetData();
    if (api.pageParam.type == 'add') {//显示编辑完成按钮
        $('.s-top-right').show().on('click', function () {
            var inputObjs = $('input[type=checkbox]:checked');
            if (inputObjs.length == 0) {
                api.toast({
                    msg: '您当前没有选择用户'
                });
                return;
            }
            var selectIds = '';
            $.each(inputObjs, function (i, item) {
                selectIds += $(item).attr('data-id');
                if (i < inputObjs.length - 1) {
                    selectIds += ';';
                }
            });
            api.sendEvent({
                name: 'selectGroupMemberSuccess',
                extra: {
                    data: selectIds
                }
            });
            com.closeThisWindow();
        });
    }
};
//页面初始化
function pInit() {
    var header = $api.byId('header');
    com.pageStatusDel(header);
}
//获取群成员数据
function pGetData() {
    //return;
    dc.memberGroup.getContactList(function (ret, err) {
        if (ret) {
            var data = ret.info;
            if (JSON.stringify(data) == '{}') {
                api.toast({msg: '当前没有联系人'});
                return;
            }
            var param = {
                groupData: data.arrGroup || [],
                friendData: data.arrFriend || []
            };
            if (api.pageParam.type == 'add') {
                param.groupData = [];
            }
            var listData = new Ractive({
                el: '#listContainer',
                template: '#listTemplate',
                data: param
            });
            if (api.pageParam.type == 'add') {
                $('.mui-checkbox input').css({
                    opacity: 1
                });
            }
        } else {
            //com.alert(JSON.stringify(err))
        }
    });
}
//跳转到详情页
function pGoToDetail(obj, type) {
    if (api.pageParam.type == 'add') {
        return;
    }
    var thisObj = $(obj);
    api.openWin({
        name: 'messageDetail',
        url: conf.appHrefURL+'html/message/detail.html',
        pageParam: {
            targetId: thisObj.attr('data-id'),
            targetName: thisObj.find('.p-li lable').html(),
            targetAvatar: thisObj.find('.p-img img').attr('src'),
            targetType: type//PRIVATE or GROUP
        }
    })
}