/**
 * Created by bear on 2015/9/24 0024.
 */
//获取管理员id
var adminID = null;
//是否是面免打扰，
var isRemind;
//是否置顶
var isTop = 0;
//设置页数
var currentPage = 1;
//页面数据
var pDetailDatas = [];
//是否第一次加载
var isFirstLoad = true;
//表情包位置
var pLocalExpressionUrl = '../../image/UIChatBox/emotion/';
//表情包数组
var pLocalExpressionArr = [];
//$(morePage);
function morePage(){
	if (api.pageParam.targetId == 'system') {
		return false;
	}
	$('#main').scroll(function (){//监听左侧列表滚动事件
		if (this.scrollTop < 50) { //滑动到顶部
			$(this).unbind('scroll');
			setTimeout(function (){
				detailAdd();
			}, 300);
		}
	});
}
function detailAdd(){
	currentPage++;
	pGetDataFromSqlite();
}
apiready = function (){
	pDetailDatas = [];
	if (api.pageParam.targetId == 'system') {
		pGetNoticeMessage();
		return false;
	}
	com.pageGetData(function (){
		pGetDataFromSqlite();//从本地数据库获取数据
	});
	pGetConfig();//获取配置参数
	pInit();//页面初始化
	pClearUnRead();//清空回话未读消息数
	api.addEventListener({ name: 'getOneMessageFromRong' }, pGetRongMessage);//获取融云传递过来的消息
};
//清空回话未读消息数
function pClearUnRead(){
	var rong = api.require('rongCloud');
	rong.clearMessagesUnreadStatus({
		conversationType: api.pageParam.targetType,
		targetId: api.pageParam.targetType
	}, function (ret, err){

	});
}
//发送广播，已经离开聊天界面
function pCloseWindow(){
	api.sendEvent({
		name: 'isOnChat',
		extra: {
			status: false,
			targetId: ''
		}
	});
}
//从本地数据库获取数据
function pGetDataFromSqlite(){
	dc.db.message.getDetail({
		currentPage: currentPage,
		targetId: api.pageParam.targetId,
		type: api.pageParam.targetType,
		limit: 10
	}, function (ret, err){
		if (ret) {
			//$.get( pLocalExpressionUrl+'emotion.json',function(data){
			//    pLocalExpressionArr = JSON.parse(data);
			try {
				$.each(ret.data, function (i, item){
					var itemObj = {
						time: com.date.messageDateFormat(item.sentTime),
						timestramp: item.sentTime,
						usertype: item.senderUserId == com.userInfo.member.ID ? 'p-right' : 'p-left',
						username: item.senderUserName,
						text: item.content_text,
						userimg: item.senderUserAvatar,
						sentTime: item.sentTime,
						extra: item.content_extra
					};
					var txt = itemObj.text;
					if (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
						while (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
							$.each(conf.app.expressionDetail, function (j, vars){
								txt = txt.replace(vars.text, '<img class="chat-expression" src="../../image/UIChatBox/emotion/' + vars.name + '.png"/>');
							});
						}
						itemObj.text = txt;
					}
					/*     $.each(pLocalExpressionArr,function(j,vars){
					 function change(itemObj,vars){
					 if(itemObj.text.indexOf(vars.text)>-1){
					 itemObj.text = itemObj.text.replace(vars.text,'<img src="'+pLocalExpressionUrl+vars.name+'.png"/>');
					 change(itemObj,vars);
					 }
					 }
					 change(itemObj,vars);
					 });*/
					pDetailDatas = $.merge([itemObj], pDetailDatas);
				});
			} catch (e) {
				//alert(JSON.stringify(e));
			}
			dc.log('页面填充数据', pDetailDatas);
			pFillData(ret.data.length || 0);
			if (currentPage == 1) {
				pScrollToBottom();
			}
			//});
		} else {
			//alert(JSON.stringify(err));
		}
	});
}
//页面初始化
function pInit(){
	if (api.pageParam.targetType == 'SYSTEM') {
		return;
	}
	//请求UIChatBox
	var UIChatBox = api.require('UIChatBox');
	UIChatBox.open({
		placeholder: '',
		maxRows: 4,
		emotionPath: 'widget://image/UIChatBox/emotion',
		texts: {
			recordBtn: {
				normalTitle: '按住 说话',
				activeTitle: '松开 结束'
			}
		},
		styles: {
			inputBar: {
				borderColor: '#d9d9d9',
				bgColor: '#f8f8f8'
			},
			inputBox: {
				borderColor: '#B3B3B3',
				bgColor: '#FFFFFF'
			},
			emotionBtn: {
				normalImg: 'widget://image/UIChatBox/face1.png',
				activeImg: 'widget://image/UIChatBox/face1.png'
			},
			keyboardBtn: {
				normalImg: 'widget://image/UIChatBox/key1.png',
				activeImg: 'widget://image/UIChatBox/key2.png'
			},
			indicator: {
				target: 'both',
				color: '#c4c4c4',
				activeColor: '#9e9e9e'
			}
		}
	}, function (ret){
		//监听输入框弹起事件，修改window高度
		UIChatBox.addEventListener({
			target: 'inputBar',
			name: 'move'
		}, function (ret, err){
			var inputHeight = (ret.inputBarHeight || 0) + ret.panelHeight - 50;
			if (inputHeight < 0) {
				inputHeight = 50;
			}
			api.setFrameAttr({
				name: 'detail_frame',
				ret: {
					h: api.frameHeight - inputHeight
				}
			});
			if (com.device.getName() == 'iOS') {
				$('#wrap').css({
					'padding-bottom': inputHeight + 'px'
				});
			}
			pScrollToBottom();//滚动到最底部
		});
		UIChatBoxSucceed(ret);
	});
}
//获取配置参数
function pGetConfig(){
	if (api.pageParam.targetType != 'GROUP') {
		return;
	}
	$('#header .p-top-group').show();
	dc.memberGroup.getGroupMemberList({
		GroupID: api.pageParam.targetId
	}, function (ret, err){
		if (ret) {//获取数据成功
			var data = ret.info;
			adminID = data.AdminMemberID;
			if (data.bRemind == 0) {//免打扰模式
				isRemind = 'DO_NOT_DISTURB';
			} else {
				isRemind = 'NOTIFY';
			}
			if (data.bTop == 1) {//置顶会话
				isTop = 1;
			} else {//非置顶会话
				isTop = 0;
			}
		}
	});
}
//UIChatBox回调成功
function UIChatBoxSucceed(UIChatBoxRet){
	//点击附加功能面板
	if (UIChatBoxRet.eventType == 'clickExtras') {
		//alert("用户点击了第" + UIChatBoxRet.index + "个按钮");
	} else if (UIChatBoxRet.eventType == 'send') {//点击发送按钮,UIChatBoxRet.msg输入内容
		var sendText = UIChatBoxRet.msg;
		if (sendText == '') {
			api.toast({
				msg: '发送内容不能为空',
				location: 'middle'
			});
			return;
		}
		var sentTime = new Date().getTime();
		var txt = sendText;
		if (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
			while (txt.indexOf('[') > -1 && txt.indexOf(']') > -1) {
				$.each(conf.app.expressionDetail, function (j, vars){
					txt = txt.replace(vars.text, '<img class="chat-expression" src="../../image/UIChatBox/emotion/' + vars.name + '.png"/>');
				});
			}
		}
		pDetailDatas.push({
			time: com.date.messageDateFormat(new Date().getTime()),
			timestramp: sentTime,
			usertype: 'p-right',
			username: com.userInfo.member.sName,
			text: txt,
			userimg: com.userInfo.member.sAvatar
		});
		pScrollToBottom();//滚动到最底部
		pTimeToogle();//控制时间隐藏
		var extra = {
			sendUserAvatar: com.userInfo.member.sAvatar,
			sendUserName: com.userInfo.member.sName,
			sendUserId: com.userInfo.member.ID,
			groupId: api.pageParam.targetType == 'GROUP' ? api.pageParam.targetId : com.userInfo.member.ID,
			notificationStatus: isRemind || 'NOTIFY',
			isTop: isTop || 0
		};
		if (api.pageParam.targetType == 'GROUP') {
			extra.groupId = api.pageParam.targetId;
			extra.groupName = api.pageParam.targetName;
			extra.groupAvatar = api.pageParam.targetAvatar;
		}
		dc.log('融云开始发送数据', {
			conversationType: api.pageParam.targetType,
			targetId: api.pageParam.targetId,
			text: sendText,
			extra: JSON.stringify(extra)
		});
		//融云发送信息
		var rong = api.require('rongCloud');
		rong.sendTextMessage({
			conversationType: api.pageParam.targetType,
			targetId: api.pageParam.targetId,
			text: sendText,
			extra: JSON.stringify(extra)
		}, function (sendRet, err){
			if (sendRet.status == 'prepare') {
				//api.toast({msg: 'prepare:' + JSON.stringify(sendRet.result.message)});
			} else if (sendRet.status == 'success') {
				var listData = {
						senderUserId: api.pageParam.targetId,
						senderUserName: api.pageParam.targetName,
						senderUserAvatar: api.pageParam.targetAvatar,
						latestMessage_text: sendText,
						conversationType: api.pageParam.targetType,
						notificationStatus: isRemind || 'NOTIFY',
						unreadMessageCount: 0,
						sentTime: sentTime,
						isTop: isTop || 0,
						memberId: com.userInfo.member.ID
					},
					detailData = {
						content_text: sendText,
						content_extra: '',
						content_duration: 0,
						content_imageUri: '',
						content_title: '',
						conversationType: api.pageParam.targetType,
						groupId: api.pageParam.targetId,
						objectName: 'RC:TxtMsg',
						senderUserId: com.userInfo.member.ID,
						senderUserName: com.userInfo.member.sName,
						senderUserAvatar: com.userInfo.member.sAvatar,
						sentTime: sentTime,
						memberId: com.userInfo.member.ID,
						isRead: 1
					};
				dc.log('融云发送数据', sendRet);
				dc.db.message.updateList(listData, detailData);
			} else if (sendRet.status == 'error') {
				dc.log('融云发送错误', sendRet);
			}
		});
	}
}
//获取融云传递过来的消息
function pGetRongMessage(ret){
	var data = ret.value.data.result.message;
	var sendUserInfo = JSON.parse(data.content.extra);
	pDetailDatas.push({
		time: com.date.messageDateFormat(data.sentTime),
		usertype: 'p-left',
		username: sendUserInfo.sendUserName,
		text: data.content.text,
		userimg: sendUserInfo.sendUserAvatar
	});
	pTimeToogle();//控制时间隐藏
	pScrollToBottom();//滚动到最底部
}

//填充页面数据
function pFillData(length){
	/*  $.get( pLocalExpressionUrl+'emotion.json',function(data){
	 pLocalExpressionArr = JSON.parse(data);
	 alert(JSON.stringify(JSON.parse(data)[0]))
	 });*/
	var chatContent = new Ractive({
		el: '#detailContainer',
		template: api.pageParam.targetId == 'system' ? '#detailNoticeTemplate' : '#detailTemplate',
		data: {
			detailData: pDetailDatas
		}
	});
	if (api.pageParam.targetType == 'SYSTEM') {
		$('.p-system').show()
	}
	pTimeToogle();//控制时间隐藏
	if (api.pageParam.targetId == 'system' && isFirstLoad) {
		isFirstLoad = false;
		console.log(123)
		pScrollToBottom();
	}
	setTimeout(function (){
		if (length == 0) {//数据库没有数据
			//api.toast({msg: '没有更多聊天记录了'});
		} else {
			morePage();
		}
	}, 600);
}
//控制时间隐藏
function pTimeToogle(){
	//控制时间，在同一分钟内只显示一条
	var liObjs = $('#detailContainer li .p-time');
	var prev, current;
	if (liObjs.length < 2) {
		return;
	}
	for (var i = 0; i < liObjs.length - 1; i++) {
		prev = liObjs[i];
		current = liObjs[i + 1];
		if ($(prev).find('span').html() == $(current).find('span').html()) {
			$(current).hide();
		}
	}
}
//系统消息点击跳转
function pSystemMessageHref(index, time){
	try {
		var extra = pDetailDatas[index].Ext;
		console.log(JSON.stringify(extra));
		com.pushLinkAction(extra, time);
	} catch (e) {
	}
}
//滚动到最底部
function pScrollToBottom(){
	if (api.pageParam.targetType == 'SYSTEM') {
		$('#detailContainer').css({ 'padding-bottom': '0!important' });
	}
	$('#main').animate({ scrollTop: 999999999 }, 0);
}
//获取系统消息
function pGetNoticeMessage(){
	//最后一条系统提示数据数据
	var data = $api.getStorage('noticeMessage');
	if (data == undefined) {//如果系统消息有缓存
		data = [];
	}
	console.log(data.length, pDetailDatas.length);
	if (JSON.stringify(data) != JSON.stringify(pDetailDatas)) {
		pDetailDatas = data;
		pFillData(pDetailDatas.length);
	}
	setTimeout(pGetNoticeMessage, 2000);
	dc.systemMessage.setRead(function (){
	});
	$api.setStorage('noticeMessageUnread', 0);
	api.sendEvent({ name: 'messageSetRead' });
}