/**
 * Created by yangjiahua on 2015/10/10.
 */
/*
 * 用户默认数据填充
 * */
var Speciality;//就读专业
var pecialityID;//就读专业ID
var sUniversity;//就读研校
var UniversityID;//就读研校ID
var sAchievement;//成绩排名
var sSignature;//座右铭
var sSummary;//个人简介

apiready = function () {
    com.showProgress();

    com.pageGetData(function () {
        getDefaultInfoData();
        //getDefaultInfoData();
    });
    api.addEventListener({
        name: 'selectSpecialEnd'
    }, function (ret, err) {
        api.hideProgress();
        var $colleges = $(".colleges-value");
        var $po = $(".po-value");
        var $sp = $(".sp-value");
        if (ret.value.status) {
            ////接收本科院校监听事件
            if (ret.value.comeFrom == 'myColleges') {
                $colleges.text(ret.value.name);
                $colleges.attr("data-NowUniversityID", ret.value.id);
            }
            //接收就读研校监听事件
            if (ret.value.comeFrom == 'myPo') {
                $po.text(ret.value.name);
                var schoolDate = ret.value.extra.school;
                sUniversity = schoolDate.sName;//就读研校
                UniversityID = schoolDate.ID;//就读研校ID
                Speciality = ret.value.name;
                pecialityID = ret.value.id;
                $po.attr("data-UniversityID", UniversityID).text(sUniversity).css("top", 0);
                $sp.attr("data-SpecialityID", pecialityID).text(Speciality);
            }
        }
    });
    //座右铭监听事件接收
    api.addEventListener({
        name: 'saveMyMotto'
    }, function (ret, err) {
        if (ret.value.sign == 1)
            var motto = $(".motto");
        motto.attr("data-sSignature", ret.value.val);
        if (ret.value.val != "") {
            $(".motto-status").text(ret.value.val);
        }

    });
    //个人简介监听事件接收
    api.addEventListener({
        name: 'saveMyIntro'
    }, function (ret, err) {
        if (ret.value.sign == "intro")
            $(".intro").attr("data-sSummary", ret.value.val);
        if (ret.value.val != "") {
            $(".intro-status").text(ret.value.val);
        }
    });
    //成绩排行监听事件
    api.addEventListener({
        name: 'saveMyRank'
    }, function (ret, err) {
        if (ret.value.sign == "rank");
        $(".rank").attr("data-sAchievement", ret.value.val);
        if (ret.value.val != "") {
            $(".rank-status").text(ret.value.val);
        }
    });
};
//ͷ用户头像设置
function userGetPic() {
    api.actionSheet({
        title: '请选择图片',
        cancelTitle: '取消',
        buttons: ['拍照', '图库']
    }, function (ret, err) {
        if (ret.buttonIndex == 1) {
            getPhotos('camera');
        } else if (ret.buttonIndex == 2) {
            getPhotos('library');
        }
    });
    function getPhotos(type) {
        api.getPicture({
            sourceType: type,
            encodingType: 'jpg',
            mediaValue: 'pic',
            destinationType: 'base64',
            allowEdit: true,
            targetHeight: 640,
            targetWidth: 640,
            quality: 90,
            saveToPhotoAlbum: false
        }, function (ret, err) {
            if (ret) {
                dc.log('拍照图片', ret);
                var base64Data = ret.base64Data;
                $("#userImg").attr('src', base64Data);
            } else {
                //api.alert({msg: err.msg});
            }
        });
    }
}
/*
 * 个人数据填充
 * */
//设置院校
function setYourColleges() {
    api.openFrame({
        name: 'myCollegesSetting',
        url: 'widget://html/modules/selectSpecialID.html',
        bgColor: 'rgba(0,0,0,0)',
        pageParam: {
            comeFrom: 'myColleges',//标识
            selectType: false,
            selectLength: 2
        }
    });
}
//设置就读研校
function setYourPo() {
    api.openFrame({
        name: 'myPoSetting',
        url: 'widget://html/modules/selectSpecialID.html',
        bgColor: 'rgba(0,0,0,0)',
        pageParam: {
            comeFrom: 'myPo',//标识
            selectType: false,
            selectLength: 4
        }
    });
}
/*
 * 跳转界面
 * */
//座右铭
function myMotto() {
    api.openWin({
        name: 'motto',
        url: '../../html/personCenter/myInfo/mottoContainer.html',
        pageParam: {
            myMotto:sSignature
        }
    });
}
//个人简介
function myIntro() {
    api.openWin({
        name: 'intro',
        url: '../../html/personCenter/myInfo/introContainer.html',
        pageParam: {
            myIntro:sSummary
        }
    });
}
//成绩排行
function myRank() {
    api.openWin({
        name: 'rank',
        url: '../../html/personCenter/myInfo/rankContainer.html',
        pageParam: {
            myRank:sAchievement
        }
    });
}
//弹出性别选框
$(function () {
    var sexC = $("#con .sex");
    var sexLi = $("#setSex li");
    var idLi = $("#setIdentity li");
    var sexText = $("#con .sex-value");
    var fsLi = $("#favouriteSubject li");
    var mask = $("#mask");
    //设置性别
    sexC.on("click", function () {
        mask.show();
        $("#setSex").dialog();
        sexLi.click(function () {
            var sexVal = $(this).text();
            var sexData = $(this).attr("data-SexID");
            sexText.text(sexVal);
            sexText.attr("data-SexID", sexData);
            mask.hide();
            $("#setSex").dialog('close');
        });
    });
    //设置学历
    $(".identity").on("click", function () {
        mask.show();
        $("#setIdentity").dialog();
        idLi.click(function () {
            var idVal = $(this).text();
            var idData = $(this).attr("data-StudentTypeID");
            $("#con .id-value").text(idVal).attr("data-StudentTypeID", idData);
            if(idVal=="考生"){
                $(".rank").hide();
                $(".intro").hide();
            }else{
                $(".rank").show();
                $(".intro").show();
            }
            mask.hide();
            $("#setIdentity").dialog('close');
        })
    });
    //设置擅长学科

    $(".good").on("click", function () {
        if (Speciality == undefined) {
            Speciality = '';
        }
        if (pecialityID == undefined) {
            pecialityID = '';
        }
        var fStext = "";//学科
        var fsData = "";//学科ID
        mask.show();
        $("#favouriteSubject").dialog();
        fsLi.not($("#default")).one("click", function (e) {
            $(this).addClass("active");
            fStext += ($(this).text() + " ");
            fsData += $(this).attr("data-BeGoodAtID");
            e.stopPropagation();
        });
        $(".determine").on("click", function (e) {
            $(".good-value").text(fStext + Speciality).attr("data-BeGoodAtID", fsData + pecialityID);
            mask.hide();
            $("#favouriteSubject").dialog('close');
            fStext = "";
            fsData = "";
            fsLi.removeClass("active");
            $("#default").addClass("active");
            e.stopPropagation();
        });
        $(".cancel").on("click", function (e) {
            mask.hide();
            fsLi.removeClass("active");
            $("#default").addClass("active");
            $("#favouriteSubject").dialog('close');
            e.stopPropagation();
        });
    });
});

/*
 * 默认数据填充
 * */

function getDefaultInfoData() {
    dc.user.center({}, function (ret, err) {
        if (ret.status.code == 1) {
            var data = ret.info;
            var sAvatar = data.member.sAvatar;//头像
            var name = data.member.sName;//姓名
            var sexVal = data.member.SexID;//性别
            var idVal = data.member.StudentTypeID;//身份
            var coVal = data.member.sNowUniversity;//本科院校；
            var coId = data.member.NowUniversityID;//本科院校ID
            var pVal = data.member.sUniversity;//就读研校
            var pId = data.member.UniversityID;//就读研校ID
            var GoodVal = data.member.sBeGoodAt;//擅长学科
            var SpecialityID = data.member.SpecialityID;//就读专业ID
            var sSpeciality = data.member.sSpeciality;//就读专业
            GoodVal = GoodVal.join(' ');
            var GooId = data.member.BeGoodAtID;//擅长学科ID；
            sAchievement = data.member.sAchievement;//成绩排名
            sSignature = data.member.sSignature;//座右铭
            sSummary = data.member.sSummary;//个人简介
            if(idVal=="examinee"){
               $(".rank").hide();
               $(".intro").hide();
            }
            if (sAvatar != "") {
                $("#userImg").attr('src', sAvatar);
            }
            if (name != "") {
                $("#username").val(name);
            }
            if (sexVal != "") {
                if (sexVal == "male") {
                    $(".sex-value").text("男").attr("data-SexID", "male");
                } else {
                    $(".sex-value").text("女").attr("data-SexID", "female");
                }
            }
            if (idVal != "") {
                if (idVal == "senior") {
                    $(".id-value").text("研究生").attr("data-StudentTypeID", "senior");
                } else {
                    $(".id-value").text("考生").attr("data-StudentTypeID", "examinee");
                }
            }
            if (coVal != '') {
                $(".colleges-value").text(coVal).attr("data-NowUniversityID", coId);
            }
            if (pVal != "") {
                $(".po-value").text(pVal).attr("data-UniversityID", pId).css("top", 0);
                $(".sp-value").text(sSpeciality).attr("data-SpecialityID", SpecialityID);
            }
            if (GoodVal != "") {
                $(".good-value").text(GoodVal).attr("data-BeGoodAtID", GooId);
            }
            $(".motto").attr("data-sSignature", sSignature);
            if (sSignature != "") {
                $(".motto-status").text(sSignature);
            }
            $(".rank").attr("data-sAchievement", sAchievement);
            if (sAchievement != "") {
                $(".rank-status").text(sAchievement);
            }
            $(".intro").attr("data-sSummary", sSummary);
            if (sSummary != "") {
                $(".intro-status").text(sSummary);
            }

        }
        com.hideProgress();
        $("#con").show();
    });
}
/*
 * 发送数据
 * */
function getEditProfile() {
    var defaultPic = $("#userImg").attr('src');
    var undefaultPic = defaultPic.replace('data:image/jpeg;base64,', '').replace('data:image/jpg;base64,', '');
    var vain = '';
    var sAvatar = ( defaultPic.indexOf("http://") >= 0) ? vain : undefaultPic;//发送图片地址选择
    var sName = $("#username").val();//姓名
    var SexID = $(".sex-value").attr("data-SexID");//性别
    var StudentTypeID = $(".id-value").attr("data-StudentTypeID");//身份
    var NowUniversityID = $(".colleges-value").attr("data-NowUniversityID");//本科院校
    var UniversityID = $(".po-value").attr("data-UniversityID");//就读研校ID
    var SpecialityID = $(".sp-value").attr("data-SpecialityID");//就读专业ID
    var BeGoodAtID = $(".good-value").attr("data-BeGoodAtID");//擅长学科
    var sSignature = $(".motto").attr("data-sSignature");//座右铭
    var sAchievement = $(".rank").attr("data-sAchievement");//成绩排
    var sSummary = $(".intro").attr("data-sSummary");//个人简介
    com.showProgress();
    dc.user.editProfile({
        sAvatar: sAvatar,
        sName: sName,
        SexID: SexID,
        StudentTypeID: StudentTypeID,
        NowUniversityID: NowUniversityID,
        UniversityID: UniversityID,
        SpecialityID:SpecialityID,
        BeGoodAtID: BeGoodAtID,
        sSignature: sSignature,
        sAchievement: sAchievement,
        sSummary: sSummary
    }, function (ret, err) {
        if (ret.status.code == 1) {
            dc.log("编辑个人信息", ret.info);
            com.hideProgress();
            api.toast({msg: '保存成功', duration: 1500, location: 'middle'});
            setTimeout('com.closeThisWindow()', 1000);
        } else {
            com.hideProgress();
            api.toast({msg: '保存失败', duration: 2000, location: 'middle'});
        }
    })
}
//设置性别
//    function setYourSex(){
//        api.openFrame({
//            name: 'mySexSetting',
//            url: 'widget://html/personCenter/myInfo/mySex.html',
//            bgColor: 'rgba(0,0,0,0)',
//            pageParam: {
//                comeFrom: 'mySex'//标识
//            }
//        });
//    };
//接收性别监听事件ֵ
//apiready = function (){
//    api.addEventListener({
//        name: 'mySexSetting'
//    }, function (ret, err) {
//        var $sex=$(".sex-value");
//        if ( ret.value.comeFrom == 'mySex') {//接收标识
//            $sex.text(ret.value.sex);
//        }
//    });
//};
//设置身份
//    function setYourId(){
//        api.openFrame({
//            name: 'myIdSetting',
//            url: 'widget://html/personCenter/myInfo/myId.html',
//            bgColor: 'rgba(0,0,0,0)',
//            pageParam: {
//                comeFrom: 'myId'//标识
//            }
//        });
//    };
//接收性别监听事件ֵ
//apiready = function (){
//    api.addEventListener({
//        name: 'myIdSetting'
//    }, function (ret, err) {
//        var $id=$(".id-value");
//        if ( ret.value.comeFrom == 'myId') {//接收标识
//            $id.text(ret.value.id);
//        }
//    });
//};

//接收院校监听事件
//apiready = function (){
//    api.addEventListener({
//        name: 'selectSpecialEnd'
//    }, function (ret, err) {
//        var $colleges=$(".colleges-value");
//        if ( ret.value.status &&ret.value.comeFrom == 'myColleges') {
//            //监听到页面选择返回的数据
//            $colleges.text(ret.value.name);
//        }
//    });
//};

//接收就读研校监听事件
//apiready = function (){
//    api.addEventListener({
//        name: 'selectSpecialEnd'
//    }, function (ret, err) {
//        var $po=$(".po-value");
//        if ( ret.value.status &&ret.value.comeFrom == 'myPo') {
//            //监听到页面选择返回的数据
//            $po.text(ret.value.name);
//        }
//    });
//};













































