/**
 * Created by chenyikun on 2015/10/23.
 */
var PaginationID = 0;//分页ID
var listData = [];//页面数据
var listRactive;
var loadMore = true;
apiready = function () {
    var $header = $api.byId('header');
    com.pageStatusDel($header);
    if(api.systemType == 'ios'){
        $('#SenContainer').css('padding-top','64px');
    }
    com.pageGetData(function () {
        getSeniorsList();
        pGetData();
    });
    listRactive = new Ractive({
        el: '#listContainer',
        template: '#listTemplate',
        data: {
            listData: listData
        }
    });

    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f8f8f8',
        textColor: '#999',
        textDown: '下拉可以刷新...',
        textUp: '松开刷新...',
        textLoading: '刷新中',
        showTime: true
    }, function (ret, err) {
        //从服务器加载数据，完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        pRefresh();
        //location.reload()
    });
    //api.refreshHeaderLoadDone();
    api.addEventListener({
        name: 'scrolltobottom',
        extra: {
            threshold: 50            //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function () {
        if (loadMore) {
            loadMore = false;
        } else {
            return;
        }
        pGetData();
    });
};
//学长子页面切换
function pageChange(obj, index) {
    api.setFrameGroupIndex({
        name: 'senior',
        index: index,
        scroll: false
    });
}
//获取个人中心数据
function getSeniorsList(callback) {
    var data = api.pageParam.homeData;
    var ractive = new Ractive({
        el: '#SenContainer',
        template: '#seniorsTemplate',
        data: {
            listData: data
        }
    });
}
//跳转到我的座右铭
function goToMyMotto() {
    api.openWin({
        name: 'myMotto',
        url: '../../html/personCenter/myInfo/myMottoContainer.html',
    });
}

//刷新页面
function pRefresh() {
    listData = [];
    PaginationID = 0;
    pGetData(function () {
        listRactive = new Ractive({
            el: '#listContainer',
            template: '#listTemplate',
            data: {
                listData: listData
            }
        });
        if (api.pageParam.type == 'answer') {
            $('.p-hot-status-time.p-border').hide();
        }
        if ($('#listContainer .p-hot').length == 0) {
            $('#loadingMore').hide();
        }
        api.refreshHeaderLoadDone();
    });
}
//获取页面数据
function pGetData(callback) {
    dc.ask.myAnswer({
        MemberID: api.pageParam.memberID,
        PaginationID: PaginationID
    }, function (ret, err) {
        if (ret.status.code == 1) {
            var data = ret.info.arrAnswer;
            dataAction(data, ret.info.PaginationID, 'answer');
        }
    });
    function dataAction(data, id, type) {
        if (data.length == 0) {//没有数据了
            loadMore = false;
            if (PaginationID == 0) {//第一次加载就没有数据
                //api.toast({msg: '您暂时没有回答'});
                $('.p-bottom-noanswer').show();
                $('#first').html(type == 'ask' ? '你暂时没有提问，快去提问吧' : '你暂时没有回答，快去回答吧');
                $('#loadingMore').hide();
            } else {//没有更多数据了
                api.toast({msg: '没有更多数据了'});
            }
        } else {
            loadMore = true;
            PaginationID = id;
            if (data.length < conf.ajaxOnePageMax) {//获取数据小于ajax请求的一页数目，隐藏加载动画
                $('#loadingMore').hide();
            }
            $.each(data, function (i, item) {
                if (item.bAdopt == 1) {//最佳答案
                    item.statusClass = 'p-best';
                    item.statusText = '最佳答案';
                } else if (item.bAnswered == 1) {//已解决
                    item.statusClass = 'p-solved';
                    item.statusText = '已解决';
                } else if (item.bAdopt == 2) {//不采纳
                    item.statusClass = 'p-unAdopt';
                    item.statusText = '不采纳';
                } else {//待评价
                    item.statusClass = 'p-waitappeal';
                    item.statusText = '待评价';
                }
                item.currentDescript = type == 'ask' ? item.sDescription : item.sAskDescription;
            });
            listData = $.merge(listData, data);
            listRactive.update('listData');
            if (type == 'answer') {
                $('.p-hot-status-time.p-border').hide();
            }
            $('#listContainer').show();
        }
        try {
            callback();
        } catch (e) {
        }
    }
}

//跳转到回答列表
function pGoToAnswerThisList(obj) {
    var thisObj = $(obj);
    var askID = thisObj.attr('data-id') || thisObj.attr('data-askID');
    var askName = thisObj.attr('data-askName');
    var askMemberID = thisObj.attr('data-askMemberID');
    if (isHref) {
        api.openWin({
            name: 'askForHelpAnswerList',
            url: conf.appHrefURL + 'html/askForHelp/answerList_window.html',
            pageParam: {
                type: 'href',
                header: api.pageParam.type != 'ask' ? '' + askName + '的提问' : '我的提问',
                askID: askID,
                askMemberID: askMemberID
            }
        });
    }
}

function goToMyMotto() {
    var motto=api.pageParam.homeData.member.sSignature;
    api.openWin({
        name: 'myMotto',
        url: '../../html/personCenter/myInfo/myMottoContainer.html',
        pageParam: {
            myMotto:motto
        }
    });
}