/**
 * Created by yangjiahua on 2015/10/19.
 */
//数据列表
var topicListData = [];
var topicListRactive;
var PaginationID = 0;
var loadMore = false;

apiready = function () {
    topicListRactive = new Ractive({
        el: '#topicCon',
        template: '#topicTemplate',
        data: {
            listData: topicListData
        }
    });
    var $header = $api.byId('header');
    com.pageStatusDel($header);
    if(api.systemType == 'ios'){
        $('#SenContainer').css('padding-top','64px');
    }
    com.pageGetData(function () {
        getMyTopic(function(){
            //监听滚动到最底部
            api.addEventListener({
                'name': 'scrolltobottom',
                extra: {
                    threshold: 50            //设置距离底部多少距离时触发，默认值为0，数字类型
                }
            }, function (ret, err) {
                if (loadMore == true) {
                    loadMore = false;
                    getMyTopic();
                }
            });
        });
        getSeniorsList();
    });
    //设置下拉刷新
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f2f2f2',
        textColor: '#666',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        pPulldownRefresh();
    });
    api.refreshHeaderLoadDone();
};
//学长子页面切换
function pageChange(obj, index) {
    api.setFrameGroupIndex({
        name: 'senior',
        index: index
    });
}

//跳转到我的座右铭
function goToMyMotto() {
    api.openWin({
        name: 'myMotto',
        url: '../../html/personCenter/myInfo/myMottoContainer.html',
    });
}
//获取列表数据
function getMyTopic(callback) {
    dc.user.myTopic({
        ID:api.pageParam.memberID,
        PaginationID: PaginationID
    }, function (ret, err) {
        if (ret.status.code == 1) {
            PaginationID = ret.info.PaginationID;
            var data = ret.info.arrTopic;
            topicListData = $.merge(topicListData, data);
            topicListRactive = new Ractive({
                el: '#topicCon',
                template: '#topicTemplate',
                data: {
                    listData: topicListData
                }
            });
            //topicListRactive.update('topicListData');
            dc.log("话题", topicListData);
            if(data.length < conf.ajaxOnePageMax){
                loadMore = false;
            }else{
                loadMore = true;
            }
        }
        try {
            callback();
        } catch (e) {
        }
    });
}
//下拉刷新方法
function pPulldownRefresh() {
    dc.log('topic', '');
    topicListData = [];
    PaginationID = 0;
    loadMore = false;
    getMyTopic(function () {
        api.refreshHeaderLoadDone();
        cashListRactive = new Ractive({
            el: '#topicCon',
            template: '#topicTemplate',
            data: {
                listData: topicListData
            }
        });
    });
}
//获取个人中心数据
function getSeniorsList(callback) {
    var data = api.pageParam.homeData;
    var ractive = new Ractive({
        el: '#SenContainer',
        template: '#seniorsTemplate',
        data: {
            listData: data
        }
    });
}
//代开话题详情页
function pOpenTopicDetail(id){
    com.openWebContainer({
        pageParam: {
            url:conf.url.discover.detail+'?SID='+api.deviceId+'&id='+id,
            rightBar: {  //右侧按钮
                css: {},
                text: '',
                action: ''
            },
            header: '话题详情'
        }
    });
}
//座右铭
function goToMyMotto() {
    var motto=api.pageParam.homeData.member.sSignature;
    api.openWin({
        name: 'myMotto',
        url: '../../html/personCenter/myInfo/myMottoContainer.html',
        pageParam: {
            myMotto:motto
        }
    });
}