/**
 * Created by chenyikun on 2015/11/20.
 */
var info = {};//选择的信息
/*
 * collegeSpecialID:本科专业id
 * studyLevel:学习成绩
 * targetCollegeID:目标研校id
 * targetSpecialIDs:目标专业id
 * convenientTime:方便联系时间
 * */
//选择本科专业
var fPricedata =20;
function selectCollegeSpecial(obj){
	var thisObj = $(obj);
	thisObj.addClass('on');
	api.openFrame({
		name: 'selectDetailCollege',
		url: '../modules/selectSpecialID.html',
		bgColor: 'rgba(0,0,0,0)',
		pageParam: {
			comeFrom: 'selectDetailCollege',//设置标识
			selectType: false,//false,不选择科目，直接选择地区，
			selectLength: 4//4个都选，参数是多少就选择多少层，如参数为2：只选择省份和大学，不传默认为4
		}
	});
	api.addEventListener({
		name: 'selectSpecialEnd'
	}, function (ret){
		api.removeEventListener({ name: 'selectSpecialEnd' });
		thisObj.removeClass('on');
		var data = ret.value;
		if (data.status && data.comeFrom == 'selectDetailCollege') {
			//监听到页面选择返回的数据
			$(obj).html(data.name);
			info.collegeSpecialID = data.id;
		}
	});
}
//选择学习成绩
function selectStudyLevel(obj){
	var thisObj = $(obj);
	thisObj.addClass('on');
	var arr = [
		{ id: 'you', text: '优' },
		{ id: 'zhong', text: '中' },
		{ id: 'cha', text: '差' }
	];
	com.selectSingleItem(arr, function (ret){
		thisObj.removeClass('on');
		if (ret.status) {
			$(obj).html(ret.data.text);
			info.studyLevel = ret.data.text;
		}
	});
}
//选择目标研校
function selectTargetCollege(obj){
	var thisObj = $(obj);
	thisObj.addClass('on');
	api.openFrame({
		name: 'selectDetailCollege',
		url: '../modules/selectSpecialID.html',
		bgColor: 'rgba(0,0,0,0)',
		pageParam: {
			comeFrom: 'selectDetailCollege',//设置标识
			selectType: false,//false,不选择科目，直接选择地区，
			selectLength: 2//4个都选，参数是多少就选择多少层，如参数为2：只选择省份和大学，不传默认为4
		}
	});
	api.addEventListener({
		name: 'selectSpecialEnd'
	}, function (ret){
		thisObj.removeClass('on');
		api.removeEventListener({ name: 'selectSpecialEnd' });
		var data = ret.value;
		if (data.status && data.comeFrom == 'selectDetailCollege') {
			//监听到页面选择返回的数据
			$(obj).html(data.name);
			info.targetCollegeID = data.id;
			$('#targetSpecial').html('目标专业');
			info.targetSpecialIDs = undefined;
		}
	});
}
//选择目标专业
function selectTargetSpecials(obj){
	//info.targetCollegeID = '14258734620068192100348583448221';
	if (!info.targetCollegeID || info.targetCollegeID == '') {
		api.toast({
			msg: '请先选择目标研校',
			duration: 2000,
			location: 'middle'
		});
		return;
	}
	var thisObj = $(obj);
	thisObj.addClass('on');
	api.showProgress({
		style: 'default',
		animationType: 'fade',
		title: '加载中。。。',
		text: '请稍后。。。',
		modal: false
	});
	dc.baseData.getSpecialBySchoolID({
		UniversityID: info.targetCollegeID
	}, function (ret){
		api.hideProgress();
		thisObj.removeClass('on');
		if (ret.status.code == 1) {
			var arr = ret.info.arrSpeciality;
			arr.map(function (item){
				item.text = item.sName;
				return item;
			});
			com.selectMultiterm('目标专业', arr, function (ret){
				if (ret.status) {
					var str = '';
					var idstr = '';
					ret.data.map(function (item, index){
						str += item.text;
						idstr += item.ID;
						if (index < ret.data.length - 1) {
							str += '/';
							idstr += ';';
						}
					});
					$(obj).html(str);
					info.targetSpecialIDs = idstr;
				}
			});
		}
	});
}
//选择方便联系时间
function selectConvenientTimes(obj){
	var thisObj = $(obj);
	thisObj.addClass('on');
	var arr = [
		{ id: '1', text: '9:00-10:00' },
		{ id: '2', text: '10:00-11:00' },
		{ id: '3', text: '11:00-12:00' },
		{ id: '4', text: '14:00-15:00' },
		{ id: '5', text: '15:00-16:00' },
		{ id: '6', text: '16:00-17:00' },
		{ id: '7', text: '17:00-18:00' }
	];
	com.selectSingleItem(arr, function (ret){
		thisObj.removeClass('on');
		if (ret.status) {
			$(obj).html(ret.data.text);
			info.convenientTime = ret.data.text;
		}
	});
}
//提交按钮
function btnSubmit(obj){
	var qqnumber = $('#qqnumber').val();
	//验证输入合法性
	switch (true) {
		case !info.collegeSpecialID:
			submitToast('请选择本科专业');
			break;
		case !info.studyLevel:
			submitToast('请选择学习成绩');
			break;
		case !info.convenientTime:
			submitToast('请选择方便联系时间');
			break;
		case qqnumber == '':
			submitToast('请检查您的QQ号是否输入或正确');
			break;
		default :
			submit();
			break;
	}
	//验证提示
	function submitToast(str){
		api.toast({
			msg: str,
			duration: 2000,
			location: 'middle'
		});
	}

	//验证完成
	function submit(){
		var thisObj = $(obj);
		if (thisObj.hasClass('js-submit')) {
			return false;
		}
		thisObj.addClass('js-submit');
		dc.selectSchool.publish({
			NowSpecialityID: info.collegeSpecialID,//本科专业,必填
			sChengji: info.studyLevel,//成绩，必填
			UniversityID: info.targetCollegeID || '',//目标研校
			SpecialityID: info.targetSpecialIDs || '',//目标专业
			sContactTime: info.convenientTime,//方便联系时间，必填
			sQQ: qqnumber,//QQ号码，必填
			sContent: $('#sContent').val()//其他情况或需求
		}, function (ret){
			thisObj.removeClass('js-submit');
			if (ret.status.code == 1) {//提交成功
				pPayByAliPay(ret.info.sCode);
			}
		});
	}

	//支付宝支付
	function pPayByAliPay(sCode){
		var aliPay = api.require('aliPay');
		var amount = fPricedata;
		var subject = '您将通过支付宝支付' + amount + '元';
		var body = '您将通过支付宝支付' + amount + '元';
		aliPay.config({
			partner: conf.app.aliPay.partner,
			seller: conf.app.aliPay.seller,
			rsaPriKey: conf.app.aliPay.rsaPriKey,
			rsaPubKey: conf.app.aliPay.rsaPubKey,
			notifyURL: conf.app.aliPay.notifyURLForSelect
		}, configCallback);
		//配置回调
		function configCallback(configRet, err){
			if (configRet.status == 1) {//配置成功
				aliPay.pay({
					subject: subject,
					body: body,
					amount: amount,
					tradeNO: sCode
				}, function (payRet){
					if (payRet.statusCode == 9000) {//充值成功
						com.alert({
							title: '提示',
							msg: '恭喜，您已择校成功'
						}, function (){
							com.closeThisWindow();
						});
					} else if (payRet.statusCode == 6001) {//用户取消了操作

					} else {
						//com.alert({ msg: payRet.msg });
					}
				});
			} else {
				dc.log('支付宝配置出错', err);
				//com.alert({msg:JSON.stringify(err)});
			}
		}
	}
}
//获取择校人数
function getSelectTotal(){
	dc.selectSchool.getInfo(function (ret){
		if (ret.status.code == 1) {
			$('#total').html(ret.info.lMember);
		}
	});
}
apiready = function (){
	getSelectTotal();//获取择校人数
	dc.zxzzy({},function(ret){
		if(ret.status.code==1){
			console.log(ret);
			fPricedata= ret.info.fPrice;
			$("#priceData").html('提交¥'+ret.info.fPrice);
		}
	})
};





