/**
 * Created by chenyikun on 2015/12/2.
 */
var PaginationID = 0;//分页ID
var listData = [];//列表数据
var listRactive;//ractive对象
var loadMore = false;//是否加载更多
apiready = function (){
	listRactive = new Ractive({
		el: '#listContainer',
		template: '#listTemplate',
		data: {
			listData: listData
		}
	});
	getSeniorAnswerList();//获取学长的回答列表
	api.setRefreshHeaderInfo({
		visible: true,
		bgColor: '#f8f8f8',
		textColor: '#999',
		textDown: '下拉可以刷新...',
		textUp: '松开刷新...',
		textLoading: '刷新中',
		showTime: true
	}, pageRefresh);
	api.addEventListener({
		name: 'scrolltobottom', extra: { threshold: 50 }
	}, function (){
		if (loadMore) {
			loadMore = false;
			getSeniorAnswerList();
		}
	});
};
//获取学长的回答列表
function getSeniorAnswerList(callback){
	dc.ask.myAnswer({
		MemberID: api.pageParam.ID,
		PaginationID: PaginationID
	}, function (ret, err){
		if (ret.status.code == 1) {
			var data = ret.info.arrAnswer;
			PaginationID = ret.info.PaginationID;
			$.merge(listData, data);
			if (data.length < conf.ajaxOnePageMax) {
				$('#loadingMore').hide();
				loadMore = false;
			} else {
				$('#loadingMore').show();
				loadMore = true;
			}
			listRactive.update('listData');
		}
		api.refreshHeaderLoadDone();
		try {
			callback();
		} catch (e) {
		}
	});
}
//打开问题详情页
function openAnswerDetail(index){
	var data = listData[index];
	api.openWin({
		name: 'askForHelpAnswerList',
		url: conf.appHrefURL + 'html/askForHelp/answerList_window.html',
		pageParam: {
			type: 'href',
			askID: data.AskID
		}
	});
}
//下拉刷新
function pageRefresh(){
	PaginationID = 0;//分页ID
	listData = [];//列表数据
	loadMore = false;//是否加载更多
	getSeniorAnswerList(function (){
		listRactive = new Ractive({
			el: '#listContainer',
			template: '#listTemplate',
			data: {
				listData: listData
			}
		});
	});
}