/**
 * Created by chenyikun on 2015/11/30.
 */
var ractive;//ractive对象
//选择的学校数据
var selectSchoolData = $api.getStorage(conf.localData.senior.selectSchool);
if (selectSchoolData == undefined) {
	selectSchoolData = {
		province: { id: '', name: '省份' },
		university: { id: '', name: '学校' },
		college: { id: '', name: '学院' },
		speciality: { id: '', name: '专业' }
	};
	$api.setStorage(conf.localData.senior.selectSchool);
}
apiready = function (){
	//处理状态栏
	var header = $api.byId('header');
	com.pageStatusDel(header);
	//填写标题栏
	$('#headerSpan').html(api.pageParam.header);
	//获取副标题栏
	var subHeaderObj = $('.con-subheader');
	if (api.pageParam.type != 'list') {
		subHeaderObj.remove();
	}
	//获取main对象
	var mainObj = $('#main');
	var mainHeight = mainObj.height();
	//根据不同类型执行不同的动作
	switch (api.pageParam.type) {
		case 'list'://列表页面
			subHeaderObj.show();
			mainHeight -= 50;
			ractive = new Ractive({
				el: '#container',
				template: '#template',
				data: {
					data: selectSchoolData
				}
			});
			break;
		case 'buy'://购买页面，页面以显示就获取钱包数据
			api.addEventListener({ name: 'viewappear' }, function (){
				api.execScript({
					frameName: 'frame',
					script: 'getWalletData();'
				});
			});
			break;
		case 'seniorHomePage'://选择优惠券
			api.addEventListener({ 'name': 'viewappear' }, function (){
				api.execScript({
					frameName: 'frame',
					script: 'pageRefresh();'
				});
			});
			break;
		case 'seniorZixun'://选择优惠券
			mainHeight -= 40;
			//监听评价成功
			api.addEventListener({
				name: 'seniorZixunCommentSucceed'
			}, function (){
				$('.con-right').hide();
			});
			break;
	}
	//打开frame
	api.openFrame({
		name: 'frame',
		url: api.pageParam.frameUrl,
		rect: {
			x: 0,
			y: mainObj.offset().top,
			w: 'auto',
			h: mainHeight
		},
		pageParam: api.pageParam,
		bounces: true,
		vScrollBarEnabled: false
	});
};
//选择省份
function selectProvince(obj){
	var thisObj = $(obj);
	thisObj.addClass('off');
	com.selectSingleItem(conf.app.provinceData, function (ret){
		if (ret.status) {//选择成功
			var res = ret.data;
			selectSchoolData.province.id = res.ID;
			selectSchoolData.province.name = res.text;
			selectSchoolData.university.id = '';
			selectSchoolData.university.name = '学校';
			selectSchoolData.college.id = '';
			selectSchoolData.college.name = '学院';
			selectSchoolData.speciality.id = '';
			selectSchoolData.speciality.name = '专业';
			ractive.update('data');
			selectUniversity();
		}
		thisObj.removeClass('off');
	});
}
//选择学校
function selectUniversity(obj){
	if (selectSchoolData.province.id == '' || selectSchoolData.province.id == undefined) {
		api.toast({
			msg: '请先选择省份',
			duration: 2000,
			location: 'middle'
		});
		return;
	}
	var thisObj = $(obj);
	if (thisObj.length == 0) {
		thisObj = $('#university');
	}
	thisObj.addClass('off');
	com.showProgress();
	dc.baseData.getSchoolByProvinceById({
		ProvinceID: selectSchoolData.province.id
	}, function (ret){
		com.hideProgress();
		if (ret.status.code == 1) {
			var schoolDatas = ret.info.arrUniversity;
			schoolDatas.map(function (item){
				item.text = item.sName;
				return item;
			});
			com.selectSingleItem(schoolDatas, function (ret){
				if (ret.status) {
					var res = ret.data;
					selectSchoolData.university.id = res.ID;
					selectSchoolData.university.name = res.text;
					selectSchoolData.college.id = '';
					selectSchoolData.college.name = '学院';
					selectSchoolData.speciality.id = '';
					selectSchoolData.speciality.name = '专业';
					ractive.update('data');
					selectSpeciality();
				}
				thisObj.removeClass('off');
			});
		} else {
			thisObj.removeClass('off');
		}
	});
}
//选择专业
function selectSpeciality(obj){
	if (selectSchoolData.university.id == '' || selectSchoolData.university.id == undefined) {
		api.toast({
			msg: '请先选择学校',
			duration: 2000,
			location: 'middle'
		});
		return;
	}
	var thisObj = $(obj);
	if (thisObj.length == 0) {
		thisObj = $('#speciality');
	}
	thisObj.addClass('off');
	com.showProgress();
	dc.baseData.getCollegeBySchoolID({
		UniversityID: selectSchoolData.university.id
	}, function (ret){
		com.hideProgress();
		if (ret.status.code == 1) {
			var collegeDatas = ret.info.arrCollege;
			collegeDatas.map(function (item){
				item.text = item.sName;
				return item;
			});
			com.selectSingleItem(collegeDatas, function (ret){
				if (ret.status) {
					var res = ret.data;
					selectSchoolData.college.id = res.ID;
					selectSchoolData.college.name = res.text;
					selectSchoolData.speciality.id = '';
					selectSchoolData.speciality.name = '专业';
					ractive.update('data');
					getSpeciality();
				}
			});
		} else {
			thisObj.removeClass('off');
		}
	});
	//根据学院获取转专业
	function getSpeciality(){
		com.showProgress();
		dc.baseData.getSpecialByCollegeID({
			CollegeID: selectSchoolData.college.id
		}, function (ret){
			com.hideProgress();
			if (ret.status.code == 1) {
				var specialityDatas = ret.info.arrSpeciality;
				specialityDatas.map(function (item){
					item.text = item.sName;
					return item;
				});
				com.selectSingleItem(specialityDatas, function (ret){
					if (ret.status) {//接收成功
						var res = ret.data;
						selectSchoolData.speciality.id = res.ID;
						selectSchoolData.speciality.name = res.text;
						ractive.update('data');
						//存储选择的数据
						$api.setStorage(conf.localData.senior.selectSchool, selectSchoolData);
						//执行frame的页面刷新文件
						api.execScript({ frameName: 'frame', script: 'pullRefresh();' });
						thisObj.removeClass('off');
					} else {
						thisObj.removeClass('off');
					}
				});
			}
		});
	}
}