/**
 * Created by chenyikun on 2015/12/1.
 */
var seniorData;//学长数据
var secondsForADay = 24 * 60 * 60;//一天的秒数
apiready = function (){
	//顶部状态栏处理
	var homeTop = $api.byId('homeTop');
	com.pageStatusDel(homeTop);
	//获取学长主页数据
	getSeniorHomeData();
	//获取缓存的学长数据
	var ajaxCashData = $api.getStorage('ajaxCashSeniorHomePage' + api.pageParam.ID);
	if (ajaxCashData == undefined) {//如果没有缓存数据就使用页面传递的参数
		seniorData = api.pageParam;
		fillDatas(seniorData);
	} else {//有缓存数据，使用缓存数据填充页面
		seniorData = ajaxCashData;
		fillDatas(seniorData);
	}
	//监听是否已经评价
	api.addEventListener({ name: 'seniorZixunCommentSucceed' }, function (){
		//改变咨询状态
		seniorData.bClose = 1;
		//缓存学长的数据
		cashSeniorHomePageData();
	});
	//监听购买成功
	api.addEventListener({
		name: 'seniorZixunBuySucceed'
	}, function (ret){
		//手动设置开始的时间戳
		seniorData.dGuideStart = parseInt(new Date().getTime() / 1000);
		var data = ret.value;
		try {
			data = JSON.parse(data);
		} catch (e) {
		}
		seniorData.GuideID = data.GuideID;
		//缓存学长的数据
		cashSeniorHomePageData();
	});
};
//显示图文咨询模态框
function showZixunModal(){
	com.meiQia();
	return false;
	if (seniorData.fCommonGuide == '免费') {//免费咨询，直接聊天
		com.chatToSomeone({
			targetId: api.pageParam.ID,
			targetName: seniorData.sNickName,
			targetAvatar: seniorData.sAvatar,
			targetType: 'PRIVATE'//PRIVATE or GROUP,SYSTEM
		});
		return false;
	}
	if (com.userInfo.member.ID == api.pageParam.ID) {//不能自己咨询自己
		api.toast({ msg: '不能咨询您自己哦~', duration: 2000, location: 'middle' });
		return false;
	}
	//付费咨询，获取开始时间
	var dGuideStart = seniorData.dGuideStart;
	if (dGuideStart != '' && seniorData.bClose != 1) {//已经购买过咨询，直接进入咨询页面
		var remain = parseInt(new Date().getTime() / 1000) - parseInt(dGuideStart);
		if (remain < secondsForADay) {//已经购买并且还未过期
			gtl.senior.zixun({
				header: seniorData.sUniversity + ' ' + seniorData.sNickName,
				GuideID: seniorData.GuideID
			});
			return;
		}
	}
	//模态框对象
	var modalObj = $('#backdrop');
	//出场动画
	var showAction = 'animated bounceIn';
	modalObj.show().on('click', function (){
		modalObj.hide();//隐藏
	}).find('.home-backdrop-content').addClass(showAction).on('click', function (event){
		event.stopPropagation();//阻止事件冒泡
	});
}
//立即购买
function buy(){
	$('#backdrop').hide();
	if (seniorData.fCommonGuide != '免费') {
		gtl.senior.buy(api.pageParam);
	} else {
		com.chatToSomeone({
			targetId: api.pageParam.ID,
			targetName: seniorData.sNickName,
			targetAvatar: seniorData.sAvatar,
			targetType: 'PRIVATE'//PRIVATE or GROUP,SYSTEM
		});
	}
}
//获取学长主页数据
function getSeniorHomeData(){
	var id = api.pageParam.ID;
	dc.senior.home({
		ID: id
	}, function (ret){
		if (ret.status.code == 1) {
			var data = ret.info.senior;
			if (ret.info.viewer.bAttention == 1) {//已经关注
				$('#bAttention').html('已关注');
			}
			//记录缓存数据
			seniorData = data;
			//缓存学长的数据
			cashSeniorHomePageData();
			//数据填充
			$('#ask').html(data.lAnswer);
			$('#topic').html(data.lTopic);
			$('#zixun').html(data.lGuide);
			$('#jianjie p').html(data.sSummary || '暂无简介');
			$('#commentTotal').html(data.arrAssess.length);
			var fCommonGuide = data.fCommonGuide;
			if (fCommonGuide == '免费') {
				$('#zixunTotal').html(fCommonGuide);
				$('.prize').html(fCommonGuide);
			} else {
				$('#zixunTotal').html('¥ ' + parseFloat(fCommonGuide) + '/次');
				$('.prize').html('¥ ' + parseFloat(fCommonGuide) + '/<font>次</font>');
			}
			if (data.arrAssess.length > 0) {
				var assess = data.arrAssess[0];
				$('#commentName').html(assess.sNickName);
				$('#commentAtt').html(decodeURI(assess.sAssess));
				$('#commentDescription').html(decodeURI(assess.sAssessContent));
				$('#commentContent').show();
				$('#commentTotal').siblings('.mui-pull-right').on('click', function (){
					gtl.senior.seniorAssess(data.arrAssess);
				}).show();
			}
			fillDatas(data);
		}
	});
}
//填充数据
function fillDatas(data){
	if (seniorData.sNickName) {
		$('#zixunName').html(seniorData.sNickName + '的图文咨询服务');
	}
	var ractive = new Ractive({
		el: '#personInfoContainer',
		template: '#personInfoTemplate',
		data: {
			personInfo: data,
			formatBeGoodAt: function (arr){
				if (arr.length == 0 || !arr) {
					return '未填写';
				}
				var str = '';
				var max = arr.length - 1;
				arr.map(function (item, index){
					str += item.sName;
					if (index < max) {
						str += ' / ';
					}
				});
				return str;
			}
		}
	});
	/*$('img').on('error', function (){
	 alert(this.src)
	 });*/
}

//好友操作
function pFriendAction(obj){
	if (com.userInfo.member.ID == api.pageParam.ID) {//不能自己关注自己
		api.toast({ msg: '不能关注您自己哦~', duration: 2000, location: 'middle' });
		return false;
	}
	var thisObj = $(obj);
	var txt = thisObj.html();
	if (txt.indexOf('已关注') == -1) {//点击添加好友
		thisObj.html('<span class="s-loadingcircle" style="margin-top: 5px;"><span class="s-loadingcirclespan"></span></span>');
		dc.myFriend.add({
			MemberID: api.pageParam.ID
		}, function (ret, err){
			if (ret.status.code == 1) {
				thisObj.html('已关注');
				api.sendEvent({
					name: 'MessagePromptsConcern',
					extra: {
						key: 'MessagePrompts'
					}
				});
			} else {
				api.toast({ msg: '添加失败，请重试' });
				thisObj.html('<img src="../../image/senior/guanzhu.png" alt="">关注');
			}
		});
	} else {//删除好友
		com.confirm({
			title: '提示',
			msg: '是否取消关注？',
			buttons: ['是', '否']
		}, function (ret, err){
			if (ret.buttonIndex == 1) {
				thisObj.html('<span class="s-loadingcircle" style="margin-top: 5px;"><span class="s-loadingcirclespan"></span></span>');
				dc.myFriend.delete({
					MemberID: api.pageParam.ID
				}, function (ret, err){
					if (ret.status.code == 1) {
						api.sendEvent({
							name: 'MessagePromptsConcern',
							extra: {
								key: 'MessagePrompts'
							}
						});
						api.toast({ msg: '已删除' });
						thisObj.html('<img src="../../image/senior/guanzhu.png" alt="">关注');
					} else {
						api.toast({ msg: '删除失败，请重试' });
						thisObj.html('已关注');
					}
				});
			}
		});
	}
}
//页面刷新
function pageRefresh(){
	getSeniorHomeData();
}
//分享
function share(){
	if (seniorData == undefined) {
		return;
	}
	com.shareWebPage({
		title: seniorData.sUniversity + seniorData.sCollege + '研究生' + seniorData.sNickName,//标题
		description: '研途宝，考研必备APP',//描述
		content: '我是' + seniorData.sUniversity + seniorData.sCollege + '研究生，学弟学妹有问题可咨询我~',//内容
		imgUrl: 'widget://image/web/app-icon.png',//图片地址
		url: conf.url.senior.index + '?ID=' + api.pageParam.ID,//网页地址
		sms: '我是' + seniorData.sUniversity + seniorData.sCollege + '研究生，学弟学妹有问题可咨询我~'//短信分享内容
	});
}
//缓存学长数据
function cashSeniorHomePageData(){
	$api.setStorage('ajaxCashSeniorHomePage' + api.pageParam.ID, seniorData);
}