/**
 * Created by chenyikun on 2015/12/15.
 */
var listData, listRactive, loadMore, fudaoSelectTypeData, PageID, TypeID;
//页面初始化
function pageInit(){
	listData = [];
	loadMore = false;
	PageID = 1;
	fudaoSelectTypeData = $api.getStorage('fudaoSelectTypeData');
	if (fudaoSelectTypeData == undefined) {
		fudaoSelectTypeData = {};
		fudaoSelectTypeData.TypeID = '';
		fudaoSelectTypeData.select = '';
		fudaoSelectTypeData.data = '';
		$api.setStorage('fudaoSelectTypeData', fudaoSelectTypeData);
	}
}
apiready = function (){
	pageInit();
	listRactive = new Ractive({
		el: '#listContainer',
		template: '#listTemplate',
		data: {
			listData: listData
		}
	});
	getFudaoList();
	//设置下拉刷新
	api.setRefreshHeaderInfo({
		visible: true,
		bgColor: '#f8f8f8',
		textColor: '#666',
		textDown: '下拉刷新...',
		textUp: '松开刷新...',
		showTime: true
	}, pPulldownRefresh);
	//监听分页
	api.addEventListener({
		name: 'scrolltobottom',
		extra: {
			threshold: 100            //设置距离底部多少距离时触发，默认值为0，数字类型
		}
	}, function (){
		if (loadMore) {
			loadMore = false;
			getFudaoList();
		}
	});
};

//获取辅导班列表
function getFudaoList(callback){
	dc.fudao.list({
		PageID: PageID,
		TypeID: conf.fudaoArr[fudaoSelectTypeData.select].TypeID
	}, function (ret){
		if (ret.status.code == 1) {
			fudaoSelectTypeData.data = ret.info;
			var data = ret.info.arrFudaoban;
			listData = $.merge(listData, data);
			listRactive.update('listData');
			loadMore = data.length >= conf.ajaxOnePageMax;
			if (!loadMore) {//没有更多数据
				$('#loadingMore').hide();
			} else {//还有更多数据
				PageID++;
				$('#loadingMore').show();
			}
			if (listData.length == 0) {
				api.toast({
					msg: '您选的分类暂时没有数据', duration: 2000, location: 'middle'
				});
			}
		}
		api.refreshHeaderLoadDone();
		try {
			callback();
		} catch (e) {
		}
	});
}
//下拉刷新
function pPulldownRefresh(){
	pageInit();
	getFudaoList(function (){
		listRactive = new Ractive({
			el: '#listContainer',
			template: '#listTemplate',
			data: {
				listData: listData
			}
		});
	});
}