/**
 * Created by chenyikun on 2015/11/20.
 */
var videoPlayer;//视频播放对象
$(function (){
	$('.vcon-video').css({
		height: 0.575 * $(document).width() + 'px'
	});
});
//底部按钮状态栏
var BOTTOMBTNSTATUS = {
	joinVIP: '加入VIP',
	download: '下载',
	downloading: '下载中',
	downloaded: '已下载'
};
var UNCOLLECTEDHTML = '<img src="../../image/ziliao/icon-collect.png" alt=""/>收藏';//未收藏的为本元素
var COLLECTEDHTML = '已收藏';//已收藏的文本元素
apiready = function (){
	//填充视频图片
	$('#videoImage').attr('src', api.pageParam.data.sLogo || '');
	//处理设备状态栏
	var header = $api.byId('header');
	console.log(com.getUserIsVip());
	com.pageStatusDel(header);
	if (com.getUserIsVip()) {//用户已经是VIP了
		//移除加入VIP广告
		$('#videoAd').remove();
		$('.con-download').html('VIP免购买').removeClass('btn');
	}
	var mainObj = $('#main');
	api.openFrame({
		name: 'videoDetail',
		url: 'videoDetail.html',
		bounces: false,
		vScrollBarEnabled: false,
		rect: {
			x: 0,
			y: mainObj.offset().top,
			w: api.winWidth,
			h: mainObj.height()
		},
		pageParam: api.pageParam
	});
	videoIsCollect();//视频是否收藏
	//openLocalVideoPlayer();//打开视频
};
//视频是否收藏
function videoIsCollect(){
	var str = conf.localData.download.video + api.pageParam.data.ID;
	var detailInfo = $api.getStorage(str);
	if (detailInfo == 'undefined' || detailInfo == undefined) {
		detailInfo = api.pageParam.data;
	}
	if (detailInfo.bCollect != 'undefined' && detailInfo.bCollect == 1) {
		$('#collect').html(COLLECTEDHTML);
	} else {
		$('#collect').html(UNCOLLECTEDHTML);
	}
	$api.setStorage(str, detailInfo);
	dc.ziliao.isCollect({
		ID: api.pageParam.data.ID
	}, function (ret){
		if (ret.status.code == 1) {
			detailInfo.bCollect = ret.info.bCollect;
			if (ret.info.bCollect == 1) {
				$('#collect').html(COLLECTEDHTML);
			} else {
				$('#collect').html(UNCOLLECTEDHTML);
			}
			$api.setStorage(str, detailInfo);
		}
	});
}
//收藏按钮
function collectThisVideo(obj){
	var thisObj = $(obj);
	if (thisObj.hasClass('js-loading')) {
		return;
	} else {
		thisObj.addClass('js-loading');
	}
	thisObj.html(_appLoadingMoreCircle);
	if (thisObj.html() == COLLECTEDHTML) {//已收藏取消收藏
		dc.video.cancelCollect({
			YYLectureID: api.pageParam.data.ID
		}, function (ret){
			thisObj.removeClass('js-loading').html('');
			if (ret.status.code == 1) {
				thisObj.html(UNCOLLECTEDHTML);
			} else {
				api.toast({ msg: ret.status.message });
			}
		});
	} else {//为收藏，收藏中
		dc.video.collect({
			YYLectureID: api.pageParam.data.ID
		}, function (ret){
			thisObj.removeClass('js-loading').html('');
			if (ret.status.code == 1) {
				thisObj.html(COLLECTEDHTML);
			} else {
				api.toast({ msg: ret.status.message });
			}
		});
	}
}

//分享
function share(){
	api.execScript({
		frameName: 'videoDetail',
		script: 'shareThisPage();'
	});
}
//底部操作栏动作
function bottombtnAction(obj){
	var thisObj = $(obj);
	switch (thisObj.html()) {
		case BOTTOMBTNSTATUS.joinVIP://加入VIP
			api.openWin({
				name: 'vipApply',
				url: '../vip/vipApply_win.html'
			});
			break;
		case BOTTOMBTNSTATUS.download://下载
			if (!com.getUserIsVip()) {
				return;
			}
			downloadVideo();
			break;
	}
	//下载视频
	function downloadVideo(){
		var detailInfo = api.pageParam.data;
		var fileURL = detailInfo.sDownloadUrl;
		api.download({
			url: fileURL,
			savePath: conf.app.videoDownloadURL + fileURL.split('/').pop(),
			report: true,
			cache: true,
			allowResume: true
		}, function (downloadRet){
			var percent = Math.floor(downloadRet.percent) + '%';
			thisObj.html(BOTTOMBTNSTATUS.downloading + percent);
			if (percent == '100%' && downloadRet.savePath) {//下载完成
				thisObj.html(BOTTOMBTNSTATUS.downloaded).addClass('download');
				var str = conf.localData.download.video + detailInfo.ID;
				detailInfo.filePath = downloadRet.savePath;
				$api.setStorage(str, detailInfo);
				var downloadArr = $api.getStorage(conf.localData.download.videoArr);
				if (downloadArr == undefined) {
					downloadArr = [str];
				} else {
					downloadArr.push(str);
				}
				$api.setStorage(conf.localData.download.videoArr, downloadArr);
				api.toast({
					msg: detailInfo.sName + '\n已经下载完成',
					location: 'middle'
				});
			}
		});
	}
}
//打开本地视频播放器
function openLocalVideoPlayer(str){
	console.log('播放视频地址：----' + str);
	//str = decodeURI(str);s
	var conObj = $('.vcon-video');
	videoPlayer = api.require('videoPlayer');
	var rect = {
		x: 0,
		y: conObj.offset().top,
		w: api.winWidth,
		h: conObj.height()
	};
	//打开视频播放器

	videoPlayer.open({
		rect: rect,
		path: str,
		autoPlay: false,
		coverImg:'widget://image/video/videoLoading.png',//视频未播放时背景图片
		fixedOn: api.frameName,
		fixed: true
	}, function (ret){
		if (ret.status) {
			//打开操作页面
			api.openFrame({
				name: 'videoController',
				url: 'videoController.html',
				rect: rect,
				bgColor: 'rgba(0,0,0,0)',
				bounces: false,
				pageParam: {
					rect: rect,
					duration: ret.duration,
					data: api.pageParam.data
				}
			});
			//监听返回键
			api.addEventListener({
				name: 'keyback'
			}, function (ret, err){
				api.execScript({
					frameName: 'videoController',
					script: 'keybackClick();'
				});
			});
		}
	});
	//监听视频播放进度
	videoPlayer.addEventListener({
		name: 'play'
	}, function (ret, err){
		api.sendEvent({
			name: 'videoPlayStatusCallback',
			extra: { ret: ret, err: err }
		});
	});
}

//关闭VIP广告
function closeVideoAd(){
	$('#videoAd').remove();
	var mainObj = $('#main');
	api.setFrameAttr({
		name: 'videoDetail',
		rect: {
			x: 0,
			y: mainObj.offset().top,
			w: api.winWidth,
			h: mainObj.height()
		}
	});
}
//购买课程
function buyThisCourse(obj){
	if(iosControl){
		return false;
	}
	var thisObj = $(obj);
	if (thisObj.html() != '立即购买') {
		return false;
	}
	api.execScript({
		frameName: 'videoDetail',
		script: 'alipayOrder();'
	});
}
//重设视频地址回调
function resetVideoUrl(ret){
	if (ret.status == true) {
		api.execScript({
			frameName: 'videoController',
			script: 'duration = ' + ret.duration + ';'
		});
		videoPlayer.start();
	}
}