/**
 * Created by chenyikun on 2015/11/20.
 */
var detailData;//详情数据
//跨脚本运行window的脚本
function execWindowScript(str){
	api.execScript({ name: api.winName, script: str });
}
$(function (){
	$('#videoArea').css({ height: 0.575 * $(document).width() + 'px' });
});
apiready = function (){
	fillDatas(api.pageParam.data);
	if (com.getUserIsVip == false) {
		$('#btnTop').show();
	} else {
		$('#play').show().on('click', function (){
			SewisePlayer.doPlay();
			$(this).hide();
		});
	}
	dc.video.detail({
		ID: api.pageParam.data.ID
	}, function (ret){
		if (ret.status.code == 1) {
			detailData = ret.info;
			fillDatas(detailData);
			if (detailData.bPay == 1) {
				api.execScript({
					name: api.winName,
					script: '$(".con-download").html("已购买").removeClass("btn");'
				});
			}
			var str = conf.localData.download.video + detailData.ID;
			var courseArr = detailData.arrDownload;
			if (courseArr.length > 0) {//有视频
				console.log('缓存id:------' + str);
				var saveData = $api.getStorage(str);
				if (saveData && saveData.arrDownload && saveData.arrDownload.length > 0) {
					console.log(JSON.stringify(saveData));
					saveData.arrDownload.map(function (item, index){
						courseArr[index].filePath = item.filePath;
					});
				}
				var tasteIndex = 0;
				var tasteIndexFlag = true;
				$.each(courseArr, function (index, item){
					if (tasteIndexFlag && item.bListen == 1) {
						tasteIndex = index;
						tasteIndexFlag = false;
					}
					courseArr[index].isVip = com.getUserIsVip();
				});
				courseArr[tasteIndex].isPlaying = true;
				courseArr[tasteIndex].tasteIndex = tasteIndex;
				var firstPlayVideoUrl = courseArr[tasteIndex].filePath || courseArr[tasteIndex].sUrl;
				//打开视频
				execWindowScript('openLocalVideoPlayer("' + firstPlayVideoUrl + '");');
				var ractive = new Ractive({
					el: '#listContainer', template: '#listTemplate',
					data: {
						listData: courseArr,
						formatName: function (name, index){
							if (name == '' || name == undefined) {
								name = '第' + (index + 1) + '节';
							}
							return name;
						}
					}
				});
			}
			//缓存数据
			$api.setStorage(str, detailData);
		}
	});
};
function fillDatas(data){
	$('#detailTitle').html(data.sSmallName + data.sName);
	$('#detailIntro').html(data.sSummary);
	$('#fPrize').html('¥' + (data.fPrice || 0));
}

//下载视频
function downloadFile(obj, index){
	if (!com.getUserIsVip()) {//不是vip用户
		com.confirm({
			msg: '您还不是VIP会员，马上成为尊贵的VIP会员',
			buttons: ['不要', '好']
		}, function (ret){
			if (ret.status && ret.buttonIndex == 2) {
				gtl.vip.apply();
			}
		});
		return false;
	}
	var thisObj = $(obj);
	if (thisObj.hasClass('js-undownload')) {//如果该视频不是未下载
		return false
	} else {
		thisObj.addClass('js-undownload');
	}
	var progressObj = thisObj.siblings('.vdel-progress');
	thisObj.html(_appLoadingMoreCircleF08519);
	var data = detailData.arrDownload[index];
	//视频下载路径
	var fileURL = data.sUrl;
	//视频名字
	var fileName = fileURL.split('/').pop().split('.');
	fileName = detailData.ID + fileName[0] + index + '.' + fileName[1];
	console.log('视频下载路径：------' + fileURL);
	console.log('视频保存路径：------' + conf.app.videoDownloadURL + fileName);
	api.download({
		url: fileURL,
		savePath: conf.app.videoDownloadURL + fileName,
		report: true,
		cache: true,
		allowResume: true
	}, function (downloadRet){
		//获取下载的百分比
		var percent = Math.floor(downloadRet.percent) + '%';
		progressObj.css({ width: percent }).show();
		if (percent == '100%' && downloadRet.savePath) {//下载完成
			//保存下载的文件路径
			var str = conf.localData.download.video + detailData.ID;
			detailData.arrDownload[index].filePath = downloadRet.savePath;
			$api.setStorage(str, detailData);
			//添加到视频已下载数组列表
			var downloadArr = $api.getStorage(conf.localData.download.videoArr);
			if (downloadArr == undefined) {
				downloadArr = [str];
			} else {
				downloadArr.push(str);
			}
			$api.setStorage(conf.localData.download.videoArr, downloadArr);
			progressObj.hide();
			thisObj.html('<div class="downloaded"></div>');
		}
	});
}
//切换视频播放
function tabVideo(obj, index){
	var thisObj = $(obj);
	var activeClassName = 'onplaying';
	console.log(detailData);
	var data = detailData.arrDownload[index];
	if (thisObj.hasClass(activeClassName)) {//当前播放当前视频，不执行任何操作
		return false;
	} else if (data.bListen!=1&&!com.getUserIsVip() && (detailData.bPay == '' || !detailData)) {//不是vip用户，提示加入vip
		api.toast({
			msg: '此课程为付费课程，请购买后观看',
			duration: 2000,
			location: 'middle'
		});
		return false;
	}
	//切换效果
	thisObj.addClass(activeClassName).parent().siblings().find('.vdel-bottom-licon').removeClass(activeClassName);
	var tabVideoUrl = data.filePath || data.sUrl;
	//停止视频播放
	//execWindowScript('videoPlayer.stop();videoPlayer.setPath({path:"' + decodeURI(tabVideoUrl) + '"},resetVideoUrl);');
	api.execScript({
		name: api.winName,
		frameName: 'videoController',
		script: ' $(".vcon-loading").addClass("show");'
	});
	api.sendEvent({ name: 'videoDetailTabCourse' });
}
//分享本页面
function shareThisPage(){
	if (detailData == undefined) {
		api.toast({ msg: '数据加载中，请稍后', duration: 2000, location: 'middle' });
		return false;
	}
	com.shareWebPage({
		title: '【视频】' + detailData.sSmallName + detailData.sName,//标题
		description: detailData.sContent,//描述
		content: detailData.sContent,//描述
		imgUrl: 'widget://image/web/app-icon.png',//图片地址
		url: conf.url.vip.lecture + '?ID=' + detailData.ID,//网页地址
		sms: detailData.sSmallName + detailData.sName//标题
	});

}
//支付宝支付
function alipayOrder(){
	if (detailData == undefined) {
		api.toast({ msg: '数据加载中，请稍后', duration: 2000, location: 'middle' });
		return false;
	}
	var num = detailData.fPrice;
	var aliPay = api.require('aliPay');
	var subject = '您将通过支付宝支付' + num + '元';
	var body = '您将通过支付宝支付' + num + '元';
	aliPay.config({
		partner: conf.app.aliPay.partner,
		seller: conf.app.aliPay.seller,
		rsaPriKey: conf.app.aliPay.rsaPriKey,
		rsaPubKey: conf.app.aliPay.rsaPubKey,
		notifyURL: conf.app.aliPay.notifyURLForVideo
	}, configCallback);
	//配置回调
	function configCallback(configRet, err){
		if (configRet) {
			console.log(JSON.stringify(configRet));
		} else {
			console.log(JSON.stringify(err));
		}
		if (configRet.status == 1) {//配置成功
			dc.video.order({
				ID: detailData.ID
			}, function (getOrderRet){
				if (getOrderRet.status.code == 1) {
					pay(getOrderRet.info.sName, getOrderRet.info.fTotal);
				}
			});
		} else {
			dc.log('支付宝配置出错', err);
		}
	}

	//执行支付
	function pay(sCode, amount){
		var payParam = {
			subject: subject,
			body: body,
			amount: parseFloat(amount),
			tradeNO: sCode
		};
		console.log(JSON.stringify(payParam));
		aliPay.pay(payParam, function (payRet, err){
			if (payRet) {
				console.log(JSON.stringify(payRet));
			} else {
				console.log(JSON.stringify(err));
			}
			if (payRet.statusCode == 9000) {//购买成功
				api.execScript({
					name: api.winName,
					script: '$(".con-download").html("已购买").removeClass("btn");'
				});
				com.alert({
					msg: '购买成功'
				}, function (){
					detailData.bPay = 1;
					//保存下载的文件路径
					var str = conf.localData.download.video + detailData.ID;
					$api.setStorage(str, detailData);
				});
			} else if (payRet.statusCode == 6001) {//用户取消了操作

			}
		});
	}
}