/**
 * Created by chenyikun on 2015/11/18.
 */
var listData = [];//列表数据
var listRactive;//ractive对象
var loadMore = false;//是否加载更多
var PaginationID = 0;//分页id
//下载中的html元素
var DOWNLOADINGHTML = '<span class="s-loadingcircle"><span class="s-loadingcirclespan"></span></span> <span class="js-progress">0%</span>';
apiready = function (){
	com.pageGetData();
	listRactive = new Ractive({
		el: '#listContaienr',
		template: '#listTemplate',
		data: {
			listData: listData
		}
	});
	pGetData();//获取页面数据
	//下拉刷新
	api.setRefreshHeaderInfo({
		visible: true,
		bgColor: '#f8f8f8',
		textColor: '#666',
		textDown: '下拉刷新...',
		textUp: '松开刷新...',
		showTime: true
	}, pageRefresh);
	//分页加载
	api.addEventListener({
		name: 'scrolltobottom',
		extra: {
			threshold: 50            //设置距离底部多少距离时触发，默认值为0，数字类型
		}
	}, function (){
		if (loadMore) {
			loadMore = false;
			pGetData();
		}
	});
};
//获取页面数据
function pGetData(callback){
	dc.ziliao.getCollectionList({
		PaginationID: PaginationID
	}, function (ret){
		if (ret.status.code == 1) {
			var data = ret.info.arrZiLiao;
			PaginationID = ret.info.PaginationID || 0;
			$.each(data, function (index, item){
				var str = conf.localData.download.ziliao + item.ID;
				var obj = $api.getStorage(str);
				//console.log(obj.filePath)
				item.filePath = obj && obj.filePath != undefined ? obj.filePath : '';
				item.fileStatus = obj && obj.filePath != undefined && obj.filePath != '' ? 'downloaded' : '';
			});
			listData = $.merge(listData, data);
			listRactive.update('listData');
			checkMoreData(data);//判断是否还有数据
		}
		api.refreshHeaderLoadDone();
		try {
			callback();
		} catch (e) {
		}
		com.hideAPPLoadingAction();
	});
}
//页面刷新
function pageRefresh(){
	loadMore = false;//是否加载更多
	PaginationID = 0;//分页id
	listData = [];//列表数据
	pGetData(function (){
		listRactive = new Ractive({
			el: '#listContaienr',
			template: '#listTemplate',
			data: {
				listData: listData
			}
		});
		//checkMoreData(listData);//判断是否还有数据
	});
}
//判断是否还有数据
function checkMoreData(data){
	if (listData.length == 0) {//没有数据，空
		$('.p-bottom-noanswer').show();
		var contentObj = $('.p-bottom-noanswer-content');
		contentObj.css({
			marginTop: -contentObj.height() / 2 + 'px'
		});
	} else {
		$('.p-bottom-noanswer').hide();
	}
	if (data.length < conf.ajaxOnePageMax) {
		if (listData.length > conf.ajaxOnePageMax) {
			api.toast({ msg: '没有更多数据了' });
		}
		loadMore = false;
		$('#loadMoreLoading').hide();
	} else {
		loadMore = true;
		$('#loadMoreLoading').show();
	}
}

// 资料下载
function downloadFile(obj, index){
	var thisObj = $(obj);
	var data = listData[index];
	if (thisObj.hasClass('downloading')) {//正在下载
	} else if (thisObj.hasClass('downloaded')) {//已经下载完成，打开文件
		openFile(data.filePath);
	} else {//还未下载，开始下载
		thisObj.addClass('downloading').html(DOWNLOADINGHTML);
		dc.ziliao.download({
			ZiLiaoXiaZaiID: data.ID
		}, function (ret){
			if (ret.status.code == 1) {//获取下载地址成功
				var fileURL = ret.info.sFile;
				var progressObj = thisObj.find('.js-progress');
				api.download({
					url: fileURL,
					savePath: conf.app.ziliaoDownloadURL + fileURL.split('/').pop(),
					report: true,
					cache: true,
					allowResume: true
				}, function (downloadRet){
					var percent = Math.floor(downloadRet.percent) + '%';
					progressObj.html(percent);
					if (percent == '100%' && downloadRet.savePath) {//下载完成
						thisObj.html('').removeClass('downloading').addClass('downloaded');
						var str = conf.localData.download.ziliao + data.ID;
						data.filePath = downloadRet.savePath;
						$api.setStorage(str, data);
						var downloadArr = $api.getStorage(conf.localData.download.ziliaoArr);
						if (downloadArr == undefined) {
							downloadArr = [str];
						} else {
							downloadArr.push(str);
						}
						$api.setStorage(conf.localData.download.ziliaoArr, downloadArr);
						com.confirm({
							title: '提示',
							msg: data.sName + '\n已经下载完成，是否查看',
							buttons: ['取消', '确定']
						}, function (ret){
							if (ret.buttonIndex == 2) {//点击查看文件
								openFile(data.filePath);
							}
						});
					}
				});
			} else {
				com.confirm({
					msg: 'sorry,您的积分不足',
					buttons: ['去赚积分', '加入VIP会员']
				}, function (ret){
					thisObj.html('').removeClass('downloading');
					if (ret.buttonIndex == 1) {//去赚积分
						api.openWin({
							name: 'point',
							url: conf.appHrefURL + 'html/personCenter/pointContainer.html'
						});
					} else if (ret.buttonIndex == 2) {//加入VIP会员
						api.openWin({
							name: 'vip',
							url: conf.appHrefURL + 'html/vip/vip_win.html'
						});
					}
				});
			}
		});
	}
	//打开文件
	function openFile(filePath){
		api.setStatusBarStyle({
			style: 'dark'
		});
		api.addEventListener({
			name: 'viewappear'
		}, function (){
			api.setStatusBarStyle({
				style: 'light'
			});
		});
		var obj = api.require('docReader');
		obj.open({
			path: filePath
		});
	}
}
//打开资料详情页面
function openZiliaoDetail(index){
	var data = listData[index];
	api.openWin({
		name: 'ziliaoDetail',
		url: 'ziliaoContainer.html',
		pageParam: {
			type: 'detail',
			frameURL: 'detail.html',
			data: data
		}
	});
}
//打开视频详情页面
function openVideoDetail(index){
	api.openWin({
		name: 'VideoList',
		url: '../video/videoContainer.html',
		pageParam: {
			type: 'detail',
			frameURL: 'detail.html',
			data: listData[index]
		}
	});
}