/**
 * Created by chenyikun on 2015/10/7.
 */
//解答类型
var lType;
//专业ID
var SpecialityID = '';
//分页ID
var PaginationID = 0;
//页面数据
var listData = [];
var listRactive;
var loadMore = true;
$(function () {
    var obj = $('.ai-nodata-content');
    var height = obj.height();
    obj.css({
        'margin-top':'-'+height/2+'px'
    });
});
apiready = function () {
    listRactive = new Ractive({
        el: '#listContainer',
        template: '#listTemplate',
        data: {
            listData: listData
        }
    });
    com.pageGetData();//获取存储数据
    lType = api.pageParam.type;//获取解答类型
    //获取页面所需数据
    pGetData(function () {
        //监听滚动到最底部
        api.addEventListener({
            'name': 'scrolltobottom',
            extra: {
                threshold: 50            //设置距离底部多少距离时触发，默认值为0，数字类型
            }
        }, function (ret, err) {
            if (loadMore) {
                loadMore = false;
                pGetData();
            }
            //document.getElementById('loadingMore').style.display = 'block';
        });
    });
    //设置下拉刷新
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f2f2f2',
        textColor: '#666',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        //从服务器加载数据，完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        pPulldownRefresh();
        //location.reload()
    });
    //api.refreshHeaderLoadDone()
    //监听专业ID
    api.addEventListener({
        name: 'selectSpecialEnd'
    }, function (ret) {
        if (ret.value.status && ret.value.comeFrom == 'askForHelpIndex') {
            SpecialityID = ret.value.id;
            pPulldownRefresh();
        }
    });
};
//下拉刷新方法
function pPulldownRefresh() {
    dc.log('求解答刷新', '');
    listData = [];
    PaginationID = 0;
    loadMore = true;
    pGetData(function () {
        api.refreshHeaderLoadDone();
        listRactive = new Ractive({
            el: '#listContainer',
            template: '#listTemplate',
            data: {
                listData: listData
            }
        });
        if (listData.length < conf.ajaxOnePageMax) {//没有数据了
            loadMore = false;
            $('.s-loaddatafromserver').hide();
        }
    });
}
//获取页面所需数据
function pGetData(callback) {
    dc.ask.getAskList({
        PaginationID: PaginationID,
        SpecialityID: SpecialityID,
        lType: lType
    }, function (ret, err) {
        if (ret.status.code == 1) {
            //记录分页ID
            var data = ret.info.arrAsk;
            listData = $.merge(listData, data);
            if (data.length < conf.ajaxOnePageMax) {//没有数据了
                loadMore = false;
                $('.s-loaddatafromserver').hide();
                if (PaginationID == 0) {//第一次加载就没有数据
                    //$('.ai-nodata').show();
                } else {
                    //$('.ai-nodata').hide();
                    api.toast({msg: '没有更多数据了'});
                }
            } else {
                loadMore = true;
                //$('.ai-nodata').hide();
                $('.s-loaddatafromserver').show();
            }
            PaginationID = ret.info.PaginationID;
            listRactive.update('listData');
            if($('#listContainer .p-hot').length == 0){
                $('.ai-nodata').show();
            }else{
                $('.ai-nodata').hide();
            }
            //pAskListData = $.merge(pAskListData, ret.info.arrAsk);
        }
        try {
            callback();
        } catch (e) {
        }
        com.hideAPPLoadingAction();
    });
}



function pGoToPublish(){
    api.openWin({
        name:'askForHelpPublish',
        url:conf.appHrefURL+'html/askForHelp/publish.html'
    });
}