/**
 * Created by chenyikun on 2015/10/7.
 */
var PaginationID = 0;//分页ID
var listData = [];//页面数据
var listRactive;
var loadMore = true;
var isHref = true;//是否是跳转
apiready = function () {
    listRactive = new Ractive({
        el: '#listContainer',
        template: '#listTemplate',
        data: {
            listData: listData
        }
    });
    com.pageGetData(pGetData);
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f8f8f8',
        textColor: '#999',
        textDown: '下拉可以刷新...',
        textUp: '松开刷新...',
        textLoading: '刷新中',
        showTime: true
    }, function (ret, err) {
        //从服务器加载数据，完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        pRefresh();
        //location.reload()
    });
    //api.refreshHeaderLoadDone();
    api.addEventListener({
        name: 'scrolltobottom',
        extra: {
            threshold: 50            //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function () {
        if (loadMore) {
            loadMore = false;
        } else {
            return;
        }
        pGetData();
    });
}
//刷新页面
function pRefresh() {
    listData = [];
    PaginationID = 0;
    pGetData(function () {
        listRactive = new Ractive({
            el: '#listContainer',
            template: '#listTemplate',
            data: {
                listData: listData
            }
        });
        if (api.pageParam.type == 'answer') {
            $('.p-hot-status-time.p-border').hide();
        }
        if($('#listContainer .p-hot').length == 0){
            $('#loadingMore').hide();
        }
        api.refreshHeaderLoadDone();
    });
}
//获取页面数据
function pGetData(callback) {
    if (api.pageParam.type == 'ask') {//我的提问
        dc.ask.myAsk({
            MemberID: com.userInfo.member.ID,
            PaginationID: PaginationID
        }, function (ret, err) {
            if (ret.status.code == 1) {
                var data = ret.info.arrAsk;
                dataAction(data, ret.info.PaginationID, 'ask');
            }
        });
    } else if (api.pageParam.type == 'answer') {//我的回答
        dc.ask.myAnswer({
            MemberID: com.userInfo.member.ID,
            PaginationID: PaginationID
        }, function (ret, err) {
            if (ret.status.code == 1) {
                var data = ret.info.arrAnswer;
                dataAction(data, ret.info.PaginationID, 'answer');
            }
        });
    }
    function dataAction(data, id, type) {
        if (data.length == 0) {//没有数据了
            loadMore = false;
            if (PaginationID == 0) {//第一次加载就没有数据
                api.toast({msg: '您暂时没有回答'});
                $('.p-bottom-noanswer').show();
                $('#first').html(type == 'ask' ? '你暂时没有提问，快去提问吧' : '你暂时没有回答，快去回答吧');
                $('#loadingMore').hide();
            } else {//没有更多数据了
                api.toast({msg: '没有更多数据了'});
            }
        } else {
            PaginationID = id;
            if (data.length < conf.ajaxOnePageMax) {//获取数据小于ajax请求的一页数目，隐藏加载动画
                $('#loadingMore').hide();
                loadMore = false;
            }else{
                loadMore = true;
            }
            $.each(data, function (i, item) {
                if (type == 'ask') {
                    if (item.bClosed == 1&&item.bAnswered!=1) {//已关闭
                        item.statusClass = 'p-unAdopt';
                        item.statusText = '已关闭';
                    } else if (item.bAnswered == 1) {//已解决
                        item.statusClass = 'p-solved';
                        item.statusText = '已解决';
                    } else /*if(item.bAnswered == 0)*/{//未解决
                        item.statusClass = 'p-unsolved';
                        item.statusText = '未解决';
                    }
                } else {
                    if (item.bAdopt == 1) {//最佳答案
                        item.statusClass = 'p-best';
                        item.statusText = '最佳答案';
                    } else if (item.bAnswered == 1) {//已解决
                        item.statusClass = 'p-solved';
                        item.statusText = '已解决';
                    } else if (item.bAdopt == 2) {//不采纳
                        item.statusClass = 'p-unAdopt';
                        item.statusText = '不采纳';
                    } else {//待评价
                        item.statusClass = 'p-waitappeal';
                        item.statusText = '待评价';
                    }
                }
                item.currentDescript = type == 'ask' ? item.sDescription : item.sAskDescription;
            });
            listData = $.merge(listData, data);
            listRactive.update('listData');
            if (type == 'answer') {
                $('.p-hot-status-time.p-border').hide();
            }
            $('#listContainer').show();
        }
        try {
            callback();
        } catch (e) {
        }
        com.hideAPPLoadingAction();
    }
}
//查看图片
function pCheckPhoto(obj) {
    pCheckHref();
    var imgObjs = $(obj).parent().find('img');
    //var imgObjs = $('.p-hot-img img');
    var imgArr = [];
    $.each(imgObjs, function (i, item) {
        imgArr.push($(item).attr('data-org'));
    });
    api.require('imageBrowser').openImages({
        imageUrls: imgArr,
        showList: false,
        activeIndex: imgArr.indexOf($(obj).attr('data-org'))
    });
}
//播放录音
function pPlayAudio(url) {
    pCheckHref();
    com.playWebAudio(url);
}
//控制跳转
function pCheckHref() {
    isHref = false;
    setTimeout(function () {
        isHref = true;
    }, 100);
}

//跳转到回答列表
function pGoToAnswerList(obj,num) {
    var thisObj = $(obj);
    var askID = thisObj.attr('data-id') || thisObj.attr('data-askID');
    var askName = thisObj.attr('data-askName');
    var askMemberID = thisObj.attr('data-askMemberID');
    if (isHref) {
        api.openWin({
            name: 'askForHelpAnswerList',
            url: conf.appHrefURL + 'html/askForHelp/answerList_window.html',
            pageParam: {
                type: 'href',
                header: api.pageParam.type != 'ask' ? '' + askName + '的提问' : '我的提问',
                askID: askID,
                askMemberID: askMemberID,
                info:listData[num]||null
            }
        });
    }
}