/**
 * Created by chenyikun on 2015/10/9.
 */
var t;
//标识，判断是点击还是长按
$(function () {
   if(iosControl){
       $(".iosConKey").hide();
   }
    $('#textarea').css({
        height: $('#main').height() + 'px'
    });
});
//页面初始化
apiready = function () {
    var $header = $api.byId('header');
    com.pageStatusDel($header);
    com.pageGetData(function () {
        dc.wallet.cashdetail({}, function (ret, err) {
            if (ret.status.code == 1) {
                $('#currentRemain').html(ret.info.fCashAmt);
            }
        });
        dc.ask.getAskCoupon(function (ret, err) {
            if (ret.status.code == 1) {
                var ractive = new Ractive({
                    el: '#listContainer',
                    template: '#listTemplate',
                    data: {
                        listData: ret.info.arrCoupon
                    }
                });
                if(ret.info.arrCoupon.length >0){
                    $('.p-opera-select').show();
                    $('.p-opera-toast').show();
                }
                var swiper = new Swiper('.swiper-container', {
                    pagination: '.swiper-pagination',
                    slidesPerView: 3,
                    paginationClickable: true,
                    spaceBetween: 30
                });
            }
        });
        var filePath = conf.app.audioURL + new Date().getTime() + api.deviceId + '.amr';
        var startTime, endTime = null;

        $api.addEvt($api.byId('record'), 'touchstart', function () {
            startTime = new Date().getTime();
            setTimeout(function () {
                if (endTime == 'cancel') {
                    endTime = null;
                    return;
                }
               if (endTime == null) {//视为长按，开始录音
                    dc.log('触摸开始录音')
                    $('#record').html('松开结束');
                    if($('#reward').css('display')=='block'||$('#camera').css('display')=='block'){
                        $('#audioImageToast').addClass('p-on');
                    }
                    pAudioTabAction();//录音提示切换
                    api.startRecord({
                        path: filePath
                    });
                }
            }, 300);
        });
        $api.addEvt($api.byId('record'), 'touchend', function (event) {//录制成功
            endTime = new Date().getTime();
            $('#record').html('重新录制');
            pAudioTabActionCancel();//录音提示切换取消
            if (endTime - startTime > 300) {
                api.stopRecord(
                    function (ret, err) {
                        if (ret) {
                            endTime = null;
                            $('#record').attr({
                                'data-url': ret.path,
                                'data-time': ret.duration
                            });
                            $('.p-hot-audio').show().find('.p-hot-audio-content').attr('data-url', ret.path).html(ret.duration + '\'\'');
                            //com.alert({msg: ('文件路径--' + ret.path + ';录音时长:' + ret.duration + 's')});
                        }
                    }
                );
            }
        });
        $api.addEvt($api.byId('record'), 'touchmove', function (event) {//上滑取消
            endTime = 'cancel';
            $('#record').html('语音录题');
            pAudioTabActionCancel();//录音提示切换取消
            api.stopRecord(function (ret, err) {
                if (ret) {
                    //com.alert({msg:('文件路径--'+ret.path+';录音时长:'+ret.duration+'s')});
                }
            });
        });
    });
    //$('#textarea').focus();
    api.addEventListener({
        name:'chongzhiSuccess'
    },function(){
        dc.wallet.cashdetail({}, function (ret, err) {
            if (ret.status.code == 1) {
                $('#currentRemain').html(ret.info.fCashAmt);
            }
        });
    });

};
//录音提示切换
function pAudioTabAction() {
    $('#audioImageToast').show();
    var i = 1;
    t = setInterval(function () {
        i++;
        $('#audioImageToast').attr('src', '../../image/audio/voice0' + (i % 3) + '.png');
    }, 300);
}
//录音提示切换取消
function pAudioTabActionCancel() {
    clearInterval(t);
    $('#audioImageToast').hide().removeClass('p-on');
    //$('#audioImageToast').attr('src','../../image/audio/cancel.png');
}
//选择类别
function pSelectType() {
    $('#subHeader').addClass('p-on');
    api.openFrame({
        name: 'askForHelpPublish',
        url: conf.appHrefURL + 'html/modules/selectSpecialID.html',
        bgColor: 'rgba(0,0,0,0)',
        pageParam: {
            comeFrom: 'askForHelpPublish'
        }
    });
    //监听页面菜单模态框返回值
    api.addEventListener({
        name: 'selectSpecialEnd'
    }, function (ret, err) {
        var spanObj = $('#subHeader');
        spanObj.removeClass('p-on');
        if (ret.value.status && ret.value.comeFrom == 'askForHelpPublish') {
            //监听到页面选择返回的数据
            spanObj.html(ret.value.name).attr('data-id', ret.value.id);
        }
    });
}
//选择问答卷悬赏
function pOperaTab(obj) {
    $(obj).find('.p-opera-select-item').addClass('p-active').parent().siblings().find('.p-opera-select-item').removeClass('p-active');
}
//文本域聚焦
function pTextareaFocus() {
    $('#reward').hide();
    $('#camera').hide();
}
//填写悬赏金额
function getInputValue() {
    var num = $('#num').val();
    var flag = true;
    try {
        num = parseFloat(num);
    } catch (e) {
        flag = false;
    }
    if (!flag) {
        api.toast({
            msg: '请输入数字',
            location: 'middle'
        });
        return false;
    } else if (num > parseFloat($('.p-opera-total span').html())) {
        api.toast({
            msg: '输入数字大于现有的钱包余额',
            location: 'middle'
        });
        return false;
    } else {
        $('#currentTotal').attr('currentTotal', num);
        return true;
    }
}
//获取图片
function pTakePhoto() {
    api.actionSheet({
        title: '请选择图片',
        cancelTitle: '取消',
        //destructiveTitle: '取消',
        buttons: ['拍照', '图库']
    }, function (ret, err) {
        if (ret.buttonIndex == 1) {//拍照
            getPhotos('camera');
        } else if (ret.buttonIndex == 2) {//图库
            getPhotos('library');
        }
    });
    function getPhotos(type) {
        api.getPicture({
            sourceType: type,
            encodingType: 'jpg',
            mediaValue: 'pic',
            destinationType: 'base64',
            allowEdit: true,
            targetHeight: 640,
            targetWidth: 640,
            quality: 90,
            saveToPhotoAlbum: false
        }, function (ret, err) {
            if (ret) {
                dc.log('拍照图片', ret);
                var base64Data = ret.base64Data;
                if (base64Data != '') {
                    $('.p-opera-img').show().find('img').attr('src', base64Data);
                }
            } else {
                //com.alert({msg: err.msg});
            }
        });
    }
}
//提交按钮
function btnSubmit() {
    var txt = $('#textarea').val();
    //alert(/^[a-z0-9]+$/i.test(txt.charAt(0)))
    //alert(/[\u4e00-\u9fa5]/gm.test(txt.charAt(0)))
    //return;
    var recordUrl = $('#record').attr('data-url');
    var img = $('#camera img').attr('src');
    var fPrize = $('#currentTotal').attr('data-total');
    if($('#subHeader').html() == '分类'||$('#subHeader').html() == '全部'){
        api.toast({
            msg: '请选择分类',
            location: 'middle'
        });
        return;
    }
    if (txt.replace(/\s/g, '') == ''||txt == '') {//三个都没有填写
        api.toast({
            msg: '请输入问题描述',
            location: 'middle'
        });
        return;
    }
    api.showProgress({title:'提交中'});
    var params = {
        sDescription: txt || '',
        sAttach: img == '' ? '' : img.replace('data:image/jpeg;base64,', '').replace('data:image/jpg;base64,','').replace('data:image/png;base64,',''),
        SpecialityID: $('#subHeader').attr('data-id') || '',
        fPrize: fPrize == '' ? '0' : fPrize,
        sMIMEType: 'audio/amr',
        lLen: $('#record').attr('data-time') || '',
        CouponID: $('.p-opera-select-item.p-active').parent().attr('data-id') || ''
    };
    //alert(JSON.stringify(params))
    //return;
    dc.ask.publishAsk({
        values: params,
        files: {
            audio: recordUrl
        }
    }, function (ret, err) {
        if (ret.status.code == 1) {
            api.openWin({
                name: 'askForHelpAnswerList',
                url: conf.appHrefURL + 'html/askForHelp/answerList_window.html',
                pageParam: {
                    type: 'href',
                    askID:  ret.info.AskID,
                    info:null
                }
            });
            setTimeout(function(){ //1s 后关闭页面
                api.closeWin();
            },1000);
           /* api.openWin({
                name: 'askForHelpRabAnswer',
                url: conf.appHrefURL + 'html/askForHelp/rabAnswer.html',
                pageParam: {
                    id: ret.info.AskID,
                    counts: ret.info.push_count
                }
            });*/
        } else {
            com.alert({msg: ret.status.message});
        }
        api.hideProgress();
    });
}
//删除录音
function delAudio() {
    $('.p-hot-audio').hide();
    $('#record').removeClass('p-on').html('语音录题').attr({
        'data-url': '',
        'data-time': ''
    });
}
//删除图片
function delImg() {
    $('.p-opera-img').hide().find('img').attr('img', '');
}
//计算悬赏值
function pCalcReward() {
    var total = parseFloat($('#currentTotal').attr('data-total'));//钱包设置的金额
    var num = $('#num').val();//目前输入金额
    num = num == '' ? 0 : parseFloat(num);
    var con = $('#currentTotal').attr('data-con');//问答卷选中
    con = con == '' ? 0 : parseFloat(con);
    var current = total + num + con;
    //alert('total:' + total  + '\ncon:' + con + '\ncurrent:' + current);
    $('#currentRemain').attr('data-total', total + num);
    $('#currentTotal').attr('data-total', total + num);
    if (current > 0) {
        $('#btnReward').addClass('p-on').find('.p-money-num span').html(current);
    } else {
        $('#btnReward').removeClass('p-on').find('.p-money-num span').html(current);
    }
    $('#reward').hide();
    $('#num').val('');
}
//确认按钮
function pBtnConfirm() {
    var conObj = $('.p-opera-select .p-opera-select-item.p-active').parent();//问答卷选中
    $('#currentTotal').attr({
        'data-con': conObj.attr('data-value') || '0',
        'data-conid': conObj.attr('data-id') || ''
    });
    /*alert(JSON.stringify({
     'data-con': conObj.attr('data-value') || '',
     'data-conid': conObj.attr('data-id') || ''
     }));*/
    if (getInputValue()) {//输入框合法
        pCalcReward();//计算悬赏值
    }
}
//清除悬赏按钮
function pBtnCancel() {
    $('.p-opera-select-item').removeClass('p-active');
    $('#currentTotal').attr('data-total', 0);
    pCalcReward();//计算悬赏值
}
//显示悬赏
function pShowReward() {
    if ($('#currentTotal').html() == 0) {//没有悬赏值
        $('.p-btnSubmit').show();
        $('#btnMore').hide();
    } else {
        $('.p-btnSubmit').hide();
        $('#btnMore').show();
    }
    $('#reward').show();
    $('#camera').hide();
}