/**
 * Created by chenyikun on 2015/11/21.
 */
var bkznInfo = $api.getStorage('bkznInfo');//报考信息
if (bkznInfo == undefined) {
	bkznInfo = {};
	bkznInfo.schoolID = com.userInfo.member.NowUniversityID || '';
	bkznInfo.schoolName = com.userInfo.member.sNowUniversity || '';
	bkznInfo.collegeID = com.userInfo.member.CollegeID || '';
	bkznInfo.collegeName = com.userInfo.member.sCollege || '';
	bkznInfo.specialID = com.userInfo.member.SpecialityID || '';
	bkznInfo.specialName = com.userInfo.member.sSpeciality || '';
	$api.setStorage('bkznInfo', bkznInfo);
}
apiready = function (){
	com.pageStatusDel($api.byId('header'));
	var mainObj = $('#main');
	$('#headerSpan').html(api.pageParam.header);
	var h = api.pageParam.type == 'list' ? 8 : 0;
	if (api.pageParam.type == 'list') {
		pSetSubHeader();//设置副标题信息
		$('#subHeader').show();
	} else {
		$('#subHeader').remove();
		$("#znshare").show();
	}
	api.openFrame({
		name: 'frame',
		url: api.pageParam.frameUrl,
		rect: {
			x: 0,
			y: mainObj.offset().top + h,
			w: api.winWidth,
			h: mainObj.height() - h
		},
		pageParam: api.pageParam,
		vScrollBarEnabled: false,
		bounces: true
	});
};
//设置副标题信息
function pSetSubHeader(){
	if (bkznInfo.schoolName != '') {
		$('#school').html(bkznInfo.schoolName);
	}
	if (bkznInfo.collegeName != '') {
		$('#college').html(bkznInfo.collegeName);
	}
	if (bkznInfo.specialName != '') {
		$('#special').html(bkznInfo.specialName);
	}
}
//选择学校
function pSelectSchool(){
	var arr = conf.app.provinceData;
	com.selectSingleItem(arr, function (ret){
		if (ret.status) {//接收成功
			var id = ret.data.ID;
			getSchoolByProvinceID(id);
			bkznInfo.schoolID = '';
			bkznInfo.schoolName = '';
			bkznInfo.collegeID = '';
			bkznInfo.collegeName = '';
			bkznInfo.specialID = '';
			bkznInfo.specialName = '';
			$('#college').html('学院');
			$('#special').html('专业');
		}
	});
	function getSchoolByProvinceID(id){
		com.showProgress();
		dc.baseData.getSchoolByProvinceById({
			ProvinceID: id
		}, function (ret){
			com.hideProgress();
			if (ret.status.code == 1) {
				var schoolDatas = ret.info.arrUniversity;
				schoolDatas.map(function (item){
					item.text = item.sName;
					return item;
				});
				com.selectSingleItem(schoolDatas, function (ret){
					if (ret.status) {//接收成功
						bkznInfo.schoolID = ret.data.ID;
						bkznInfo.schoolName = ret.data.text;
						bkznInfo.collegeID = '';
						bkznInfo.collegeName = '';
						bkznInfo.specialID = '';
						bkznInfo.specialName = '';
						$('#college').html('学院');
						$('#special').html('专业');
						$('#school').html(ret.data.text);
						pSelectCollegeBySchoolID();
					}
				});
			}
		});
	}
}
//选择学院
function pSelectCollegeBySchoolID(){
	if (bkznInfo.schoolID == '') {
		api.toast({
			msg: '请先选择学校',
			duration: 2000,
			location: 'middle'
		});
		return;
	}
	com.showProgress();
	dc.baseData.getCollegeBySchoolID({
		UniversityID: bkznInfo.schoolID
	}, function (ret){
		com.hideProgress();
		if (ret.status.code == 1) {
			var data = ret.info.arrCollege;
			data.map(function (item){
				item.text = item.sName;
				return item;
			});
			com.selectSingleItem(data, function (ret){
				if (ret.status) {//接收成功
					bkznInfo.collegeID = ret.data.ID;
					bkznInfo.collegeName = ret.data.text;
					bkznInfo.specialID = '';
					bkznInfo.specialName = '';
					$('#special').html('专业');
					$('#college').html(ret.data.text);
					pSelectSpecialByCollegeID();
				}
			});
		}
	});
}
//选择专业
function pSelectSpecialByCollegeID(){
	if (bkznInfo.collegeID == '') {
		api.toast({
			msg: '请先选择学院',
			duration: 2000,
			location: 'middle'
		});
		return;
	}
	com.showProgress();
	dc.baseData.getSpecialByCollegeID({
		CollegeID: bkznInfo.collegeID
	}, function (ret){
		com.hideProgress();
		if (ret.status.code == 1) {
			var data = ret.info.arrSpeciality;
			data.map(function (item){
				item.text = item.sName;
				return item;
			});
			com.selectSingleItem(data, function (ret){
				if (ret.status) {//接收成功
					bkznInfo.specialID = ret.data.ID;
					bkznInfo.specialName = ret.data.text;
					$('#special').html(ret.data.text);
					$api.setStorage('bkznInfo', bkznInfo);
					api.execScript({
						frameName: 'frame',
						script: 'schoolID=\'' + bkznInfo.schoolID + '\';' + 'collegeID=\'' + bkznInfo.collegeID + '\';' + 'specialID=\'' + bkznInfo.specialID + '\';pGetData();'
					});
				}
			});
		}
	});
}
