/**
 * Created by yangjiahua on 2015/12/21.
 */
var repayCode=0;//回复楼层编码，0为初始值为楼主，1为楼层，2为第三方；
var pageID;//分页ID
var ractive;//ractive对象
var moreLoad;//控制开关
var listData;//回复数据
var topicData=[];//话题数据
var TopicID;//话题ID
var TopicRactive;
var PathID ;//楼层ID
var ObjectID;// 回复非楼主非层主的ID
var sContent;// 内容
var repayData={};//数据对象
function init(){//初始化
    pageID = 1;
    moreLoad = false;
    listData = [];
}
apiready=function(){
    init();
    TopicID= api.pageParam.data;
    repayData.TopicID=TopicID;
    getDetailData();
    ractive = new Ractive({
        el: '#reply',
        template: '#temple',
        data: {
            listData: listData,
            expressParse: function (txt){
                return com.chatExpressionParse(txt, '../../image/UIChatBox/emotion/');
            }
        }
    });
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f2f2f2',
        textColor: '#666',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err){
        Refresh();
    });
    //上拉加载
    api.addEventListener({
        name: 'scrolltobottom',
        extra: {
            threshold: 30
        }
    }, function (ret, err){
        if (moreLoad) {
            moreLoad = false;
            getDetailData();
        }
    });

    UiChat();
};

//UIchat 模块
function UiChat(){
    var UIChatBox = api.require('UIChatBox');
    UIChatBox.open({
        placeholder: '',
        maxRows: 4,
        emotionPath: 'widget://image/UIChatBox/emotion',
        texts: {
            sendBtn:{
                title:"发送"
            }
        },
        styles: {
            inputBar: {
                borderColor: '#d9d9d9',
                bgColor: '#f2f2f2'
            },
            inputBox: {
                borderColor: '#B3B3B3',
                bgColor: '#FFFFFF'
            },
            emotionBtn: {
                normalImg: 'widget://image/UIChatBox/face1.png'
            },
            extrasBtn: {
                normalImg: 'widget://image/UIChatBox/add1.png'
            },

            indicator: {
                target: 'both',
                color: '#c4c4c4',
                activeColor: '#9e9e9e'
            },
            sendBtn: {
                titleColor: '#fff',
                bg: '#999999' ,
                activeBg: '#46a91e',
                titleSize: 14
            }
        },
        extras: {
            titleSize: 10,
            titleColor: '#a3a3a3',
            btns: [{
                title: '图片',
                normalImg: 'widget://image/UIChatBox/album1.png',
                activeImg: 'widget://image/UIChatBox/album2.png'
            },{
                title: '拍照',
                normalImg: 'widget://image/UIChatBox/cam1.png',
                activeImg: 'widget://image/UIChatBox/cam2.png'
            }]
        }
    }, function (ret){
        if (ret.eventType == 'clickExtras') {
            switch (ret.index) {
                case 0:
                    getPic('library');
                    break;
                case 1:
                    getPic('camera');
                    break;
            }
        } else if (ret.eventType == 'send') {//点击发送按钮
            UIChatBox.closeKeyboard();
            var txt = ret.msg;//ret.msg输入内容
            if (txt.replace(/\s/g, '') == '') {//输入为空
                api.toast({
                    msg: '请输入内容',
                    location: 'middle'
                });
            } else {
                com.showProgress({
                    title:'回复中···'
                });
                switch (repayCode){
                    case 0:
                        //回复楼主
                        repayData.sContent=ret.msg;
                        dc.find.reply(repayData, function (ret, err){
                            if (ret.status.code == 1) {
                                reapySucess();
                            }
                        });
                        break;
                    case 1:
                        //层主
                        repayData.sContent = ret.msg;
                        repayData.PathID = PathID;
                        dc.find.reply(repayData, function (ret, err){
                            if (ret.status.code == 1) {
                                reapySucess();
                            }
                        });
                        break;
                    case 2:
                        //第三方
                        repayData.sContent = ret.msg;
                        repayData.PathID = PathID;
                        repayData.ObjectID = ObjectID;
                        dc.find.reply(repayData, function (ret, err){
                            if (ret.status.code == 1) {
                                reapySucess();
                            }
                        });
                        break;
                }
            }
        }

    });

}

//点击回复楼主
function replayInfo(code,name){
    repayCode=code;
    var UIChatBox = api.require('UIChatBox');
    UIChatBox.popupKeyboard();
//设置输入框的值
    UIChatBox.setPlaceholder({
        placeholder: '回复:'+name
    });
    if(repayCode!=0){
        PathID=arguments[2];
        if(repayCode==2){
            ObjectID=arguments[3];
        }
    }
}

//获取图片
function getPic(type){
    api.getPicture({
        sourceType: type,
        encodingType: 'jpg',
        mediaValue: 'pic',
        destinationType: 'base64',
        allowEdit: true,
        targetHeight: 640,
        targetWidth: 640,
        quality: 90,
        saveToPhotoAlbum: false
    }, function (ret, err){
        if (ret) {
            var base64Data = ret.base64Data;
            if (base64Data != '') {
                //处理图像数据
                base64Data = base64Data.replace('data:image/jpeg;base64,', '').replace('data:image/jpg;base64,', '');
                repayData.sAttach=[];
                repayData.sAttach.push(base64Data);
                //只能上传小于三张的图片
                //if(repayData.sAttach.length>=3){
                //
                //}
            }
        } else {

        }
    });
}
//获取详情数据
function getDetailData(callback){
    dc.find.detail({
        PageID: pageID,
        TopicID:TopicID
    }, function (ret, err){
        if (ret.status.code == 1) {
            var data = ret.info.arrReply;
            var lPageSize =ret.info.lPageSize;
            topicData=ret.info.topic;
            listData = $.merge(listData, ret.info.arrReply);
            ractive.update('listData');
            TopicRactive = new Ractive({
                el: '#content',
                template: '#temTopic',
                data: {
                    topic: topicData,
                    info: function (data) {
                        var regexp = /<("[^"]*"|'[^']*'|[^'">])*>/gi;
                        return data.replace(regexp, "").replace(/\s/ig,'').substring(0,20);
                    }
                }
            });
            if (listData.length == 0) {
                //api.toast({
                //    msg: '暂无回复',
                //    duration: 2000,
                //    location: 'bottom'
                //});
                $("#loadingMore").hide();
                //return false;
            }
            if (data.length <lPageSize) {
                moreLoad = false;
                $("#loadingMore").hide();
            } else {
                moreLoad = true;
                pageID++;
                $("#loadingMore").show();
            }

            UiChat();
        }else{
            pageID = 0;
            moreLoad = false;
            listData = [];
            topicData=[];
            $("#loadingMore").hide();
            $("#con").hide();
        }
        api.refreshHeaderLoadDone();
        try {
            callback();
        } catch (e) {

        }
    })
}

//下拉刷新
function Refresh(){
    init();
    getDetailData(function (){
        ractive = new Ractive({
            el: '#reply',
            template: '#temple',
            data: {
                listData: listData,
                expressParse: function (txt){
                    return com.chatExpressionParse(txt, '../../image/UIChatBox/emotion/');
                }
            }
        });
    })
}

//分享话题
function shareTopicDeatil(id,title,content){
    api.openFrame({
        name: 'shareFrame',
        url: conf.appHrefURL + 'html/modules/share.html',
        pageParam: {
            title: title,//标题
            description: '研途宝，考研必备APP',//描述
            content: content,//内容
            imgUrl: 'widget://image/web/app-icon.png',//图片地址
            url: conf.url.discover.share + '?SID=' + api.deviceId+'&id='+id,//网页地址
            sms: content//短信分享内容
        },
        rect: {
            x: 0,
            y: 0,
            h: 'auto',
            w: 'auto'
        },
        bgColor: 'rgba(0,0,0,0)'
    });
}
//点赞
function praise(id, obj){
    dc.find.praise({
        id: id
    }, function (ret, err){
        if (ret.status.code == 1) {
            var Praise = ret.info.lPraise;
            $(obj).find('span').text(Praise);
            $(obj).find('i').addClass('current');
        }
    })
}


//回复成功
function reapySucess(){
    //location.reload(true);
    //init();
    getDetailData(function (){
        ractive.update('listData');
        com.hideProgress();
        api.toast({
            msg: '回复成功，积分+2',
            duration: 2000,
            location: 'bottom'
        });
        //var h = $('body').height();
        //$('body,html').animate({scrollTop: h}, 500);
    });

}

























