/**
 * Created by yangjiahua on 2015/12/5.
 */
var help={};//选择信息
apiready=function(){
    com.pageGetData(function(){
        getPeopleNum();
    });
};


//选择本科专业
function selectCollegeSpecial(obj){
    var thisObj = $(obj);
    thisObj.addClass('on');
    api.openFrame({
        name: 'selectDetailCollege',
        url: '../modules/selectSpecialID.html',
        bgColor: 'rgba(0,0,0,0)',
        pageParam: {
            comeFrom: 'selectDetailCollege',//设置标识
            selectType: false,//false,不选择科目，直接选择地区，
            selectLength: 4//4个都选，参数是多少就选择多少层，如参数为2：只选择省份和大学，不传默认为4
        }
    });

    api.addEventListener({
        name: 'selectSpecialEnd'
    }, function (ret){
        api.removeEventListener({ name: 'selectSpecialEnd' });
        thisObj.removeClass('on');
        var data = ret.value;
        if (data.status && data.comeFrom == 'selectDetailCollege') {
            //监听到页面选择返回的数据
            $(obj).html(data.name);
            help.collegeSpecialID = data.id;
            help.UniversityID=data.extra.school.ID;
            help.CollegeID=data.extra.college.ID;
        }
    });
}

//方便时间选择

function selectTime(obj){
    var thisObj = $(obj);
    thisObj.addClass('on');
    var arr = [
        { id: '9:00-10:00', text: '9:00-10:00' },
        { id: '10:00-11:0', text: '10:00-11:00' },
        { id: '11:00-12:00', text: '11:00-12:00' },
        { id: '14:00-15:00', text: '14:00-15:00' },
        { id: '15:00-16:00', text: '15:00-16:00' },
        { id: '16:00-17:00', text: '16:00-17:00' },
        { id: '17:00-18:0', text: '17:00-18:00' }
    ];
    com.selectSingleItem(arr, function (ret){
        thisObj.removeClass('on');
        if (ret.status) {
            $(obj).html(ret.data.text);
            help.convenientTime = ret.data.text;
        }
    });
}
//辅导预算
function selectBudget(obj){
    var thisObj = $(obj);
    thisObj.addClass('on');
    var arr = [
        { id: '1', text: '1000以下' },
        { id: '2', text: '1000-3000' },
        { id: '3', text: '3000-7000' },
        { id: '4', text: '7000-1万' },
        { id: '5', text: '1万以上' }
    ];
    com.selectSingleItem(arr, function (ret){
        thisObj.removeClass('on');
        if (ret.status) {
            $(obj).html(ret.data.text);
            help.budget = ret.data.text;
        }
    });
}

//科目

function selectSubject(obj){
    $("#mask").show();
    $("#subject_con").show();
    var li=$("#subUl li");
   li.find("span").removeClass('current');
    li.on('click',function(e){
        var sp=$(this).find("span");
        if(sp.hasClass('current')){
            sp.removeClass("current");
        }else{
            sp.addClass("current");
        }
    });
    //取消
    $("#cancel").click(function(){
        $("#mask").hide();
        $("#subject_con").hide();
        li.off('click');
    });
    // 确定
    $("#sure").click(function(){
        var span=li.find("span.current").siblings('i');//选中的文字
        var tex=span.text();
        $(obj).text(tex);
        help.subject1=tex;
        $("#mask").hide();
        $("#subject_con").hide();
        li.off('click');
    });
}

function cancel(){
    $("#mask").hide();
    $("#subject_con").hide();
}

//辅导内容
function selectCoash(obj){
    var li=$("#coach_item ul li");
    $("#mask").show();
    $("#coach_con").show();
    li.find("span").removeClass('current');
    li.click(function(){
        var sp=$(this).children("span");
        if(sp.hasClass('current')){
            sp.removeClass("current");
        }else{
            sp.addClass("current");
        }
    });
    //取消
    $("#coach_cancel").click(function(){
        $("#mask").hide();
        $("#coach_con").hide();
        li.off('click');
    });
    // 确定
    $("#coach_sure").click(function(){
        var span=[];
        span=li.find("span.current").siblings('i');//选中的文字
        var tex=span.text();
        $(obj).text(tex);
        help.coach=tex;
        $("#mask").hide();
        $("#coach_con").hide();
        li.off('click');
    });
}
//提交按钮
function btnSubmit(obj) {
    var qqnumber = $('#QQ').val();
    //验证输入合法性
    switch (true) {
        case !help.collegeSpecialID:
            submitToast('请选择本科专业');
            break;
        case !help.subject1:
            submitToast('请选择科目');
            break;
        case !help.coach:
            submitToast('请选择辅导内容');
            break;
        case !help.budget:
            submitToast('请选择辅导预算');
            break;
        case !help.convenientTime:
            submitToast('请选择方便联系时间');
            break;
        case qqnumber == '':
            submitToast('请检查您的QQ号是否输入或正确');
            break;
        default :
            submit();
            break;
    }
    //验证提示
    function submitToast(str) {
        api.toast({
            msg: str,
            duration: 2000,
            location: 'middle'
        });
    }

    //验证完成
    function submit() {
        var thisObj = $(obj);
        if (thisObj.hasClass('submit')) {
            return false;
        }
        thisObj.addClass('submit');
        com.showProgress();
        dc.demand.publish({
            NowSpecialityID: help.collegeSpecialID,//本科专业,必填
            sContactTime: help.convenientTime,//方便联系时间，必填
            sQQ: qqnumber,//QQ号码，必填
            sBudget:help.budget,//预算
            sFudao:help.coach,//辅导内容
            KeMuID:help.subject1,//科目
            UniversityID:help.UniversityID,//大学ID
            CollegeID:help.CollegeID,//学院ID
            sContent : $('#detail').val()//其他情况或需求
        }, function (ret) {
            thisObj.removeClass('submit');
            com.hideProgress();
            if (ret.status.code == 1) {//提交成功
                api.toast({
                    msg: '提交成功,我们将尽快与您联系',
                    duration: 2000,
                    location: 'middle'
                });
                setTimeout('com.closeThisWindow()', 2000);
            }
        });
    }
}

//获取人数
function getPeopleNum(){
    dc.demand.home({},function(ret){
        if(ret.status.code==1){
            $("#student").text(ret.info.lFudao);
        }
    })
}











