/**
 * Created by chenyikun on 2015/9/23.
 */

var listData = [];//求解答数据列表
var pAskListRactive;//ractive对象
var PaginationID = 0;//分页id
var loadMore = true;//是否加载更多
var swiper;//话题滚动对象
$(function (){
	var listObj = $('#listContainer');
	listObj.css({
		minHeight: $(document).height() - listObj.offset().top - 25 + 'px'
	});
});
apiready = function (){
	if (!(api.systemType == 'android' && parseFloat(api.systemVersion) < 5)) {
		var header = $api.byId('header');
		com.pageStatusDel(header);
	}
	if (api.systemType == 'ios') {
		$('#statusBar').show();
	}
	pAskListRactive = new Ractive({
		el: '#listContainer',
		template: '#listTemplate',
		data: {
			listData: listData
		}
	});
	com.pageGetData(pGetAskList);
	pGetScrollImages();//获取滚动图片列表
	pGetTopicList();//获取话题列表
	//设置下拉刷新
	api.setRefreshHeaderInfo({
		visible: true,
		bgColor: '#f2f2f2',
		textColor: '#666',
		textDown: '下拉刷新...',
		textUp: '松开刷新...',
		showTime: true
	}, pPulldownRefresh);
	//监听滚动到最底部
	api.addEventListener({
		'name': 'scrolltobottom',
		extra: {
			threshold: 100            //设置距离底部多少距离时触发，默认值为0，数字类型
		}
	}, function (){
		if (loadMore) {
			loadMore = false;
			pGetAskList();
		}
	});
};
//获取主页图片滑动
function pGetScrollImages(){
	var scrollIamgeHeight = api.winWidth * 0.3;
	dc.main.getScrollPhotos({}, function (ret, err){
		if (ret.status.code == 1) {
			var imagesPaths = [];
			var urlObjs = ret.info.arrBanner;
			$.each(urlObjs, function (i, item){
				imagesPaths.push(item.sImage);
			});
			var imagesScrollArea = api.require('UIScrollPicture');
			$('#mainContainer').css({ paddingTop: scrollIamgeHeight + 'px' });
			imagesScrollArea.open({
				rect: {
					x: 0,
					y: 0,
					w: api.winWidth,
					h: scrollIamgeHeight
				},
				data: { paths: imagesPaths },
				styles: {
					indicator: {
						align: 'right',
						color: '#FFFFFF',
						activeColor: '#DA70D6'
					}
				},
				placeholderImg: 'widget://res/slide1.jpg',
				contentMode: 'scaleToFill',
				interval: 5,
				loop: true,
				fixedOn: api.frameName,
				fixed: false
			}, function (ret, err){
				if (ret.status && ret.eventType == 'click') {
					var hrefObj = urlObjs[ret.index];
					var url = hrefObj.sUrl;
					if (url != '') {
						if (url.indexOf('http://') > -1) {//打开远程H5
							com.openWebContainer({
								pageParam: {
									url: url + api.deviceId,
									rightBar: {  //右侧按钮
										css: {},
										text: '',
										action: ''
									},
									header: hrefObj.sTitle
								}
							});
						} else {
							switch (hrefObj.sUrl) {
								case 'ask':
									api.openWin({
										name: 'askForHelp',
										url: conf.appHrefURL + 'html/askForHelp/index_window.html'
									});
									break;
								case 'vip':
									gtl.vip.index();
									break;
								case 'senior':
									gtl.senior.list();
									break;
							}
						}
					}

				}
			});
		}
	});
}
//获取话题列表
function pGetTopicList(){
	dc.topic.indexList(function (ret){
		if (ret.status.code == 1) {
			var data = ret.info;
			var ractive = new Ractive({
				el: '#scrollContainer',
				template: '#scrollTemplate',
				data: {
					data: data
				}
			});
			swiper = new Swiper('.swiper-container', {
				paginationClickable: true,
				direction: 'vertical',
				loop: true,
				autoplay: 2000
			});
		}
	});
}
//获取求解答列表数据
function pGetAskList(callback){
	dc.ask.getAskList({
		lType: 1,
		PaginationID: PaginationID
	}, function (ret, err){
		if (ret.status.code == 1) {
			//记录分页ID
			PaginationID = ret.info.PaginationID;
			listData = $.merge(listData, ret.info.arrAsk);
			if (ret.info.arrAsk.length < conf.ajaxOnePageMax) {
				loadMore = false;
				$('.s-loaddatafromserver').hide();
			} else {
				loadMore = true;
				$('.s-loaddatafromserver').show();
			}
			var nodataObj = $('.ai-nodata');
			listData.length == 0 ? nodataObj.show() : nodataObj.hide();
			dc.log('首页列表填充数组', listData);
			pAskListRactive.update('listData');
		}
		try {
			callback();
		} catch (e) {
		}
		com.hideAPPLoadingAction();
	});
}
//下拉刷新方法
function pPulldownRefresh(){
	dc.log('首页刷新', '');
	listData = [];
	PaginationID = 0;
	loadMore = true;
	$('.s-loaddatafromserver').show();
	//重新获取话题数据
	pGetTopicList();
	swiper.stopAutoplay();
	//获取滚动图片
	pGetScrollImages();
	//获取提问列表
	pGetAskList(function (){
		pGetScrollImages();
		api.refreshHeaderLoadDone();
		pAskListRactive = new Ractive({
			el: '#listContainer',
			template: '#listTemplate',
			data: {
				listData: listData
			}
		});
		if (listData.length < conf.ajaxOnePageMax) {//没有数据了
			loadMore = false;
			$('.s-loaddatafromserver').hide();
		}
		var nodataObj = $('.ai-nodata');
		listData.length == 0 ? nodataObj.show() : nodataObj.hide();
	});
}

//打开话题
function openFindTopic(){
	api.openWin({
		name:'find',
		url:conf.appHrefURL+'html/find/topic_win.html'
	})
}


//打开复试
function openfushi(){
	api.openWin({
		name: 'tiaoji',
		url: conf.appHrefURL+'html/fushitiaoji/tiaoji_win.html'
	});
}









