/**
 * Created by chenyikun on 2015/9/24.
 */
//成员列表
var memberList = [];
apiready = function () {
    $('#header span').html(api.pageParam.header);
    com.pageGetData(pInit);//页面初始化
    api.addEventListener({//监听选择成员广播
        name: 'selectGroupMemberSuccess'
    }, function (ret) {
        com.showProgress();
        var data = ret.value.data;
        dc.memberGroup.addGroupMembers({
            GroupID: api.pageParam.id,
            MemberID: data
        }, function (ret, err) {
            if (ret) {
                pInit();//重新填充数据
            } else {
                com.hideProgress();
            }
        });
    });
}

//设置按钮样式
function pSetBtnCss() {
    //设置按钮的样式
    var imageHeight = ((api.winWidth-10)/4-10)*0.86;
    $('.p-users-action').css({
        height: imageHeight + 'px',
        width: imageHeight + 'px',
        lineHeight: imageHeight + 'px'
    });
    $('.p-reduce').css({
        position: 'absolute',
        top: imageHeight * 0.52,
        left: imageHeight * 0.5,
        marginTop: '-1px',
        marginLeft: '-' + imageHeight * 0.08 + 'px'
    });
    //设置按钮点击
    $('.p-users').on('click', function () {
        $('.p-btn-delicon').hide();
    }).find('.mui-col-xs-3').on('click', function (event) {
        //阻止事件冒泡
        event.stopPropagation();
    }).find('.p-icon-reduce').on('click', function () {
        $('.p-btn-delicon').show();
    });
}
//页面初始化
function pInit() {
    var header = $api.byId('header');
    com.pageStatusDel(header);
    pGetData();//获取页面数据
}
//获取页面数据
function pGetData() {
    dc.memberGroup.getGroupMemberList({
        GroupID: api.pageParam.id
    }, function (ret, err) {
        if (ret.status.code == 1) {//获取数据成功
            var data = ret.info;
            memberList = data.arrMember;
            if (data.sLogo != '') {//群头像
                $('#groupAvatar').attr('src', data.sLogo);
            }
            if (data.bTop == 1) {//置顶
                $('#pTop').addClass('mui-active');
            }
            if (data.bRemind == 0) {//免打扰
                $('#pRemind').addClass('mui-active');
            }
            var ractive = new Ractive({
                el: '#listContainer',
                template: '#listTemplate',
                data: {
                    listData: memberList,
                    isAdmin: data.AdminMemberID == com.userInfo.member.ID ? 'block' : 'none'
                }
            });
            pSetBtnCss();
            $('#listContainer').show();
            com.hideProgress();
        }
    });
}
//添加成员
function pAddMember() {
    api.openWin({
        name: 'addGroupMember',
        url: conf.appHrefURL+'html/message/contactList.html',
        pageParam: {
            type: 'add'
        }
    });
}
//删除成员
function pDelThisMember(id, index) {
    if (id == com.userInfo.member.ID) {//删除管理员
        api.toast({masg: '不能删除你自己哦'});
        return;
    }
    com.confirm({
        title: '温馨提示',
        msg: '确认删除该成员',
        buttons: ['确定', '取消']
    }, function (ret, err) {
        if (ret.buttonIndex == 1) {//点击了确定
            dc.memberGroup.removeGroupMember({
                GroupID: api.pageParam.id,
                MemberID: id
            }, function (ret, err) {
                if (ret) {
                    memberList.baoremove(index);
                }
            });
        }
    });
}
//聊天置顶
function pTabTop() {
    var isTop = $('#pTop').hasClass('mui-active') ? 1 : 0;
    dc.memberGroup.setGroupTop({
        GroupID: api.pageParam.id,
        bTop: isTop
    }, function (ret, err) {
        //api.toast({msg:ret.status.message});
    });
}
//聊天免打扰
function pTabRemind() {
    var isRemind = $('#pRemind').hasClass('mui-active') ? 0 : 1;
    //融云设置免打扰
    var rong = api.require('rongCloud');
    rong.setConversationNotificationStatus({
        conversationType: 'GROUP',
        targetId: api.pageParam.id,
        notificationStatus: $('#pRemind').hasClass('mui-active') ? 'DO_NOT_DISTURB' : 'NOTIFY'
    }, function (ret, err) {
        if (ret.status == 'success') {
            dc.memberGroup.setGroupRemind({
                GroupID: api.pageParam.id,
                bRemind: isRemind
            }, function (ret, err) {
                //api.toast({msg:ret.status.message});
            });
        }
    });
}
//删除并推出群组
function pQuitGroup() {
    com.confirm({
        title: '温馨提示',
        msg: '确认推出该群组',
        buttons: ['确定', '取消']
    }, function (ret, err) {
        if (ret.buttonIndex == 1) {//点击了确定
            api.closeToWin({
                name: 'main'
            });
            api.require('db').executeSql({
                name: 'message',
                sql: 'DELETE FROM ConversationList WHERE senderUserId=\'' + api.pageParam.id + '\' AND memberId=\'' + com.userInfo.member.ID + '\''
            }, function (ret, err) {

            });
            dc.memberGroup.removeGroupMember({
                GroupID: api.pageParam.id,
                MemberID: com.userInfo.member.ID
            }, function (ret, err) {
                if (ret.status.code == 1) {
                    api.closeWin();
                }
            });
        }
    });
}