/**
 * Created by bear on 2015/10/18 0018.
 */
$(function(){
    if(iosControl){
        $(".iosConKey").hide();
    }
});
apiready = function () {
    var header = $api.byId('header');
    com.pageStatusDel(header);
    com.pageGetData();
}
//选择充值方式
function pTabPayType(obj) {
    $(obj).addClass('czi-active').siblings().removeClass('czi-active');
}
//确定支付
function pBtnConfirmPay() {
    var num = $('#inputValue').val();
    var type = $('.czi-selecttype li.czi-active').attr('data-type');
    if (type == 'aliPay') {
        pPayByAliPay(num);
    }
}
//输入框验证
function pCheckInput() {
    var num = $('#inputValue').val();
    if ('' == num) {//请输入数字
        //alert('请输入数字');
        hideBackdrop(false);
    } else if (!(num > 0)) {//请输入大于0的数
        //alert('请输入大于0的数');
        hideBackdrop(false);
    } else if ((num * 100 + '').indexOf('.') > -1) {//请勿输入2位小数
        //alert('请勿保留1位小数');
        hideBackdrop(false);
    } else {//历尽千辛万苦终于到达这里了，success
        hideBackdrop(true);
    }
    function hideBackdrop(b) {
        b == false ? $('#footerBackdrop').show() : $('#footerBackdrop').hide();
    }
}
//支付宝支付
function pPayByAliPay(num) {
    var aliPay = api.require('aliPay');
    var subject = '您将通过支付宝充值' + num + '元';
    var body = '您将通过支付宝充值' + num + '元';
    var amount = num;
    aliPay.config({
        partner: conf.app.aliPay.partner,
        seller: conf.app.aliPay.seller,
        rsaPriKey: conf.app.aliPay.rsaPriKey,
        rsaPubKey: conf.app.aliPay.rsaPubKey,
        notifyURL: conf.app.aliPay.notifyURL
    }, configCallback);
    //配置回调
    function configCallback(configRet, err) {
        if (configRet.status == 1) {//配置成功
            dc.wallet.order({
                PaymentID: 'alipay',
                fAmt: amount
            }, function (getOrderRet) {
                if (getOrderRet.status.code == 1) {
                    aliPay.pay({
                        subject: subject,
                        body: body,
                        amount: amount,
                        tradeNO: getOrderRet.info.sCode
                    }, function (payRet, err) {
                        if (payRet.statusCode == 9000) {//充值成功
                            api.sendEvent({
                                name: 'chongzhiSuccess'
                            });
                            com.alert({
                                msg: '充值成功'
                            }, function () {
                                com.closeThisWindow();
                            });
                        } else if (payRet.statusCode == 6001) {//用户取消了操作

                        } else {
                            com.alert({msg: payRet.msg});
                        }
                    });
                }
            });

        } else {
            dc.log('支付宝配置出错',err)
            //com.alert({msg:JSON.stringify(err)});
        }
    }
}
//获取订单号
function getOrderNo(){
    var date = new Date();
    var str = 'A';
    str += date.getFullYear();
    str += parseInt(date.getMonth())<10?'0'+parseInt(date.getMonth()):date.getMonth();
    str += parseInt(date.getDay())<10?'0'+parseInt(date.getDay()):date.getDay();
    str += parseInt(date.getHours())<10?'0'+parseInt(date.getHours()):date.getHours();
    str += parseInt(date.getMinutes())<10?'0'+parseInt(date.getMinutes()):date.getMinutes();
    str += parseInt(date.getSeconds())<10?'0'+parseInt(date.getSeconds()):date.getSeconds();
    str += parseInt(Math.random()*1000000);
    dc.log('订单编号',str);
    return str;
}