/**
 * Created by chenyikun on 2015/10/8.
 */
var listRactive;
var selectResRactive;
var selectLength;//选择层数
//选择结果数组
var selectRes = {
	province: {
		ID: '',
		sName: ''
	},
	school: {
		ID: '',
		sName: ''
	},
	college: {
		ID: '',
		sName: ''
	},
	special: {
		ID: '',
		sName: ''
	}
};
//省份数据数组
var arrProvinceData = [];
//学校数据数组
var arrSchoolData = [];
//学院数据数组
var arrCollegeData = [];
apiready = function (){
	selectLength = api.pageParam.selectLength || 4;
	if (api.pageParam.selectType == false) {
		$('#selectType').hide();
		$('#selectSpecialID').show();
	} else{
		$('#selectType').show();
		$('#selectSpecialID').hide();
	}
	pGetProvince();
	com.pageGetData();
	$('.mui-backdrop').on('click', function (){
		//点击空白处
		/* com.confirm({
		 title: '提示',
		 msg: '确认取消选择',
		 buttons: ['确定', '取消']
		 }, function (ret, err) {
		 if (ret.buttonIndex == 1) {*/
		pSelectEndAndBack({
			status: false
		});
		/*      }
		 });*/
	}).find('.p-content').on('click', function (event){
		event.stopPropagation();//阻止事件冒泡
	});
};
//选择成功
function pReturnSucceed(type, name){
	if (type == 'pro') {
		if (com.userInfo.member.SpecialityID == '') {
			com.alert({
				msg: '您尚未选择专业'
			}, function (){
				pSelectEndAndBack({
					status: true,
					id: '',
					name: '全部'
				});
			});
		} else {
			pSelectEndAndBack({
				status: true,
				id: com.userInfo.member.SpecialityID,
				name: com.userInfo.member.sSpeciality
			});
		}
	} else if (type == 'other') {
		$('#selectType').hide();
		$('#selectSpecialID').show();
		if (arrProvinceData.length == 0) {
			com.showProgress();
		}
	} else {
		pSelectEndAndBack({
			status: true,
			id: type,
			name: name
		});
	}
}
//根据情况设定模态框位置
function pSetModalPosition(){
	var mainObj = $('#selectSpecialID');
	var mainObjHeight = mainObj.height();
	mainObj.css({
		top: '50%',
		marginTop: '-' + mainObjHeight / 2 + 'px'
	});
}
//获取省份
function pGetProvince(){
	if (arrProvinceData.length > 0) {
		listRactive = new Ractive({
			el: '#listContainer',
			template: '#listTemplate',
			data: {
				listData: arrProvinceData
			}
		});
		pSetModalPosition();//根据情况设定模态框位置
		bindClick();//绑定点击事件
		com.hideProgress();
		return;
	}

	arrProvinceData = conf.app.provinceData;
	listRactive = new Ractive({
		el: '#listContainer',
		template: '#listTemplate',
		data: {
			listData: arrProvinceData
		}
	});
	pSetModalPosition();//根据情况设定模态框位置
	bindClick();//绑定点击事件

	//绑定点击事件
	function bindClick(){
		$('#listContainer li').on('click', function (){
			com.showProgress();
			arrSchoolData = [];
			arrCollegeData = [];
			selectRes.school.ID = '';
			selectRes.school.sName = '';
			selectRes.college.ID = '';
			selectRes.college.sName = '';
			var id = $(this).attr('data-id');
			var name = $(this).html();
			if (selectLength == 1) {
				api.hideProgress();
				pSelectEndAndBack({
					status: true,
					id: id,
					name: name
				});
			}
			selectRes.province.ID = id;
			selectRes.province.sName = name;
			selectResRactive = new Ractive({
				el: '#selectResContainer',
				template: '#selectResTemplate',
				data: {
					listData: selectRes
				}
			});
			pGetSchoolByProvinceID(id);//根据省份获取学校
		});
	}
}
//根据省份获取学校
function pGetSchoolByProvinceID(id){
	if (arrSchoolData.length > 0) {
		listRactive = new Ractive({
			el: '#listContainer',
			template: '#listTemplate',
			data: {
				listData: arrSchoolData
			}
		});
		if (arrSchoolData.length == 0) {
			api.toast({ msg: '该省份下没有大学数据，请选择其他省份' });
		}
		pSetModalPosition();//根据情况设定模态框位置
		bindClick();//绑定点击事件
		com.hideProgress();
		return;
	}
	dc.baseData.getSchoolByProvinceById({
		ProvinceID: id
	}, function (ret, err){
		com.hideProgress();
		if (ret.status.code == 1) {
			arrSchoolData = ret.info.arrUniversity;
			if (arrSchoolData.length == 0) {
				api.toast({ msg: '该省份下没有大学数据，请选择其他省份' });
			}
			listRactive = new Ractive({
				el: '#listContainer',
				template: '#listTemplate',
				data: {
					listData: ret.info.arrUniversity
				}
			});
			pSetModalPosition();//根据情况设定模态框位置
			bindClick();//绑定点击事件
		}
	});
	//绑定点击事件
	function bindClick(){
		$('#listContainer li').on('click', function (){
			com.showProgress();
			arrCollegeData = [];
			selectRes.college.ID = '';
			selectRes.college.sName = '';
			var id = $(this).attr('data-id');
			var name = $(this).html();
			if (selectLength == 2) {
				api.hideProgress();
				pSelectEndAndBack({
					status: true,
					id: id,
					name: name
				});
			}
			selectRes.school.ID = id;
			selectRes.school.sName = name;
			selectResRactive = new Ractive({
				el: '#selectResContainer',
				template: '#selectResTemplate',
				data: {
					listData: selectRes
				}
			});
			pGetCollegeBySchoolID(id);//根据学校id获取学院
		});
	}
}
//根据学校id获取学院
function pGetCollegeBySchoolID(id){
	if (arrCollegeData.length > 0) {
		listRactive = new Ractive({
			el: '#listContainer',
			template: '#listTemplate',
			data: {
				listData: arrCollegeData
			}
		});
		if (arrCollegeData.length == 0) {
			api.toast({ msg: '该大学下没有学院数据，请选择其他学校' });
		}
		pSetModalPosition();//根据情况设定模态框位置
		bindClick();//绑定点击事件
		com.hideProgress();
		return;
	}
	dc.baseData.getCollegeBySchoolID({
		UniversityID: id
	}, function (ret, err){
		com.hideProgress();
		if (ret.status.code == 1) {
			arrCollegeData = ret.info.arrCollege;
			if (arrCollegeData.length == 0) {
				api.toast({ msg: '该大学下没有学院数据，请选择其他学校' });
			}
			listRactive = new Ractive({
				el: '#listContainer',
				template: '#listTemplate',
				data: {
					listData: ret.info.arrCollege
				}
			});
			pSetModalPosition();//根据情况设定模态框位置
			bindClick();//绑定点击事件
		}
	});
	//绑定点击事件
	function bindClick(){
		$('#listContainer li').on('click', function (){
			com.showProgress();
			var id = $(this).attr('data-id');
			var name = $(this).html();
			if (selectLength == 3) {
				api.hideProgress();
				pSelectEndAndBack({
					status: true,
					id: id,
					name: name
				});
			}
			selectRes.college.ID = id;
			selectRes.college.sName = name;
			selectResRactive = new Ractive({
				el: '#selectResContainer',
				template: '#selectResTemplate',
				data: {
					listData: selectRes
				}
			});
			pGetSpecialByCollegeID(id);//根据学院id获取专业
		});
	}
}
//根据学院id获取专业
function pGetSpecialByCollegeID(id){
	dc.baseData.getSpecialByCollegeID({
		CollegeID: id
	}, function (ret, err){
		com.hideProgress();
		if (ret.status.code == 1) {
			var data = ret.info.arrSpeciality;
			listRactive = new Ractive({
				el: '#listContainer',
				template: '#listTemplate',
				data: {
					listData: ret.info.arrSpeciality
				}
			});
			if (data.length == 0) {
				api.toast({ msg: '该学院下没有专业数据，请选择其他学院' });
			}
			pSetModalPosition();//根据情况设定模态框位置
			$('#listContainer li').on('click', function (){
				var id = $(this).attr('data-id');
				var name = $(this).html();
				selectRes.special.ID = id;
				selectRes.special.sName = name;
				pSelectEndAndBack({
					status: true,
					id: id,
					name: name
				});
				selectResRactive = new Ractive({
					el: '#selectResContainer',
					template: '#selectResTemplate',
					data: {
						listData: selectRes
					}
				});
			});
		}
	});
}
//选择结束
function pSelectEndAndBack(option){
	api.hideProgress();
	//发送事件
	api.sendEvent({
		name: 'selectSpecialEnd',
		extra: {
			status: option.status,
			id: option.id,
			name: option.name,
			comeFrom: api.pageParam.comeFrom,
			extra: selectRes
		}
	});
	api.closeFrame({
		name: api.frameName
	});
}