/**
 * Created by yangjiahua on 2015/10/13.
 */
/*
 *研究生认证
 **/

/*
* 设置性别
* */
//设置性别
function setGraduateSex(){
    api.openFrame({
        name: 'mySexSetting',
        url: 'widget://html/personCenter/myInfo/mySex.html',
        bgColor: 'rgba(0,0,0,0)',
        pageParam: {
            comeFrom: 'mySex'//标识
        }
    });
};

/*
*拍照
 **/
//身份证拍照
function userGetIdPic(){
    api.actionSheet({
        title: '请选择图片',
        cancelTitle: '取消',
        buttons: ['拍照', '图库']
    }, function (ret, err) {
        if (ret.buttonIndex == 1) {
            getPhotos('camera');
        } else if (ret.buttonIndex == 2) {
            getPhotos('library');
        }
    });
    function getPhotos(type) {
        api.getPicture({
            sourceType: type,
            encodingType: 'jpg',
            mediaValue: 'pic',
            destinationType: 'base64',
            allowEdit: true,
            targetHeight: 640,
            targetWidth: 640,
            quality: 90,
            saveToPhotoAlbum: false
        }, function (ret, err) {
            if (ret) {
                dc.log('拍照照片', ret);
                var base64Data = ret.base64Data;
                $("#idImg").attr('src', base64Data);
            } else {
                //com.alert({msg: err.msg});
            }
        });
    }
};
/*
*学历拍照
**/
function userGetStPic(){
    api.actionSheet({
        title: '请选择图片',
        cancelTitle: '取消',
        buttons: ['拍照', '图库']
    }, function (ret, err) {
        if (ret.buttonIndex == 1) {
            getPhotos('camera');
        } else if (ret.buttonIndex == 2) {
            getPhotos('library');
        }
    });
    function getPhotos(type) {
        api.getPicture({
            sourceType: type,
            encodingType: 'jpg',
            mediaValue: 'pic',
            destinationType: 'base64',
            allowEdit: true,
            targetHeight: 640,
            targetWidth: 640,
            quality: 90,
            saveToPhotoAlbum: false
        }, function (ret, err) {
            if (ret) {
                dc.log('拍照照片', ret);
                var base64Data = ret.base64Data;
                $("#stImg").attr('src', base64Data);
            } else {
                //com.alert({msg: err.msg});
            }
        });
    }
};
//硕士学院选择
function setYourGraduate(){
    api.openFrame({
        name: 'myGraduateSetting',
        url: 'widget://html/modules/selectSpecialID.html',
        bgColor: 'rgba(0,0,0,0)',
        pageParam: {
            comeFrom: 'myGraduate',//标识
            selectType:false,
            selectLength:2
        }
    });
};
//硕士监听返回事件
apiready = function () {
    com.pageGetData(function () {
    });
    api.addEventListener({
        name: 'mySexSetting'
    }, function (ret, err) {
        var $sex=$(".sex-value");
        if ( ret.value.comeFrom == 'mySex') {//接收标识
            $sex.text(ret.value.sex);
        }
    });
    api.addEventListener({
        name: 'selectSpecialEnd'
    }, function (ret, err) {
        if (ret.value.status) {
            ////接收本科院校监听事件
            if (ret.value.comeFrom == 'myGraduate') {
                $(".master-value").text(ret.value.name);
                $(".master-value").attr("data-UniversityID",ret.value.id);
            }
        }
    });
}
//时间选择
//$(function(){
//    $("#con .same .unsame input").on("click",function(){
//       $(this).next("span").text("");
//    });
//})
$(function() {
    $("input[type=date]").change(function () {
        var val = $(this).val();
        $(this).siblings("div").find("span").text(val);
    })
});

/*
*发送申请研究生数据
* */
function PostApplySenior(){
    var  defaultPic=$("#idImg").attr('src');
    var undefaultPic=defaultPic.replace('data:image/jpeg;base64,', '');
    var vain='';
    var idImgUrl=(defaultPic=="../../image/person/id-img.png")?vain:undefaultPic;//身份证图片地址
    var stPic=$("#stImg").attr("src");
    var unStPic=stPic.replace('data:image/jpeg;base64,', '');
    var stImgUrl=(stPic=="../../image/person/st-img.png")?vain:undefaultPic;//毕业证图片地址
    var sName=$("#username").val();//姓名
    var SexID=$(".sex-value").attr("data-SexID");//性别
    var dBirthday=$("#birth-value").val();//出生日期
    var SpecialityID=$(".master-value").attr("data-UniversityID");//专业ID
    var dSenior=$("#admitted-value").val();//考上日期
    var sIDPic=idImgUrl;//身份证图片
    var sCertPic=stImgUrl;//毕业证图片
    com.showProgress({title:"提交中···"});//提交中
    dc.user.applySenior({
        sName:sName,
        SexID:SexID,
        dBirthday:dBirthday,
        SpecialityID:SpecialityID,
        dSenior:dSenior,
        sIDPic:sIDPic,
        sCertPic:sCertPic
    },function(ret, err){
        if (ret.status.code == 1){
            com.hideProgress();
            dc.log("个人中心编辑",ret.info);
            api.toast({msg: '提交成功',duration:2000,location: 'middle'});
            setTimeout('com.closeThisWindow()',2000);
        }else{
            com.hideProgress();
            api.toast({msg: '提交失败',duration:2000,location: 'middle'});
        };

    })
};

/*
 *页面切换
 **/
$(function(){
    var $btn=$("#btn");
    $btn.on("click",function(){
        if ($("#username").val() == '') {
            api.toast({msg: '姓名不得为空',location: 'middle'});
            return;
        }
        if ($(".sex-value").text() == '请选择') {
            api.toast({msg: '性别不得为空',location: 'middle'});
            return;
        }
        if ($(".master-value").text() == '请选择') {
            api.toast({msg: '学院不得为空',location: 'middle'});
            return;
        }
        if ($("#birth-value").val() == '') {
            api.toast({msg: '出生日期不得为空',location: 'middle'});
            return;
        }
        if ($("#admitted-value").val() == '') {
            api.toast({msg: '考上日期不得为空',location: 'middle'});
            return;
        }
        $(this).parent("#con").hide();
        $("#page-two").show();
    });
});

