/**
 * Created by yangjiahua on 2015/10/16.
 */
//页面初始化
apiready = function(){
    api.addEventListener({
        name: 'MessagePromptsConcern'
    }, function(ret){
        //alert(ret.value);
        if(ret.value.key==='MessagePrompts'){
            window.location.reload();
        }
    });
    com.showProgress();
    com.pageGetData(function () {
        getHomeData();
    });
    var $header = $api.byId('header');
    var headerPos = $api.offset($header);
    var main = $api.byId('main');
    var mainPos = $api.offset(main);
    var foot = $api.byId('foot');
    var footPos = $api.offset(foot);
    //获取个人主页数据
   function getHomeData(){
    var url;
    var homeData;
    var sexIcon;
    var studentType;
    var memberID = api.pageParam.memberID;
    dc.user.userHome({
        ID:memberID
    }, function (ret, err) {
        com.hideProgress();
        homeData = ret.info;

        sexIcon=ret.info.member.SexID;
        var userId=homeData.member.ID;
        var myId=com.userInfo.member.ID;
        studentType=homeData.member.StudentTypeID;
        dc.log('个人主页数据', homeData);
        var frameGroupHeight =  mainPos.h;

        if( studentType=="senior"){//学长
            gtl.senior.detail({
                ID:homeData.member.ID
            });

            $("#student").hide();
            $("#seniors").show();
            if(userId!=myId){
                $("#foot").show();
                frameGroupHeight -= 40;
                if(homeData.bFriend == 1){
                    $('#btnFriendAction span').html('已关注').siblings().hide();
                }else{
                    $('#btnFriendAction span').html('关注').siblings().show();
                }
            }
            //打开页面组
            api.openFrameGroup({
                name: 'senior',
                bounces: true,
                bgColor:'#f8f8f8',
                scrollEnabled:false,
                rect: {
                    x: 0,
                    y: mainPos.t,
                    w: mainPos.w,
                    h: frameGroupHeight
                },
                frames: [
                    {
                        name: 'seniorHome',//简介
                        url: conf.appHrefURL+'html/personHomePage/seniorHome.html',
                        pageParam: {
                            homeData:homeData,
                            memberID:api.pageParam.memberID
                        }
                    },
                    {
                        name: 'seniorAnswer',//回答
                        url: conf.appHrefURL+'html/personHomePage/seniorAnswer.html',
                        pageParam: {
                            homeData:homeData,
                            memberID:api.pageParam.memberID
                        }
                    },
                    {
                        name: 'seniorTopic',//话题
                        url: conf.appHrefURL+'html/personHomePage/seniorTopic.html',
                        pageParam: {
                            homeData:homeData,
                            memberID:api.pageParam.memberID
                        }
                    }
                ]
            }, function (ret) {
                //样式效果
                //setTimeout(api.closeWin,1500);
                //return;
            });
        }else{//学生
            $("#student").show();
            $("#seniors").hide();
            if(userId==myId){
                $("#foot").show();
                frameGroupHeight -= 40;
            }
            //打开页面组
            api.openFrameGroup({
                name: 'student',
                bounces: true,
                bgColor:'#f8f8f8',
                scrollEnabled:false,
                rect: {
                    x: 0,
                    y: mainPos.t,
                    w: mainPos.w,
                    h: frameGroupHeight
                },
                frames: [
                    {
                        name: 'studentAsk',//提问
                        url: conf.appHrefURL+'html/personHomePage/studentAsk.html',
                        pageParam: {
                            homeData:homeData,
                            memberID:api.pageParam.memberID
                        }
                    },
                    {
                        name: 'studentAdopt',//采纳
                        url: conf.appHrefURL+'html/personHomePage/studentAdopt.html',
                        pageParam: {
                            homeData:homeData,
                            memberID:api.pageParam.memberID
                        }
                    },
                    {
                        name: 'studentTopic',//话题
                        url: conf.appHrefURL+'html/personHomePage/studentTopic.html',
                        pageParam: {
                            homeData:homeData,
                            memberID:api.pageParam.memberID
                        }
                    }
                ]
            }, function (ret) {
                //样式效果
            });
        }
    });
   }
};
//好友操作
function pFriendAction(obj){
    var txt = $(obj).find('span').html();
    if(txt == '关注'){//点击添加好友
        $(obj).find('span').html('<span class="s-loadingcircle" style="margin-top: 5px;"><span class="s-loadingcirclespan"></span></span>').siblings().hide();
        dc.myFriend.add({
            MemberID:api.pageParam.memberID
        },function(ret,err){
            if(ret.status.code == 1){
                $(obj).find('span').html('已关注').siblings().hide();
                api.sendEvent({
                    name: 'MessagePromptsConcern',
                    extra: {
                        key: 'MessagePrompts'
                    }
                });
            }else{
                api.toast({msg:'添加失败，请重试'});
                $(obj).find('span').html('关注').siblings().show();
            }
        });
    }else if(txt == '已关注'){//删除好友
        com.confirm({
            title: '提示',
            msg: '是否取消关注？',
            buttons:['是', '否']
        },function(ret,err){
            if(ret.buttonIndex == 1){
                $(obj).find('span').html('<span class="s-loadingcircle" style="margin-top: 5px;"><span class="s-loadingcirclespan"></span></span>');
                dc.myFriend.delete({
                    MemberID:api.pageParam.memberID
                },function(ret,err){
                    if(ret.status.code == 1){
                        api.sendEvent({
                            name: 'MessagePromptsConcern',
                            extra: {
                                key: 'MessagePrompts'
                            }
                        });
                        api.toast({msg:'已删除'});
                        $(obj).find('span').html('关注').siblings().show();
                    }else{
                        api.toast({msg:'删除失败，请重试'});
                        $(obj).find('span').html('已关注').siblings().hide();
                    }
                });
            }
        });
    }
}
//打开一键助考
function pOpenYiJianZhuKao(){
    com.openWebContainer({
        pageParam: {
            url: conf.url.mall.yiJianZhuKao + '?SID=' + api.deviceId,
            rightBar: {  //右侧按钮
                css: {},
                text: '',
                action: ''
            },
            header: '一键助考'
        }
    });
}
//发布求解答
function pPublishAsk(){
    api.openWin({
        name:'askForHelpPublish',
        url:conf.appHrefURL+'html/askForHelp/publish.html'
    });
}
//发布求解答
function pPublishTopic(){
    com.openWebContainer({
        pageParam: {
            url: conf.url.discover.publish + '?SID=' + api.deviceId,
            rightBar: {  //右侧按钮
                css: {},
                text: '',
                action: ''
            },
            header: '发布话题'
        }
    });
}