/**
 * Created by yangjiahua on 2015/10/13.
 */
var studentData = [];
var ID;
var PaginationID = 0;
var loadMore = true;
var listData = [];//页面数据
var listRactive;
//Ractive.js对象创建
apiready = function () {
    var $header = $api.byId('header');
    com.pageStatusDel($header);
    if(api.systemType == 'ios'){
        $('#studentContainer').css('padding-top','64px');
    }
    listRactive = new Ractive({
        el: '#listContainer',
        template: '#listTemplate',
        data: {
            listData: listData
        }
    });
    com.pageGetData(function () {
        getStudentList();
        pGetData();
    });
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f8f8f8',
        textColor: '#999',
        textDown: '下拉可以刷新...',
        textUp: '松开刷新...',
        textLoading: '刷新中',
        showTime: true
    }, function (ret, err) {
        //从服务器加载数据，完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        pRefresh();
        //location.reload()
    });
    //api.refreshHeaderLoadDone();
    api.addEventListener({
        name: 'scrolltobottom',
        extra: {
            threshold: 50            //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function () {
        if (loadMore) {
            loadMore = false;
        } else {
            return;
        }
        pGetData();
    });
};
//获取个人主页数据
function getStudentList(callback) {
    var data = api.pageParam.homeData;
    studentData = data;
    var userId = data.member.ID;
    var myId = com.userInfo.member.ID;
    var studentHomeRactive = new Ractive({
        el: '#studentContainer',
        template: '#studentTemplate',
        data: {
            listData: studentData
        }
    });
    if (userId != myId) {
        $("#foot").hide();
        $('.s-borderbottom .question p').html('他的提问');
    }
}
//学长子页面切换
function pageChange(obj, index) {
    api.setFrameGroupIndex({
        name: 'student',
        index: index
    });
}
//获取页面数据
function pGetData(callback) {
    dc.ask.myAsk({
        MemberID: api.pageParam.memberID,
        PaginationID: PaginationID
    }, function (ret, err) {
        if (ret.status.code == 1) {
            var data = ret.info.arrAsk;
            dataAction(data, ret.info.PaginationID, 'ask');
        }
    });

    function dataAction(data, id, type) {
        if (data.length == 0) {//没有数据了
            if (PaginationID == 0) {//第一次加载就没有数据
                //api.toast({msg: '暂时没有提问'});
                $('.p-bottom-noanswer').show();
                $('#first').html(type == 'ask' ? '你暂时没有提问，快去提问吧' : '你暂时没有回答，快去回答吧');
                $('#loadingMore').hide();
            } else {//没有更多数据了
                loadMore = false;
                api.toast({msg: '没有更多数据了'});
            }
        } else {
            loadMore = true;
            PaginationID = id;
            if (data.length < conf.ajaxOnePageMax) {//获取数据小于ajax请求的一页数目，隐藏加载动画
                $('#loadingMore').hide();
            }
            $.each(data, function (i, item) {
                if (item.bClosed == 1 && item.bAnswered != 1) {//已关闭
                    item.statusClass = 'p-unAdopt';
                    item.statusText = '已关闭';
                } else if (item.bAnswered == 1) {//已解决
                    item.statusClass = 'p-solved';
                    item.statusText = '已解决';
                } else /*if(item.bAnswered == 0)*/{//未解决
                    item.statusClass = 'p-unsolved';
                    item.statusText = '未解决';
                }
            });
            listData = $.merge(listData, data);
            listRactive.update('listData');
            if (type == 'answer') {
                $('.p-hot-status-time.p-border').hide();
            }
            $('#listContainer').show();
        }
        try {
            callback();
        } catch (e) {
        }
    }
}

//刷新页面
function pRefresh() {
    listData = [];
    PaginationID = 0;
    pGetData(function () {
        listRactive = new Ractive({
            el: '#listContainer',
            template: '#listTemplate',
            data: {
                listData: listData
            }
        });
        if (api.pageParam.type == 'answer') {
            $('.p-hot-status-time.p-border').hide();
        }
        api.refreshHeaderLoadDone();
    });
}

function goToMyMotto() {
    var motto=api.pageParam.homeData.member.sSignature;
    api.openWin({
        name: 'myMotto',
        url: '../../html/personCenter/myInfo/myMottoContainer.html',
        pageParam: {
            myMotto:motto
        }
    });
}