/**
 * Created by yangjiahua on 2015/10/13.
 */
var studentData = [];
var ID;
var PaginationID = 0;
var loadMore = false;
var listData = [];//页面数据
var listRactive;
var motto;
//Ractive.js对象创建
apiready = function () {
    var $header = $api.byId('header');
    com.pageStatusDel($header);
    if(api.systemType == 'ios'){
        $('#studentContainer').css('padding-top','64px');
    }
    listRactive = new Ractive({
        el: '#topicCon',
        template: '#listTemplate',
        data: {
            listData: listData
        }
    });
    com.pageGetData(function () {
        getStudentList();
        pGetData();
    });
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#f8f8f8',
        textColor: '#999',
        textDown: '下拉可以刷新...',
        textUp: '松开刷新...',
        textLoading: '刷新中',
        showTime: true
    }, function (ret, err) {
        //从服务器加载数据，完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        pRefresh();
        //location.reload()
    });
    //api.refreshHeaderLoadDone();
    api.addEventListener({
        name: 'scrolltobottom',
        extra: {
            threshold: 50            //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function () {
        if (loadMore) {
            loadMore = false;
        } else {
            return;
        }
        pGetData();
    });
};
//获取个人主页数据
function getStudentList(callback) {
    var data = api.pageParam.homeData;
    studentData = data;
    var userId = data.member.ID;
    var myId = com.userInfo.member.ID;
    var studentHomeRactive = new Ractive({
        el: '#studentContainer',
        template: '#studentTemplate',
        data: {
            listData: studentData
        }
    });
    if (userId != myId) {
        $("#foot").hide();
        $('.s-borderbottom .question p').html('他的提问');
    }
}
//学长子页面切换
function pageChange(obj, index) {
    api.setFrameGroupIndex({
        name: 'student',
        index: index
    });
}
//获取页面数据
function pGetData(callback) {
    dc.user.myTopic({
        ID:api.pageParam.memberID,
        PaginationID:PaginationID
    },function(ret, err){
        if (ret.status.code == 1){
            PaginationID = ret.info.PaginationID;
            var data = ret.info.arrTopic;
            listData = $.merge(listData, data);
            listRactive.update('listData');
            if(data.length<conf.ajaxOnePageMax){
                loadMore = false;
            }else{
                loadMore = true;
            }
            dc.log("话题",listData);
        };
        try {
            callback();
        } catch (e) {
        }
    });
}

//刷新页面
function pRefresh() {
    listData = [];
    PaginationID = 0;
    pGetData(function () {
        listRactive = new Ractive({
            el: '#listContainer',
            template: '#listTemplate',
            data: {
                listData: listData
            }
        });
        if (api.pageParam.type == 'answer') {
            $('.p-hot-status-time.p-border').hide();
        }
        api.refreshHeaderLoadDone();
    });
}
//代开话题详情页
function pOpenTopicDetail(id){
    com.openWebContainer({
        pageParam: {
            url:conf.url.discover.detail+'?SID='+api.deviceId+'&id='+id,
            rightBar: {  //右侧按钮
                css: {},
                text: '',
                action: ''
            },
            header: '话题详情'
        }
    });
}

//跳转座右铭
function goToMyMotto() {
    var motto=api.pageParam.homeData.member.sSignature;
    api.openWin({
        name: 'myMotto',
        url: '../../html/personCenter/myInfo/myMottoContainer.html',
        pageParam: {
            myMotto:motto
        }
    });
}