/**
 * Created by chenyikun on 2015/9/22.
 */
//sms短信验证模块
var pModuleSendSMS;
var smsTimeStamp = null;
apiready = function(){
    //120秒内只能注册一次，不然会失败，注意下;
    pModuleSendSMS = api.require('sendSms');
    pModuleSendSMS.regSms({
        appkey: conf.modules.sms.appKey,
        appsecret: conf.modules.sms.appSecret
    },function(ret,err){
        dc.log('注册短信验证码模块',ret);
    });
}
//获取短信验证码
function pSendForgotsms() {
    var phoneNumber = $('#phoneNumber').val();
    if (!com.rep.checkMobile(phoneNumber)) {
        api.toast({msg: '请输入正确的手机号'});
        return;
    }
    com.showProgress();
    dc.user.sendForgotsms({
        sMobile: phoneNumber
    }, function (ret, err) {
        /*if (ret) {
            if (ret.status.code == 1) {//获取短信验证码成功
                if (smsTimeStamp != null) {
                    if ((new Date().getTime() - smsTimeStamp < 120000)) {//发送时间间隔小于120秒
                        com.hideProgress();
                        api.toast({msg: '短信发送频繁，请稍后重试'});
                        return;
                    }
                }
                pModuleSendSMS.sendMessage({
                    phone: phoneNumber
                }, function (ret, err) {
                    dc.log('发送短信验证码',ret);
                    com.hideProgress();
                    if (ret.result == "ok") {
                        smsTimeStamp = new Date().getTime();
                        api.toast({msg: "短信发送成功"});
                    } else {
                        api.toast({msg: ret.result});
                    }
                });
            } else {//获取短信验证码失败
                com.hideProgress();
                api.toast({msg: ret.status.message});
            }
        } else {
            com.hideProgress();
            api.toast({msg: ret.status.message});
        }*/

        if (ret) {
            if (ret.status.code == 1) {//短信发送成功
                com.hideProgress();
                api.toast({msg: "短信发送成功"});
            } else {//手机已经注册
                com.hideProgress();
                api.toast({msg: ret.status.message});
            }
        }
    });
}

//注册按钮点击
function pBtnFinish() {
    var phoneNumber = $('#phoneNumber').val();
    var regsms = $('#regsms').val();
    var firstPassword = $('#firstPassword').val();
    var secondPassword = $('#secondPassword').val();
    if (!com.rep.checkMobile(phoneNumber)) {//验证手机号
        api.toast({msg: '请输入11位手机号'});
        return;
    }
    if (regsms == '') {//验证手机号
        api.toast({msg: '请输入短信验证码'});
        return;
    }
    if (firstPassword != secondPassword) {
        api.toast({msg: '2次密码输入不一致'});
        return;
    }
    if (!com.rep.checkPassword(firstPassword)) {
        api.toast({msg: '请输入6-16位字母或数字密码'});
        return;
    }
    //更改验证码验证方式，原请求apicloud模块  chenwenzhen 2017-7-10 20:33:40
    com.showProgress();
    dc.user.forgotPass({
        sMobile: phoneNumber,
        sCode: regsms,
        sPass: firstPassword
    }, function (ret, err) {
        com.hideProgress();
        if (ret) {
            if (ret.status.code == 1) {//密码修改成功
                com.closeThisWindow();
            } else {//密码修改成功失败
                api.toast({msg: ret.status.message});
            }
        }
    });
}