/**
 * Created by chenyikun on 2015/9/22.
 */
//sms短信验证模块
var pModuleSendSMS;
var smsTimeStamp = null;
//切换省份
function pTabType(obj) {
    $(obj).addClass('p-on').siblings('.mui-col-xs-6').removeClass('p-on');
}
//获取服务协议
function pGetServiceAgreement() {
    com.openWebContainer({
        pageParam: {
            url: conf.url.serviceAgreement,
            name: 'agreement',
            header: '研途宝协议'
        }
    });
}

//获取短信验证码
function pSendRegsms() {
    var phoneNumber = $('#phoneNumber').val();
    if (!com.rep.checkMobile(phoneNumber)) {
        api.toast({msg: '请输入正确的手机号。'});
        return;
    }
    if (smsTimeStamp != null) {
        if ((new Date().getTime() - smsTimeStamp < 120000)) {//发送时间间隔小于120秒
            com.hideProgress();
            api.toast({msg: '短信发送频繁，请稍后重试'});
            return;
        }
    }
    com.showProgress();
    //验证手机是否注册
    dc.user.sendRegsms({
        sMobile: phoneNumber
    }, function (ret, err) {
        com.hideProgress();
        if (ret) {
            if (ret.status.code == 1) {//手机还没有注册
                //// 120秒内只能注册一次，不然会失败，注意下;
                // pModuleSendSMS = api.require('sendSms');
                // pModuleSendSMS.regSms({
                //     appkey: conf.modules.sms.appKey,
                //     appsecret: conf.modules.sms.appSecret
                // });
                // pModuleSendSMS.sendMessage({
                //     phone: phoneNumber
                // }, function (ret, err) {
                //     if (ret.result == "ok") {
                //         smsTimeStamp = new Date().getTime();
                //         api.toast({msg: "短信发送成功"});
                //     } else {
                //         api.toast({msg: ret.result});
                //     }
                // });
                api.toast({msg: "短信发送成功"});
            } else {//手机已经注册
                api.toast({msg: ret.status.message});
            }
        }
    });
}

//注册按钮点击
function pBtnRegsiter() {
    var phoneNumber = $('#phoneNumber').val();
    var regsms = $('#regsms').val();
    var firstPassword = $('#firstPassword').val();
    var secondPassword = $('#secondPassword').val();
    var nickname = $('#nickname').val();
    var studentType = $('.p-regpage .mui-pull-left.p-on').attr('data-type');
    if (!com.rep.checkMobile(phoneNumber)) {//验证手机号
        api.toast({msg: '请输入11位手机号'});
        return;
    }
    if (regsms == '') {//验证手机号
        api.toast({msg: '请输入短信验证码'});
        return;
    }
    if (firstPassword != secondPassword) {
        api.toast({msg: '2次密码输入不一致'});
        return;
    }
    if (!com.rep.checkPassword(firstPassword)) {
        api.toast({msg: '请输入6-16位字母或数字密码'});
        return;
    }
    if (nickname.replace(/\s/g, '') == '') {
        api.toast({msg: '请输入昵称'});
        return;
    }
    com.showProgress();
    dc.user.register({
        sMobile: phoneNumber,
        sCode: regsms,
        sPass: firstPassword,
        sNickName: nickname,
        sStudentType: studentType
    }, function (ret, err) {
        com.hideProgress();
        if (ret) {
            if (ret.status.code == 1) {//注册成功
                com.showProgress({
                    title: '正在自动登录',
                    text: '请稍候'
                });
                //com.closeThisWindow();
                login();
            } else {//注册失败
                api.toast({msg: ret.status.message});
            }
        }
    });
    ////短信验证码确认
    //pModuleSendSMS = api.require('sendSms');
    //pModuleSendSMS.enterCode({
    //    code: regsms
    //}, function (ret, err) {
    //    if (ret.result == "ok") {//验证成功
    //        api.toast({msg: '验证成功'});
    //        //执行注册
    //        dc.user.register({
    //            sMobile: phoneNumber,
    //            sCode: regsms,
    //            sPass: firstPassword,
    //            sNickName: nickname,
    //            sStudentType: studentType
    //        }, function (ret, err) {
    //            com.hideProgress();
    //            if (ret) {
    //                if (ret.status.code == 1) {//注册成功
    //                    com.showProgress({
    //                        title: '正在自动登录',
    //                        text: '请稍候'
    //                    });
    //                    //com.closeThisWindow();
    //                    login();
    //                } else {//注册失败
    //                    api.toast({msg: ret.status.message});
    //                }
    //            }
    //        });
    //    } else {//验证失败
    //        com.hideProgress();
    //        api.toast({msg: '验证失败'});
    //    }
    //});
    function login() {
        dc.user.login({
            sPass: firstPassword,
            sMobile: phoneNumber
        }, function (ret, err) {
            //隐藏加载动画
            com.hideProgress();
            if (ret.status) {
                if (ret.status.code == 1) {//登录成功
                    $api.setStorage('isLogin', true);
                    $api.setStorage('userInfo', ret.info);
                    api.toast({msg: '登录成功'});
                    api.openWin({
                        name: 'main',
                        url: conf.appHrefURL + 'html/main/container.html',
                        slidBackEnabled: false,
                        delay: 1000,
                        pageParam: {
                            userInfo: ret.info,
                            appBaseURL: conf.url.appBaseURL,
                            appHrefURL: conf.appHrefURL
                        }
                    });
                } else {//登录失败
                    api.toast({msg: ret.status.message});
                }
            }
        });
    }
}