/**
 * Created by chenyikun on 2015/12/3.
 感谢领导的厚爱和同事们的帮助，这是一份荣誉，更是一份激励。在今后的日子里，我将秉承团结奋进的精神更好的工作。
 */
var UIChatBox;//UIChatBox模块
var listData = [];//列表数据
var listRactive;//ractive对象
var toCalcTime = true;//是否计算时间
var calcTime;//倒计时
var getDataRefresh;
apiready = function (){
	listRactiveinit();//初始化
	getChatContent();//获取聊天信息
	pOpenUIChatBox();//打开UIChatBox
	api.setFrameAttr({
		name: api.frameName,
		bounces: false
	});
	//屏蔽聊天
	api.addEventListener({ name: 'seniorZixunChat' }, UIChatBox.close);
	//接收广播，监听红包接收成功
	api.addEventListener({
		name: 'openHongBaoSucceed'
	}, function (ret){
		var data = ret.value;
		try {
			data = JSON.parse(data);
		} catch (e) {
		}
		var id = data.id;
		$.each(listData, function (i, item){
			if (item.HongbaoID && item.HongbaoID == id) {
				item.bOpenHongbao = 1;
				return false;
			}
		});
	});
};
//初始化
function listRactiveinit(){
	listRactive = new Ractive({
		el: '#listContainer',
		template: '#listTemplate',
		data: {
			listData: listData,
			formatTypeID: function (id){
				return id == com.userInfo.member.ID ? 'senZx-right' : 'senZx-left';
			},
			expressParse: function (txt){
				return com.chatExpressionParse(txt, '../../image/UIChatBox/emotion/');
			}
		}
	});
}

//获取聊天信息
function getChatContent(){
	dc.senior.getList({
		GuideID: api.pageParam.GuideID
	}, function (ret){
		if (ret.status.code == 1) {
			var data = ret.info.arrAsk;
			//记录是否有更新内容
			var isScrollToBottom = listData.length != data.length;
			listData = data;
			//每个分钟或者有新数据刷新列表
			if (isScrollToBottom || new Date().getSeconds() == 0) {
				listRactiveinit();//填充数据
				if (isScrollToBottom) {//有更新内容
					scrollToBottom();//滚动到底部
				}
			}
			//是否已经有人回复，未评价，并且是回复者,学长有回复
			if (data.length > 0 && ret.info.bAssess != 1 && data[0].ID == com.userInfo.member.ID && $('.senZx-left').length > 0) {
				api.execScript({ name: api.winName, script: '$(".con-right").show();' });
			} else {
				api.execScript({ name: api.winName, script: '$(".con-right").hide();' });
			}
			if (toCalcTime) {
				var toastObj = $('#toastArea');
				switch (true) {
					case listData.length == 0:
						str = '请输入你的问题';
						toastObj.html(str);
						break;
					case $('.senZx-left').length == 0:
						toastObj.html('学长利用业余时间为您回复，请耐心等候');
						break;
					case ret.info.dGuideStart > 0 && toCalcTime:
						console.log('start...');
						toCalcTime = false;
						//如果计时存在就清除原有计时
						try {
							clearInterval(calcTime);
						} catch (e) {
						}
						calcTime = setInterval(function (){
							//获得剩余时间
							var endTime = parseInt(ret.info.dGuideStart) + 24 * 60 * 60 - parseInt(new Date().getTime() / 1000);
							//计时结束
							if (endTime == 0) {//清除计时
								toastObj.html('图文咨询已经结束');
								clearInterval(calcTime);
								UIChatBox.close();
								return false;
							}
							str = '距离结束还有';
							var day = Math.floor(endTime / 3600);
							var minute = Math.floor(endTime / 60 - day * 60);
							var seconds = endTime - day * 3600 - minute * 60;
							if (day > 0) {
								str += day + '小时'
							}
							if (minute > 0) {
								str += minute + '分钟';
							}
							str += seconds + '秒';
							toastObj.html(str);
						}, 1000);
						break;
				}
			}
		}
		getDataRefresh = setTimeout(getChatContent, 3000);
	});
}
//打开UIChatBox
function pOpenUIChatBox(){
	//请求UIChatBox
	UIChatBox = api.require('UIChatBox');
	UIChatBox.open({
		placeholder: '', maxRows: 4, emotionPath: 'widget://image/UIChatBox/emotion',
		styles: {
			inputBar: { borderColor: '#d9d9d9', bgColor: '#f8f8f8' },
			inputBox: { borderColor: '#B3B3B3', bgColor: '#FFFFFF' },
			extrasBtn: {
				normalImg: 'widget://image/UIChatBox/add1.png',
				activeImg: 'widget://image/UIChatBox/add1.png'
			},
			keyboardBtn: {
				normalImg: 'widget://image/UIChatBox/key1.png',
				activeImg: 'widget://image/UIChatBox/key2.png'
			},
			recordBtn: { normalBg: '#c4c4c4', activeBg: '#999999', color: '#000', size: 14 },
			indicator: { target: 'both', color: '#c4c4c4', activeColor: '#9e9e9e' }
		},
		extras: {
			titleSize: 14, titleColor: '#666',
			btns: [
				{
					title: '图片',
					normalImg: 'widget://image/UIChatBox/album.png',
					activeImg: 'widget://image/UIChatBox/album.png'
				},
				{
					title: '拍照',
					normalImg: 'widget://image/UIChatBox/cam.png',
					activeImg: 'widget://image/UIChatBox/cam.png'
				},
				{
					title: '红包',
					normalImg: 'widget://image/UIChatBox/redbag.png',
					activeImg: 'widget://image/UIChatBox/redbag.png'
				}
			]
		}
	}, function (ret){
		if (ret.eventType == 'clickExtras') {
			switch (ret.index) {
				case 0:
					pGetPictures('library');
					break;
				case 1:
					pGetPictures('camera');
					break;
				case 2:
					gtl.senior.sendRedBag(api.pageParam.GuideID);
					break;
			}
		} else if (ret.eventType == 'send') {//点击发送按钮,ret.msg输入内容
			var txt = ret.msg;
			if (txt.replace(/\s/g, '') == '') {//输入为空
				api.toast({
					msg: '请输入内容',
					location: 'middle'
				});
			} else {
				var opt = {
					"ID": com.userInfo.member.ID,
					"sContent": txt,
					"sAttach": "",
					"sAvatar": com.userInfo.member.sAvatar,
					"sNickName": com.userInfo.member.sName,
					"StudentTypeID": "examinee",
					"dNewDate": "刚刚"
				};
				listData.push(opt);
				listRactiveinit();
				scrollToBottom();//滚动到底部
				dc.senior.chat({
					sAsk: txt,
					GuideID: api.pageParam.GuideID
				}, function (ret){
				});
			}
		}

	});
	listenOnKeyborad();//监听键盘弹出
}
//监听键盘弹出
function listenOnKeyborad(){
	//监听输入框弹起事件，修改window高度
	UIChatBox.addEventListener({
		target: 'inputBar',
		name: 'move'
	}, function (ret){
		var inputHeight = (ret.inputBarHeight || 0) + ret.panelHeight - 50;
		if (inputHeight < 0) {
			inputHeight = 50;
		}
		var frameHeight = api.frameHeight - inputHeight;
		api.setFrameAttr({
			name: api.frameName,
			ret: {
				x: 0,
				y: 64,
				h: frameHeight - 50,
				w: api.winWidth
			}
		});
		if (api.systemType == 'ios') {
			$('#zxContainer').css({
				'padding-bottom': inputHeight + 'px'
			});
		}
		$('#zxContainer').css('margin-bottom', (ret.panelHeight > 1 ? 50 : 10) + 'px');
		setTimeout(function (){
			scrollToBottom();//滚动到底部
		}, 100);
	});
}

//获取图片
function pGetPictures(type){
	api.getPicture({
		sourceType: type,
		encodingType: 'jpg',
		mediaValue: 'pic',
		destinationType: 'base64',
		allowEdit: true,
		targetHeight: 640,
		targetWidth: 640,
		quality: 90,
		saveToPhotoAlbum: false
	}, function (ret, err){
		if (ret) {
			var base64Data = ret.base64Data;
			if (base64Data != '') {
				var opt = {
					"ID": com.userInfo.member.ID,
					"sContent": '',
					"sAttach": base64Data,
					"sAvatar": com.userInfo.member.sAvatar,
					"sNickName": com.userInfo.member.sName,
					"StudentTypeID": "examinee",
					"dNewDate": "刚刚"
				};
				listData.push(opt);
				listRactiveinit();
				scrollToBottom();//滚动到底部
				//处理图像数据
				base64Data = base64Data.replace('data:image/jpeg;base64,', '').replace('data:image/jpg;base64,', '');
				dc.senior.chat({
					sAttach: base64Data,
					GuideID: api.pageParam.GuideID
				}, function (ret){
				});
			}
		} else {
			//com.alert({msg: err.msg});
		}
	});
}
//查看图片
function checkPhotos(obj){
	//当前点击图片地址
	var thisImageUrl = $(obj).attr('src');
	//获取所有图片对象
	var imageObjs = $('.js-photo');
	//设置当前图片
	var imageindex = 0;
	//图片数组
	var imageArr = [];
	imageObjs.map(function (index, item){
		imageArr.push(item.src);
		if (thisImageUrl == item.src) {
			imageindex = index;
		}
	});
	api.require('imageBrowser').openImages({
		imageUrls: imageArr,
		showList: false,
		activeIndex: imageindex
	});
}
//滚动到底部
function scrollToBottom(){
	$('#listContainer li:last-child').css('margin-bottom', '10px');
	$(document).scrollTop($(document).height() + 1000);
}

//打开红包
function checkHongbao(index){
	var data = listData[index];
	if (com.userInfo.member.ID == data.ID) {
		api.toast({ msg: '您不能领取自己的红包', duration: 2000, location: 'middle' });
		return;
	}
	var params = {
		targetName: data.sNickName,
		targetAvatar: data.sAvatar,
		count: parseFloat(data.fHongbao),
		hongbaoid: data.HongbaoID
	};
	if (data.bOpenHongbao == '') {//红包还没拆开
		params.type = 'seniorHongbaoUncheck';
		api.openFrame({
			name: 'redBag',
			url: conf.appHrefURL + 'html/modules/redbag/open.html',
			pageParam: params,
			bgColor: 'rgba(0,0,0,0)'
		});
	} else {//红包已经拆开
		params.type = 'seniorHongbaoChecked';
		api.openWin({
			name: 'redBagResult',
			url: conf.appHrefURL + 'html/modules/redbag/result.html',
			pageParam: params,
			delay: 100
		});
	}
}